"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CARD_NAME_TO_TYPE_MAP = void 0;
const isaac_typescript_definitions_1 = require("isaac-typescript-definitions");
const ReadonlyMap_1 = require("../types/ReadonlyMap");
// cspell:ignore hiero
/** Maps card names to the values of the `CardType` enum. */
exports.CARD_NAME_TO_TYPE_MAP = new ReadonlyMap_1.ReadonlyMap([
    ["fool", isaac_typescript_definitions_1.CardType.FOOL], // 1
    ["magician", isaac_typescript_definitions_1.CardType.MAGICIAN], // 2
    ["mag", isaac_typescript_definitions_1.CardType.MAGICIAN], // 2 - Needed since we have "mag?"
    ["highPriestess", isaac_typescript_definitions_1.CardType.HIGH_PRIESTESS], // 3
    ["priestess", isaac_typescript_definitions_1.CardType.HIGH_PRIESTESS], // 3
    ["priest", isaac_typescript_definitions_1.CardType.HIGH_PRIESTESS], // 3 - Needed since we have "priest?"
    ["hp", isaac_typescript_definitions_1.CardType.HIGH_PRIESTESS], // 3
    ["empress", isaac_typescript_definitions_1.CardType.EMPRESS], // 4
    ["emperor", isaac_typescript_definitions_1.CardType.EMPEROR], // 5
    ["emp", isaac_typescript_definitions_1.CardType.EMPEROR], // 5 - Needed since we have "hemp?"
    ["hierophant", isaac_typescript_definitions_1.CardType.HIEROPHANT], // 6
    ["hi", isaac_typescript_definitions_1.CardType.HIEROPHANT], // 6 - Needed since we have "hiero?"
    ["lovers", isaac_typescript_definitions_1.CardType.LOVERS], // 7
    ["chariot", isaac_typescript_definitions_1.CardType.CHARIOT], // 8
    ["justice", isaac_typescript_definitions_1.CardType.JUSTICE], // 9
    ["hermit", isaac_typescript_definitions_1.CardType.HERMIT], // 10
    ["wheelOfFortune", isaac_typescript_definitions_1.CardType.WHEEL_OF_FORTUNE], // 11
    ["wheel", isaac_typescript_definitions_1.CardType.WHEEL_OF_FORTUNE], // 11 - Needed since we have "wheel?"
    ["fortune", isaac_typescript_definitions_1.CardType.WHEEL_OF_FORTUNE], // 11
    ["strength", isaac_typescript_definitions_1.CardType.STRENGTH], // 12
    ["str", isaac_typescript_definitions_1.CardType.STRENGTH], // 12 - Needed since we have "str?"
    ["hangedMan", isaac_typescript_definitions_1.CardType.HANGED_MAN], // 13
    ["hanged", isaac_typescript_definitions_1.CardType.HANGED_MAN], // 13
    ["death", isaac_typescript_definitions_1.CardType.DEATH], // 14
    ["temperance", isaac_typescript_definitions_1.CardType.TEMPERANCE], // 15
    ["devil", isaac_typescript_definitions_1.CardType.DEVIL], // 16
    ["tower", isaac_typescript_definitions_1.CardType.TOWER], // 17
    ["stars", isaac_typescript_definitions_1.CardType.STARS], // 18
    ["moon", isaac_typescript_definitions_1.CardType.MOON], // 19
    ["sun", isaac_typescript_definitions_1.CardType.SUN], // 20
    ["judgement", isaac_typescript_definitions_1.CardType.JUDGEMENT], // 21
    ["judge", isaac_typescript_definitions_1.CardType.JUDGEMENT], // 21 - Needed since we have "judge?"
    ["world", isaac_typescript_definitions_1.CardType.WORLD], // 22
    ["2OfClubs", isaac_typescript_definitions_1.CardType.TWO_OF_CLUBS], // 23
    ["2Clubs", isaac_typescript_definitions_1.CardType.TWO_OF_CLUBS], // 23
    ["2OfDiamonds", isaac_typescript_definitions_1.CardType.TWO_OF_DIAMONDS], // 24
    ["2Diamonds", isaac_typescript_definitions_1.CardType.TWO_OF_DIAMONDS], // 24
    ["2OfSpades", isaac_typescript_definitions_1.CardType.TWO_OF_SPADES], // 25
    ["2Spades", isaac_typescript_definitions_1.CardType.TWO_OF_SPADES], // 25
    ["2OfHearts", isaac_typescript_definitions_1.CardType.TWO_OF_HEARTS], // 26
    ["2Hearts", isaac_typescript_definitions_1.CardType.TWO_OF_HEARTS], // 26
    ["aceOfClubs", isaac_typescript_definitions_1.CardType.ACE_OF_CLUBS], // 27
    ["aceClubs", isaac_typescript_definitions_1.CardType.ACE_OF_CLUBS], // 27
    ["aceOfDiamonds", isaac_typescript_definitions_1.CardType.ACE_OF_DIAMONDS], // 28
    ["aceDiamonds", isaac_typescript_definitions_1.CardType.ACE_OF_DIAMONDS], // 28
    ["aceOfSpades", isaac_typescript_definitions_1.CardType.ACE_OF_SPADES], // 29
    ["aceSpades", isaac_typescript_definitions_1.CardType.ACE_OF_SPADES], // 29
    ["aceOfHearts", isaac_typescript_definitions_1.CardType.ACE_OF_HEARTS], // 30
    ["aceHearts", isaac_typescript_definitions_1.CardType.ACE_OF_HEARTS], // 30
    ["joker", isaac_typescript_definitions_1.CardType.JOKER], // 31
    ["hagalaz", isaac_typescript_definitions_1.CardType.RUNE_HAGALAZ], // 32
    ["destruction", isaac_typescript_definitions_1.CardType.RUNE_HAGALAZ], // 32
    ["jera", isaac_typescript_definitions_1.CardType.RUNE_JERA], // 33
    ["abundance", isaac_typescript_definitions_1.CardType.RUNE_JERA], // 33
    ["ehwaz", isaac_typescript_definitions_1.CardType.RUNE_EHWAZ], // 34
    ["passage", isaac_typescript_definitions_1.CardType.RUNE_EHWAZ], // 34
    ["dagaz", isaac_typescript_definitions_1.CardType.RUNE_DAGAZ], // 35
    ["purity", isaac_typescript_definitions_1.CardType.RUNE_DAGAZ], // 35
    ["ansuz", isaac_typescript_definitions_1.CardType.RUNE_ANSUZ], // 36
    ["vision", isaac_typescript_definitions_1.CardType.RUNE_ANSUZ], // 36
    ["perthro", isaac_typescript_definitions_1.CardType.RUNE_PERTHRO], // 37
    ["change", isaac_typescript_definitions_1.CardType.RUNE_PERTHRO], // 37
    ["berkano", isaac_typescript_definitions_1.CardType.RUNE_BERKANO], // 38
    ["companionship", isaac_typescript_definitions_1.CardType.RUNE_BERKANO], // 38
    ["algiz", isaac_typescript_definitions_1.CardType.RUNE_ALGIZ], // 39
    ["resistance", isaac_typescript_definitions_1.CardType.RUNE_ALGIZ], // 39
    ["shield", isaac_typescript_definitions_1.CardType.RUNE_ALGIZ], // 39
    ["blankRune", isaac_typescript_definitions_1.CardType.RUNE_BLANK], // 40
    ["blackRune", isaac_typescript_definitions_1.CardType.RUNE_BLACK], // 41
    ["chaos", isaac_typescript_definitions_1.CardType.CHAOS], // 42
    ["credit", isaac_typescript_definitions_1.CardType.CREDIT], // 43
    ["rules", isaac_typescript_definitions_1.CardType.RULES], // 44
    ["againstHumanity", isaac_typescript_definitions_1.CardType.AGAINST_HUMANITY], // 45
    ["humanity", isaac_typescript_definitions_1.CardType.AGAINST_HUMANITY], // 45
    ["suicideKing", isaac_typescript_definitions_1.CardType.SUICIDE_KING], // 46
    ["suicide", isaac_typescript_definitions_1.CardType.SUICIDE_KING], // 46
    ["getOutOfJailFree", isaac_typescript_definitions_1.CardType.GET_OUT_OF_JAIL_FREE], // 47
    ["jail", isaac_typescript_definitions_1.CardType.GET_OUT_OF_JAIL_FREE], // 47
    ["?", isaac_typescript_definitions_1.CardType.QUESTION_MARK], // 48
    ["diceShard", isaac_typescript_definitions_1.CardType.DICE_SHARD], // 49
    ["shard", isaac_typescript_definitions_1.CardType.DICE_SHARD], // 49
    ["emergencyContact", isaac_typescript_definitions_1.CardType.EMERGENCY_CONTACT], // 50
    ["contact", isaac_typescript_definitions_1.CardType.EMERGENCY_CONTACT], // 50
    ["holy", isaac_typescript_definitions_1.CardType.HOLY], // 51
    ["hugeGrowth", isaac_typescript_definitions_1.CardType.HUGE_GROWTH], // 52
    ["growth", isaac_typescript_definitions_1.CardType.HUGE_GROWTH], // 52
    ["ancientRecall", isaac_typescript_definitions_1.CardType.ANCIENT_RECALL], // 53
    ["recall", isaac_typescript_definitions_1.CardType.ANCIENT_RECALL], // 53
    ["eraWalk", isaac_typescript_definitions_1.CardType.ERA_WALK], // 54
    ["walk", isaac_typescript_definitions_1.CardType.ERA_WALK], // 54
    ["runeShard", isaac_typescript_definitions_1.CardType.RUNE_SHARD], // 55
    ["shard", isaac_typescript_definitions_1.CardType.RUNE_SHARD], // 55
    ["fool?", isaac_typescript_definitions_1.CardType.REVERSE_FOOL], // 56
    ["magician?", isaac_typescript_definitions_1.CardType.REVERSE_MAGICIAN], // 57
    ["magi?", isaac_typescript_definitions_1.CardType.REVERSE_MAGICIAN], // 57
    ["mag?", isaac_typescript_definitions_1.CardType.REVERSE_MAGICIAN], // 57
    ["highPriestess?", isaac_typescript_definitions_1.CardType.REVERSE_HIGH_PRIESTESS], // 58
    ["high?", isaac_typescript_definitions_1.CardType.REVERSE_HIGH_PRIESTESS], // 58
    ["hi?", isaac_typescript_definitions_1.CardType.REVERSE_HIGH_PRIESTESS], // 58
    ["priestess?", isaac_typescript_definitions_1.CardType.REVERSE_HIGH_PRIESTESS], // 58
    ["priest?", isaac_typescript_definitions_1.CardType.REVERSE_HIGH_PRIESTESS], // 58
    ["hp?", isaac_typescript_definitions_1.CardType.REVERSE_HIGH_PRIESTESS], // 58
    ["empress?", isaac_typescript_definitions_1.CardType.REVERSE_EMPRESS], // 59
    ["emperor?", isaac_typescript_definitions_1.CardType.REVERSE_EMPEROR], // 60
    ["emp?", isaac_typescript_definitions_1.CardType.REVERSE_EMPEROR], // 60
    ["hierophant?", isaac_typescript_definitions_1.CardType.REVERSE_HIEROPHANT], // 61
    ["hiero?", isaac_typescript_definitions_1.CardType.REVERSE_HIEROPHANT], // 61
    ["lovers?", isaac_typescript_definitions_1.CardType.REVERSE_LOVERS], // 62
    ["chariot?", isaac_typescript_definitions_1.CardType.REVERSE_CHARIOT], // 63
    ["justice?", isaac_typescript_definitions_1.CardType.REVERSE_JUSTICE], // 64
    ["hermit?", isaac_typescript_definitions_1.CardType.REVERSE_HERMIT], // 65
    ["wheelOfFortune?", isaac_typescript_definitions_1.CardType.REVERSE_WHEEL_OF_FORTUNE], // 66
    ["wheel?", isaac_typescript_definitions_1.CardType.REVERSE_WHEEL_OF_FORTUNE], // 66
    ["fortune?", isaac_typescript_definitions_1.CardType.REVERSE_WHEEL_OF_FORTUNE], // 66
    ["strength?", isaac_typescript_definitions_1.CardType.REVERSE_STRENGTH], // 67
    ["str?", isaac_typescript_definitions_1.CardType.REVERSE_STRENGTH], // 67
    ["hangedMan?", isaac_typescript_definitions_1.CardType.REVERSE_HANGED_MAN], // 68
    ["hanged?", isaac_typescript_definitions_1.CardType.REVERSE_HANGED_MAN], // 68
    ["death?", isaac_typescript_definitions_1.CardType.REVERSE_DEATH], // 6
    ["temperance?", isaac_typescript_definitions_1.CardType.REVERSE_TEMPERANCE], // 70
    ["devil?", isaac_typescript_definitions_1.CardType.REVERSE_DEVIL], // 71
    ["tower?", isaac_typescript_definitions_1.CardType.REVERSE_TOWER], // 72
    ["stars?", isaac_typescript_definitions_1.CardType.REVERSE_STARS], // 73
    ["moon?", isaac_typescript_definitions_1.CardType.REVERSE_MOON], // 74
    ["sun?", isaac_typescript_definitions_1.CardType.REVERSE_SUN], // 75
    ["judgement?", isaac_typescript_definitions_1.CardType.REVERSE_JUDGEMENT], // 76
    ["judge?", isaac_typescript_definitions_1.CardType.REVERSE_JUDGEMENT], // 76
    ["world?", isaac_typescript_definitions_1.CardType.REVERSE_WORLD], // 77
    ["crackedKey", isaac_typescript_definitions_1.CardType.CRACKED_KEY], // 78
    ["key", isaac_typescript_definitions_1.CardType.CRACKED_KEY], // 78
    ["queenOfHearts", isaac_typescript_definitions_1.CardType.QUEEN_OF_HEARTS], // 79
    ["queenHearts", isaac_typescript_definitions_1.CardType.QUEEN_OF_HEARTS], // 79
    ["wildcard", isaac_typescript_definitions_1.CardType.WILD], // 80
    ["soulOfIsaac", isaac_typescript_definitions_1.CardType.SOUL_OF_ISAAC], // 81
    ["soulIsaac", isaac_typescript_definitions_1.CardType.SOUL_OF_ISAAC], // 81
    ["isaac", isaac_typescript_definitions_1.CardType.SOUL_OF_ISAAC], // 81
    ["soulOfMagdalene", isaac_typescript_definitions_1.CardType.SOUL_OF_MAGDALENE], // 82
    ["soulMagdalene", isaac_typescript_definitions_1.CardType.SOUL_OF_MAGDALENE], // 82
    ["magdalene", isaac_typescript_definitions_1.CardType.SOUL_OF_MAGDALENE], // 82
    ["soulOfCain", isaac_typescript_definitions_1.CardType.SOUL_OF_CAIN], // 83
    ["soulCain", isaac_typescript_definitions_1.CardType.SOUL_OF_CAIN], // 83
    ["cain", isaac_typescript_definitions_1.CardType.SOUL_OF_CAIN], // 83
    ["soulOfJudas", isaac_typescript_definitions_1.CardType.SOUL_OF_JUDAS], // 84
    ["soulJudas", isaac_typescript_definitions_1.CardType.SOUL_OF_JUDAS], // 84
    ["judas", isaac_typescript_definitions_1.CardType.SOUL_OF_JUDAS], // 84
    ["soulOf???", isaac_typescript_definitions_1.CardType.SOUL_OF_BLUE_BABY], // 85
    ["soul???", isaac_typescript_definitions_1.CardType.SOUL_OF_BLUE_BABY], // 85
    ["???", isaac_typescript_definitions_1.CardType.SOUL_OF_BLUE_BABY], // 85
    ["soulOfBlueBaby", isaac_typescript_definitions_1.CardType.SOUL_OF_BLUE_BABY], // 85
    ["soulBlueBaby", isaac_typescript_definitions_1.CardType.SOUL_OF_BLUE_BABY], // 85
    ["blueBaby", isaac_typescript_definitions_1.CardType.SOUL_OF_BLUE_BABY], // 85
    ["soulOfEve", isaac_typescript_definitions_1.CardType.SOUL_OF_EVE], // 86
    ["soulEve", isaac_typescript_definitions_1.CardType.SOUL_OF_EVE], // 86
    ["eve", isaac_typescript_definitions_1.CardType.SOUL_OF_EVE], // 86
    ["soulOfSamson", isaac_typescript_definitions_1.CardType.SOUL_OF_SAMSON], // 87
    ["soulSamson", isaac_typescript_definitions_1.CardType.SOUL_OF_SAMSON], // 87
    ["samson", isaac_typescript_definitions_1.CardType.SOUL_OF_SAMSON], // 87
    ["soulOfAzazel", isaac_typescript_definitions_1.CardType.SOUL_OF_AZAZEL], // 88
    ["soulAzazel", isaac_typescript_definitions_1.CardType.SOUL_OF_AZAZEL], // 88
    ["azazel", isaac_typescript_definitions_1.CardType.SOUL_OF_AZAZEL], // 88
    ["soulOfLazarus", isaac_typescript_definitions_1.CardType.SOUL_OF_LAZARUS], // 89
    ["soulLazarus", isaac_typescript_definitions_1.CardType.SOUL_OF_LAZARUS], // 89
    ["lazarus", isaac_typescript_definitions_1.CardType.SOUL_OF_LAZARUS], // 89
    ["soulOfEden", isaac_typescript_definitions_1.CardType.SOUL_OF_EDEN], // 90
    ["soulEden", isaac_typescript_definitions_1.CardType.SOUL_OF_EDEN], // 90
    ["eden", isaac_typescript_definitions_1.CardType.SOUL_OF_EDEN], // 90
    ["soulOfTheLost", isaac_typescript_definitions_1.CardType.SOUL_OF_LOST], // 91
    ["soulTheLost", isaac_typescript_definitions_1.CardType.SOUL_OF_LOST], // 91
    ["theLost", isaac_typescript_definitions_1.CardType.SOUL_OF_LOST], // 91
    ["soulOfLost", isaac_typescript_definitions_1.CardType.SOUL_OF_LOST], // 91
    ["soulLost", isaac_typescript_definitions_1.CardType.SOUL_OF_LOST], // 91
    ["lost", isaac_typescript_definitions_1.CardType.SOUL_OF_LOST], // 91
    ["soulOfLilith", isaac_typescript_definitions_1.CardType.SOUL_OF_LILITH], // 92
    ["soulLilith", isaac_typescript_definitions_1.CardType.SOUL_OF_LILITH], // 92
    ["lilith", isaac_typescript_definitions_1.CardType.SOUL_OF_LILITH], // 92
    ["soulOfTheKeeper", isaac_typescript_definitions_1.CardType.SOUL_OF_KEEPER], // 93
    ["soulTheKeeper", isaac_typescript_definitions_1.CardType.SOUL_OF_KEEPER], // 93
    ["theKeeper", isaac_typescript_definitions_1.CardType.SOUL_OF_KEEPER], // 93
    ["soulOfKeeper", isaac_typescript_definitions_1.CardType.SOUL_OF_KEEPER], // 93
    ["soulKeeper", isaac_typescript_definitions_1.CardType.SOUL_OF_KEEPER], // 93
    ["keeper", isaac_typescript_definitions_1.CardType.SOUL_OF_KEEPER], // 93
    ["soulOfApollyon", isaac_typescript_definitions_1.CardType.SOUL_OF_APOLLYON], // 94
    ["soulApollyon", isaac_typescript_definitions_1.CardType.SOUL_OF_APOLLYON], // 94
    ["apollyon", isaac_typescript_definitions_1.CardType.SOUL_OF_APOLLYON], // 94
    ["soulOfTheForgotten", isaac_typescript_definitions_1.CardType.SOUL_OF_FORGOTTEN], // 95
    ["soulTheForgotten", isaac_typescript_definitions_1.CardType.SOUL_OF_FORGOTTEN], // 95
    ["theForgotten", isaac_typescript_definitions_1.CardType.SOUL_OF_FORGOTTEN], // 95
    ["soulOfForgotten", isaac_typescript_definitions_1.CardType.SOUL_OF_FORGOTTEN], // 95
    ["soulForgotten", isaac_typescript_definitions_1.CardType.SOUL_OF_FORGOTTEN], // 95
    ["forgotten", isaac_typescript_definitions_1.CardType.SOUL_OF_FORGOTTEN], // 95
    ["soulOfBethany", isaac_typescript_definitions_1.CardType.SOUL_OF_BETHANY], // 96
    ["soulBethany", isaac_typescript_definitions_1.CardType.SOUL_OF_BETHANY], // 96
    ["bethany", isaac_typescript_definitions_1.CardType.SOUL_OF_BETHANY], // 96
    ["soulOfJacobAndEsau", isaac_typescript_definitions_1.CardType.SOUL_OF_JACOB_AND_ESAU], // 97
    ["soulJacobAndEsau", isaac_typescript_definitions_1.CardType.SOUL_OF_JACOB_AND_ESAU], // 97
    ["jacobAndEsau", isaac_typescript_definitions_1.CardType.SOUL_OF_JACOB_AND_ESAU], // 97
    ["soulOfJacob&Esau", isaac_typescript_definitions_1.CardType.SOUL_OF_JACOB_AND_ESAU], // 97
    ["soulJacob&Esau", isaac_typescript_definitions_1.CardType.SOUL_OF_JACOB_AND_ESAU], // 97
    ["jacob&Esau", isaac_typescript_definitions_1.CardType.SOUL_OF_JACOB_AND_ESAU], // 97
    ["soulOfJacob", isaac_typescript_definitions_1.CardType.SOUL_OF_JACOB_AND_ESAU], // 97
    ["soulJacob", isaac_typescript_definitions_1.CardType.SOUL_OF_JACOB_AND_ESAU], // 97
    ["jacob", isaac_typescript_definitions_1.CardType.SOUL_OF_JACOB_AND_ESAU], // 97
]);
