"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CHARACTER_NAME_TO_TYPE_MAP = void 0;
const isaac_typescript_definitions_1 = require("isaac-typescript-definitions");
const ReadonlyMap_1 = require("../types/ReadonlyMap");
/** Maps character names to the values of the `PlayerType` enum. */
exports.CHARACTER_NAME_TO_TYPE_MAP = new ReadonlyMap_1.ReadonlyMap([
    ["isaac", isaac_typescript_definitions_1.PlayerType.ISAAC], // 0
    ["magdalene", isaac_typescript_definitions_1.PlayerType.MAGDALENE], // 1
    ["maggy", isaac_typescript_definitions_1.PlayerType.MAGDALENE], // 1
    ["cain", isaac_typescript_definitions_1.PlayerType.CAIN], // 2
    ["judas", isaac_typescript_definitions_1.PlayerType.JUDAS], // 3
    ["blueBaby", isaac_typescript_definitions_1.PlayerType.BLUE_BABY], // 4
    ["bb", isaac_typescript_definitions_1.PlayerType.BLUE_BABY], // 4
    ["eve", isaac_typescript_definitions_1.PlayerType.EVE], // 5
    ["samson", isaac_typescript_definitions_1.PlayerType.SAMSON], // 6
    ["azazel", isaac_typescript_definitions_1.PlayerType.AZAZEL], // 7
    ["lazarus", isaac_typescript_definitions_1.PlayerType.LAZARUS], // 8
    // Needed so that "laz2" does not take precedence over "lazarus".
    ["laz", isaac_typescript_definitions_1.PlayerType.LAZARUS], // 8
    ["eden", isaac_typescript_definitions_1.PlayerType.EDEN], // 9
    ["theLost", isaac_typescript_definitions_1.PlayerType.LOST], // 10
    ["lost", isaac_typescript_definitions_1.PlayerType.LOST], // 10
    ["lazarus2", isaac_typescript_definitions_1.PlayerType.LAZARUS_2], // 11
    ["laz2", isaac_typescript_definitions_1.PlayerType.LAZARUS_2], // 11
    ["darkJudas", isaac_typescript_definitions_1.PlayerType.DARK_JUDAS], // 12
    ["dJudas", isaac_typescript_definitions_1.PlayerType.DARK_JUDAS], // 12
    ["blackJudas", isaac_typescript_definitions_1.PlayerType.DARK_JUDAS], // 12
    ["bJudas", isaac_typescript_definitions_1.PlayerType.DARK_JUDAS], // 12
    ["lilith", isaac_typescript_definitions_1.PlayerType.LILITH], // 13
    ["keeper", isaac_typescript_definitions_1.PlayerType.KEEPER], // 14
    ["apollyon", isaac_typescript_definitions_1.PlayerType.APOLLYON], // 15
    ["theForgotten", isaac_typescript_definitions_1.PlayerType.FORGOTTEN], // 16
    ["forgotten", isaac_typescript_definitions_1.PlayerType.FORGOTTEN], // 16
    ["theSoul", isaac_typescript_definitions_1.PlayerType.SOUL], // 17
    ["soul", isaac_typescript_definitions_1.PlayerType.SOUL], // 17
    ["bethany", isaac_typescript_definitions_1.PlayerType.BETHANY], // 18
    ["jacob", isaac_typescript_definitions_1.PlayerType.JACOB], // 19
    ["esau", isaac_typescript_definitions_1.PlayerType.ESAU], // 20
    ["taintedIsaac", isaac_typescript_definitions_1.PlayerType.ISAAC_B], // 21
    ["tIsaac", isaac_typescript_definitions_1.PlayerType.ISAAC_B], // 21
    ["taintedMagdalene", isaac_typescript_definitions_1.PlayerType.MAGDALENE_B], // 22
    ["tMagdalene", isaac_typescript_definitions_1.PlayerType.MAGDALENE_B], // 22
    ["taintedMaggy", isaac_typescript_definitions_1.PlayerType.MAGDALENE_B], // 22
    ["tMaggy", isaac_typescript_definitions_1.PlayerType.MAGDALENE_B], // 22
    ["taintedCain", isaac_typescript_definitions_1.PlayerType.CAIN_B], // 23
    ["tCain", isaac_typescript_definitions_1.PlayerType.CAIN_B], // 23
    ["taintedJudas", isaac_typescript_definitions_1.PlayerType.JUDAS_B], // 24
    ["tJudas", isaac_typescript_definitions_1.PlayerType.JUDAS_B], // 24
    ["taintedBlueBaby", isaac_typescript_definitions_1.PlayerType.BLUE_BABY_B], // 25
    ["tBlueBaby", isaac_typescript_definitions_1.PlayerType.BLUE_BABY_B], // 25
    ["tbb", isaac_typescript_definitions_1.PlayerType.BLUE_BABY_B], // 25
    ["taintedEve", isaac_typescript_definitions_1.PlayerType.EVE_B], // 26
    ["tEve", isaac_typescript_definitions_1.PlayerType.EVE_B], // 26
    ["taintedSamson", isaac_typescript_definitions_1.PlayerType.SAMSON_B], // 27
    ["tSamson", isaac_typescript_definitions_1.PlayerType.SAMSON_B], // 27
    ["taintedAzazel", isaac_typescript_definitions_1.PlayerType.AZAZEL_B], // 28
    ["tAzazel", isaac_typescript_definitions_1.PlayerType.AZAZEL_B], // 28
    ["taintedLazarus", isaac_typescript_definitions_1.PlayerType.LAZARUS_B], // 29
    ["tLazarus", isaac_typescript_definitions_1.PlayerType.LAZARUS_B], // 29
    ["taintedLaz", isaac_typescript_definitions_1.PlayerType.LAZARUS_B], // 29
    ["tLaz", isaac_typescript_definitions_1.PlayerType.LAZARUS_B], // 29
    ["taintedEden", isaac_typescript_definitions_1.PlayerType.EDEN_B], // 30
    ["tEden", isaac_typescript_definitions_1.PlayerType.EDEN_B], // 30
    ["taintedLost", isaac_typescript_definitions_1.PlayerType.LOST_B], // 31
    ["tLost", isaac_typescript_definitions_1.PlayerType.LOST_B], // 31
    ["taintedLilith", isaac_typescript_definitions_1.PlayerType.LILITH_B], // 32
    ["tLilith", isaac_typescript_definitions_1.PlayerType.LILITH_B], // 32
    ["taintedKeeper", isaac_typescript_definitions_1.PlayerType.KEEPER_B], // 33
    ["tKeeper", isaac_typescript_definitions_1.PlayerType.KEEPER_B], // 33
    ["taintedApollyon", isaac_typescript_definitions_1.PlayerType.APOLLYON_B], // 34
    ["tApollyon", isaac_typescript_definitions_1.PlayerType.APOLLYON_B], // 34
    ["taintedForgotten", isaac_typescript_definitions_1.PlayerType.FORGOTTEN_B], // 35
    ["tForgotten", isaac_typescript_definitions_1.PlayerType.FORGOTTEN_B], // 35
    ["taintedBethany", isaac_typescript_definitions_1.PlayerType.BETHANY_B], // 36
    ["tBethany", isaac_typescript_definitions_1.PlayerType.BETHANY_B], // 36
    ["taintedJacob", isaac_typescript_definitions_1.PlayerType.JACOB_B], // 37
    ["tJacob", isaac_typescript_definitions_1.PlayerType.JACOB_B], // 37
    ["taintedLazarusDead", isaac_typescript_definitions_1.PlayerType.LAZARUS_2_B], // 38
    ["tLazarusDead", isaac_typescript_definitions_1.PlayerType.LAZARUS_2_B], // 38
    ["taintedLazDead", isaac_typescript_definitions_1.PlayerType.LAZARUS_2_B], // 38
    ["tLazDead", isaac_typescript_definitions_1.PlayerType.LAZARUS_2_B], // 38
    ["deadTaintedLazarus", isaac_typescript_definitions_1.PlayerType.LAZARUS_2_B], // 38
    ["deadTLazarus", isaac_typescript_definitions_1.PlayerType.LAZARUS_2_B], // 38
    ["deadTaintedLaz", isaac_typescript_definitions_1.PlayerType.LAZARUS_2_B], // 38
    ["deadTLaz", isaac_typescript_definitions_1.PlayerType.LAZARUS_2_B], // 38
    ["taintedJacobGhost", isaac_typescript_definitions_1.PlayerType.JACOB_2_B], // 39
    ["tJacobGhost", isaac_typescript_definitions_1.PlayerType.JACOB_2_B], // 39
    ["taintedSoul", isaac_typescript_definitions_1.PlayerType.SOUL_B], // 40
    ["tSoul", isaac_typescript_definitions_1.PlayerType.SOUL_B], // 40
]);
