"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.KEYBOARD_TO_STRING_MAP = void 0;
const isaac_typescript_definitions_1 = require("isaac-typescript-definitions");
const ReadonlyMap_1 = require("../types/ReadonlyMap");
/** Maps each keyboard enum member to its corresponding lowercase and uppercase characters. */
exports.KEYBOARD_TO_STRING_MAP = new ReadonlyMap_1.ReadonlyMap([
    [isaac_typescript_definitions_1.Keyboard.SPACE, [" ", " "]], // 32
    [isaac_typescript_definitions_1.Keyboard.APOSTROPHE, ["'", '"']], // 39
    [isaac_typescript_definitions_1.Keyboard.COMMA, [",", "<"]], // 44
    [isaac_typescript_definitions_1.Keyboard.MINUS, ["-", "_"]], // 45
    [isaac_typescript_definitions_1.Keyboard.PERIOD, [".", ">"]], // 46
    [isaac_typescript_definitions_1.Keyboard.SLASH, ["/", "?"]], // 47
    [isaac_typescript_definitions_1.Keyboard.ZERO, ["0", ")"]], // 48
    [isaac_typescript_definitions_1.Keyboard.ONE, ["1", "!"]], // 49
    [isaac_typescript_definitions_1.Keyboard.TWO, ["2", "@"]], // 50
    [isaac_typescript_definitions_1.Keyboard.THREE, ["3", "#"]], // 51
    [isaac_typescript_definitions_1.Keyboard.FOUR, ["4", "$"]], // 52
    [isaac_typescript_definitions_1.Keyboard.FIVE, ["5", "%"]], // 53
    [isaac_typescript_definitions_1.Keyboard.SIX, ["6", "^"]], // 54
    [isaac_typescript_definitions_1.Keyboard.SEVEN, ["7", "&"]], // 55
    [isaac_typescript_definitions_1.Keyboard.EIGHT, ["8", "*"]], // 56
    [isaac_typescript_definitions_1.Keyboard.NINE, ["9", "("]], // 57
    [isaac_typescript_definitions_1.Keyboard.SEMICOLON, [";", ":"]], // 59
    [isaac_typescript_definitions_1.Keyboard.EQUAL, ["=", "+"]], // 61
    [isaac_typescript_definitions_1.Keyboard.A, ["a", "A"]], // 65
    [isaac_typescript_definitions_1.Keyboard.B, ["b", "B"]], // 66
    [isaac_typescript_definitions_1.Keyboard.C, ["c", "C"]], // 67
    [isaac_typescript_definitions_1.Keyboard.D, ["d", "D"]], // 68
    [isaac_typescript_definitions_1.Keyboard.E, ["e", "E"]], // 69
    [isaac_typescript_definitions_1.Keyboard.F, ["f", "F"]], // 70
    [isaac_typescript_definitions_1.Keyboard.G, ["g", "G"]], // 71
    [isaac_typescript_definitions_1.Keyboard.H, ["h", "H"]], // 72
    [isaac_typescript_definitions_1.Keyboard.I, ["i", "I"]], // 73
    [isaac_typescript_definitions_1.Keyboard.J, ["j", "J"]], // 74
    [isaac_typescript_definitions_1.Keyboard.K, ["k", "K"]], // 75
    [isaac_typescript_definitions_1.Keyboard.L, ["l", "L"]], // 76
    [isaac_typescript_definitions_1.Keyboard.M, ["m", "M"]], // 77
    [isaac_typescript_definitions_1.Keyboard.N, ["n", "N"]], // 78
    [isaac_typescript_definitions_1.Keyboard.O, ["o", "O"]], // 79
    [isaac_typescript_definitions_1.Keyboard.P, ["p", "P"]], // 80
    [isaac_typescript_definitions_1.Keyboard.Q, ["q", "Q"]], // 81
    [isaac_typescript_definitions_1.Keyboard.R, ["r", "R"]], // 82
    [isaac_typescript_definitions_1.Keyboard.S, ["s", "S"]], // 83
    [isaac_typescript_definitions_1.Keyboard.T, ["t", "T"]], // 84
    [isaac_typescript_definitions_1.Keyboard.U, ["u", "U"]], // 85
    [isaac_typescript_definitions_1.Keyboard.V, ["v", "V"]], // 86
    [isaac_typescript_definitions_1.Keyboard.W, ["w", "W"]], // 87
    [isaac_typescript_definitions_1.Keyboard.X, ["x", "X"]], // 88
    [isaac_typescript_definitions_1.Keyboard.Y, ["y", "Y"]], // 89
    [isaac_typescript_definitions_1.Keyboard.Z, ["z", "Z"]], // 90
    [isaac_typescript_definitions_1.Keyboard.KP_0, ["0", "0"]], // 320
    [isaac_typescript_definitions_1.Keyboard.KP_1, ["1", "1"]], // 321
    [isaac_typescript_definitions_1.Keyboard.KP_2, ["2", "2"]], // 322
    [isaac_typescript_definitions_1.Keyboard.KP_3, ["3", "3"]], // 323
    [isaac_typescript_definitions_1.Keyboard.KP_4, ["4", "4"]], // 324
    [isaac_typescript_definitions_1.Keyboard.KP_5, ["5", "5"]], // 325
    [isaac_typescript_definitions_1.Keyboard.KP_6, ["6", "6"]], // 326
    [isaac_typescript_definitions_1.Keyboard.KP_7, ["7", "7"]], // 327
    [isaac_typescript_definitions_1.Keyboard.KP_8, ["8", "8"]], // 328
    [isaac_typescript_definitions_1.Keyboard.KP_9, ["9", "9"]], // 329
    [isaac_typescript_definitions_1.Keyboard.KP_DECIMAL, [".", "."]], // 330
    [isaac_typescript_definitions_1.Keyboard.KP_DIVIDE, ["/", "/"]], // 331
    [isaac_typescript_definitions_1.Keyboard.KP_MULTIPLY, ["*", "*"]], // 332
    [isaac_typescript_definitions_1.Keyboard.KP_SUBTRACT, ["-", "-"]], // 333
    [isaac_typescript_definitions_1.Keyboard.KP_ADD, ["+", "+"]], // 334
    [isaac_typescript_definitions_1.Keyboard.LEFT_BRACKET, ["[", "{"]], // 91
    [isaac_typescript_definitions_1.Keyboard.BACKSLASH, ["\\", "|"]], // 92
    [isaac_typescript_definitions_1.Keyboard.RIGHT_BRACKET, ["]", "}"]], // 93
    [isaac_typescript_definitions_1.Keyboard.GRAVE_ACCENT, ["`", "~"]], // 96
]);
