"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PILL_NAME_TO_EFFECT_MAP = void 0;
const isaac_typescript_definitions_1 = require("isaac-typescript-definitions");
const ReadonlyMap_1 = require("../types/ReadonlyMap");
/** Maps pill effect names to the values of the `PillEffect` enum. */
exports.PILL_NAME_TO_EFFECT_MAP = new ReadonlyMap_1.ReadonlyMap([
    ["badGas", isaac_typescript_definitions_1.PillEffect.BAD_GAS], // 0
    ["gas", isaac_typescript_definitions_1.PillEffect.BAD_GAS], // 0
    ["badTrip", isaac_typescript_definitions_1.PillEffect.BAD_TRIP], // 1
    ["trip", isaac_typescript_definitions_1.PillEffect.BAD_TRIP], // 1
    ["ballsOfSteel", isaac_typescript_definitions_1.PillEffect.BALLS_OF_STEEL], // 2
    ["ballsSteel", isaac_typescript_definitions_1.PillEffect.BALLS_OF_STEEL], // 2
    ["steel", isaac_typescript_definitions_1.PillEffect.BALLS_OF_STEEL], // 2
    ["bombsAreKey", isaac_typescript_definitions_1.PillEffect.BOMBS_ARE_KEYS], // 3
    ["bombsKey", isaac_typescript_definitions_1.PillEffect.BOMBS_ARE_KEYS], // 3
    ["key", isaac_typescript_definitions_1.PillEffect.BOMBS_ARE_KEYS], // 3
    ["explosiveDiarrhea", isaac_typescript_definitions_1.PillEffect.EXPLOSIVE_DIARRHEA], // 4
    ["diarrhea", isaac_typescript_definitions_1.PillEffect.EXPLOSIVE_DIARRHEA], // 4
    ["fullHealth", isaac_typescript_definitions_1.PillEffect.FULL_HEALTH], // 5
    ["healthDown", isaac_typescript_definitions_1.PillEffect.HEALTH_DOWN], // 6
    ["healthUp", isaac_typescript_definitions_1.PillEffect.HEALTH_UP], // 7
    ["iFoundPills", isaac_typescript_definitions_1.PillEffect.I_FOUND_PILLS], // 8
    ["foundPills", isaac_typescript_definitions_1.PillEffect.I_FOUND_PILLS], // 8
    ["pills", isaac_typescript_definitions_1.PillEffect.I_FOUND_PILLS], // 8
    ["puberty", isaac_typescript_definitions_1.PillEffect.PUBERTY], // 9
    ["prettyFly", isaac_typescript_definitions_1.PillEffect.PRETTY_FLY], // 10
    ["fly", isaac_typescript_definitions_1.PillEffect.PRETTY_FLY], // 10
    ["rangeDown", isaac_typescript_definitions_1.PillEffect.RANGE_DOWN], // 11
    ["rangeUp", isaac_typescript_definitions_1.PillEffect.RANGE_UP], // 12
    ["speedDown", isaac_typescript_definitions_1.PillEffect.SPEED_DOWN], // 13
    ["speedUp", isaac_typescript_definitions_1.PillEffect.SPEED_UP], // 14
    ["tearsDown", isaac_typescript_definitions_1.PillEffect.TEARS_DOWN], // 15
    ["tearsUp", isaac_typescript_definitions_1.PillEffect.TEARS_UP], // 16
    ["luckDown", isaac_typescript_definitions_1.PillEffect.LUCK_DOWN], // 17
    ["luckUp", isaac_typescript_definitions_1.PillEffect.LUCK_UP], // 18
    ["telepills", isaac_typescript_definitions_1.PillEffect.TELEPILLS], // 19
    ["48HourEnergy", isaac_typescript_definitions_1.PillEffect.FORTY_EIGHT_HOUR_ENERGY], // 20
    ["energy", isaac_typescript_definitions_1.PillEffect.FORTY_EIGHT_HOUR_ENERGY], // 20
    ["48", isaac_typescript_definitions_1.PillEffect.FORTY_EIGHT_HOUR_ENERGY], // 20
    ["hematemesis", isaac_typescript_definitions_1.PillEffect.HEMATEMESIS], // 21
    ["paralysis", isaac_typescript_definitions_1.PillEffect.PARALYSIS], // 22
    ["iCanSeeForever!", isaac_typescript_definitions_1.PillEffect.I_CAN_SEE_FOREVER], // 23
    ["canSee", isaac_typescript_definitions_1.PillEffect.I_CAN_SEE_FOREVER], // 23
    ["see", isaac_typescript_definitions_1.PillEffect.I_CAN_SEE_FOREVER], // 23
    ["pheromones", isaac_typescript_definitions_1.PillEffect.PHEROMONES], // 24
    ["amnesia", isaac_typescript_definitions_1.PillEffect.AMNESIA], // 25
    ["lemonParty", isaac_typescript_definitions_1.PillEffect.LEMON_PARTY], // 26
    ["party", isaac_typescript_definitions_1.PillEffect.LEMON_PARTY], // 26
    ["RUAWizard", isaac_typescript_definitions_1.PillEffect.R_U_A_WIZARD], // 27
    ["areYouAWizard", isaac_typescript_definitions_1.PillEffect.R_U_A_WIZARD], // 27
    ["wizard", isaac_typescript_definitions_1.PillEffect.R_U_A_WIZARD], // 27
    ["percs!", isaac_typescript_definitions_1.PillEffect.PERCS], // 28
    ["addicted!", isaac_typescript_definitions_1.PillEffect.ADDICTED], // 29
    ["relax", isaac_typescript_definitions_1.PillEffect.RELAX], // 30
    ["???", isaac_typescript_definitions_1.PillEffect.QUESTION_MARKS], // 31
    ["oneMakesYouLarger", isaac_typescript_definitions_1.PillEffect.ONE_MAKES_YOU_LARGER], // 32
    ["larger", isaac_typescript_definitions_1.PillEffect.ONE_MAKES_YOU_LARGER], // 32
    ["oneMakesYouSmaller", isaac_typescript_definitions_1.PillEffect.ONE_MAKES_YOU_SMALL], // 33
    ["smaller", isaac_typescript_definitions_1.PillEffect.ONE_MAKES_YOU_SMALL], // 33
    ["infested!", isaac_typescript_definitions_1.PillEffect.INFESTED_EXCLAMATION], // 34
    ["infest!", isaac_typescript_definitions_1.PillEffect.INFESTED_EXCLAMATION], // 34
    ["inf!", isaac_typescript_definitions_1.PillEffect.INFESTED_EXCLAMATION], // 34
    ["infested?", isaac_typescript_definitions_1.PillEffect.INFESTED_QUESTION], // 35
    ["infest?", isaac_typescript_definitions_1.PillEffect.INFESTED_QUESTION], // 35
    ["inf?", isaac_typescript_definitions_1.PillEffect.INFESTED_QUESTION], // 35
    ["powerPill", isaac_typescript_definitions_1.PillEffect.POWER], // 36
    ["retroVision", isaac_typescript_definitions_1.PillEffect.RETRO_VISION], // 37
    ["vision", isaac_typescript_definitions_1.PillEffect.RETRO_VISION], // 37
    ["friendsTillTheEnd", isaac_typescript_definitions_1.PillEffect.FRIENDS_TILL_THE_END], // 38
    ["friendsUntilTheEnd", isaac_typescript_definitions_1.PillEffect.FRIENDS_TILL_THE_END], // 38
    ["xlax", isaac_typescript_definitions_1.PillEffect.X_LAX], // 39
    ["somethingsWrong", isaac_typescript_definitions_1.PillEffect.SOMETHINGS_WRONG], // 40
    ["wrong", isaac_typescript_definitions_1.PillEffect.SOMETHINGS_WRONG], // 40
    ["imDrowsy", isaac_typescript_definitions_1.PillEffect.IM_DROWSY], // 41
    ["drowsy", isaac_typescript_definitions_1.PillEffect.IM_DROWSY], // 41
    ["imExcited!!!", isaac_typescript_definitions_1.PillEffect.IM_EXCITED], // 42
    ["excited", isaac_typescript_definitions_1.PillEffect.IM_EXCITED], // 42
    ["gulp!", isaac_typescript_definitions_1.PillEffect.GULP], // 43
    ["horf!", isaac_typescript_definitions_1.PillEffect.HORF], // 44
    [
        "feelsLikeImWalkingOnSunshine!",
        isaac_typescript_definitions_1.PillEffect.FEELS_LIKE_IM_WALKING_ON_SUNSHINE,
    ], // 45
    ["walking", isaac_typescript_definitions_1.PillEffect.FEELS_LIKE_IM_WALKING_ON_SUNSHINE], // 45
    ["sunshine", isaac_typescript_definitions_1.PillEffect.FEELS_LIKE_IM_WALKING_ON_SUNSHINE], // 45
    ["vurp!", isaac_typescript_definitions_1.PillEffect.VURP], // 46
    ["shotSpeedDown", isaac_typescript_definitions_1.PillEffect.SHOT_SPEED_DOWN], // 47
    ["shotSpeedUp", isaac_typescript_definitions_1.PillEffect.SHOT_SPEED_UP], // 48
    ["experimental", isaac_typescript_definitions_1.PillEffect.EXPERIMENTAL], // 49
]);
