"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ROOM_NAME_TO_TYPE_MAP = void 0;
const isaac_typescript_definitions_1 = require("isaac-typescript-definitions");
const ReadonlyMap_1 = require("../types/ReadonlyMap");
/** Maps room names to the values of the `RoomType` enum. */
exports.ROOM_NAME_TO_TYPE_MAP = new ReadonlyMap_1.ReadonlyMap([
    ["default", isaac_typescript_definitions_1.RoomType.DEFAULT], // 1
    ["shop", isaac_typescript_definitions_1.RoomType.SHOP], // 2
    ["error", isaac_typescript_definitions_1.RoomType.ERROR], // 3
    ["iAmError", isaac_typescript_definitions_1.RoomType.ERROR], // 3
    ["treasure", isaac_typescript_definitions_1.RoomType.TREASURE], // 4
    ["boss", isaac_typescript_definitions_1.RoomType.BOSS], // 5
    ["miniBoss", isaac_typescript_definitions_1.RoomType.MINI_BOSS], // 6
    ["secret", isaac_typescript_definitions_1.RoomType.SECRET], // 7
    ["superSecret", isaac_typescript_definitions_1.RoomType.SUPER_SECRET], // 8
    ["arcade", isaac_typescript_definitions_1.RoomType.ARCADE], // 9
    ["curse", isaac_typescript_definitions_1.RoomType.CURSE], // 10
    ["challenge", isaac_typescript_definitions_1.RoomType.CHALLENGE], // 11
    ["library", isaac_typescript_definitions_1.RoomType.LIBRARY], // 12
    ["sacrifice", isaac_typescript_definitions_1.RoomType.SACRIFICE], // 13
    ["devil", isaac_typescript_definitions_1.RoomType.DEVIL], // 14
    ["angel", isaac_typescript_definitions_1.RoomType.ANGEL], // 15
    ["dungeon", isaac_typescript_definitions_1.RoomType.DUNGEON], // 16
    ["crawlSpace", isaac_typescript_definitions_1.RoomType.DUNGEON], // 16
    ["bossRush", isaac_typescript_definitions_1.RoomType.BOSS_RUSH], // 17
    ["isaacs", isaac_typescript_definitions_1.RoomType.CLEAN_BEDROOM], // 18
    ["bedroom", isaac_typescript_definitions_1.RoomType.CLEAN_BEDROOM], // 18
    ["cleanBedroom", isaac_typescript_definitions_1.RoomType.CLEAN_BEDROOM], // 18
    ["dirtyBedroom", isaac_typescript_definitions_1.RoomType.DIRTY_BEDROOM], // 19
    ["barren", isaac_typescript_definitions_1.RoomType.DIRTY_BEDROOM], // 19
    ["vault", isaac_typescript_definitions_1.RoomType.VAULT], // 20
    ["chest", isaac_typescript_definitions_1.RoomType.VAULT], // 20
    ["dice", isaac_typescript_definitions_1.RoomType.DICE], // 21
    ["blackMarket", isaac_typescript_definitions_1.RoomType.BLACK_MARKET], // 22
    ["greedExit", isaac_typescript_definitions_1.RoomType.GREED_EXIT], // 23
    ["planetarium", isaac_typescript_definitions_1.RoomType.PLANETARIUM], // 24
    ["teleporter", isaac_typescript_definitions_1.RoomType.TELEPORTER], // 25
    ["teleporterExit", isaac_typescript_definitions_1.RoomType.TELEPORTER_EXIT], // 26
    ["secretExit", isaac_typescript_definitions_1.RoomType.SECRET_EXIT], // 27
    ["blue", isaac_typescript_definitions_1.RoomType.BLUE], // 28
    ["ultraSecret", isaac_typescript_definitions_1.RoomType.ULTRA_SECRET], // 29
]);
