"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BACKDROP_TYPE_TO_ROCK_ALT_TYPE = void 0;
const isaac_typescript_definitions_1 = require("isaac-typescript-definitions");
const RockAltType_1 = require("../enums/RockAltType");
/** Used by the `getRockAltType` function. */
exports.BACKDROP_TYPE_TO_ROCK_ALT_TYPE = {
    [isaac_typescript_definitions_1.BackdropType.BASEMENT]: RockAltType_1.RockAltType.URN, // 1
    [isaac_typescript_definitions_1.BackdropType.CELLAR]: RockAltType_1.RockAltType.URN, // 2
    [isaac_typescript_definitions_1.BackdropType.BURNING_BASEMENT]: RockAltType_1.RockAltType.URN, // 3
    [isaac_typescript_definitions_1.BackdropType.CAVES]: RockAltType_1.RockAltType.MUSHROOM, // 4
    [isaac_typescript_definitions_1.BackdropType.CATACOMBS]: RockAltType_1.RockAltType.MUSHROOM, // 5
    [isaac_typescript_definitions_1.BackdropType.FLOODED_CAVES]: RockAltType_1.RockAltType.MUSHROOM, // 6
    [isaac_typescript_definitions_1.BackdropType.DEPTHS]: RockAltType_1.RockAltType.SKULL, // 7
    [isaac_typescript_definitions_1.BackdropType.NECROPOLIS]: RockAltType_1.RockAltType.SKULL, // 8
    [isaac_typescript_definitions_1.BackdropType.DANK_DEPTHS]: RockAltType_1.RockAltType.SKULL, // 9
    [isaac_typescript_definitions_1.BackdropType.WOMB]: RockAltType_1.RockAltType.POLYP, // 10
    [isaac_typescript_definitions_1.BackdropType.UTERO]: RockAltType_1.RockAltType.POLYP, // 11
    [isaac_typescript_definitions_1.BackdropType.SCARRED_WOMB]: RockAltType_1.RockAltType.POLYP, // 12
    [isaac_typescript_definitions_1.BackdropType.BLUE_WOMB]: RockAltType_1.RockAltType.POLYP, // 13
    [isaac_typescript_definitions_1.BackdropType.SHEOL]: RockAltType_1.RockAltType.SKULL, // 14
    [isaac_typescript_definitions_1.BackdropType.CATHEDRAL]: RockAltType_1.RockAltType.URN, // 15
    [isaac_typescript_definitions_1.BackdropType.DARK_ROOM]: RockAltType_1.RockAltType.SKULL, // 16
    [isaac_typescript_definitions_1.BackdropType.CHEST]: RockAltType_1.RockAltType.URN, // 17
    [isaac_typescript_definitions_1.BackdropType.MEGA_SATAN]: RockAltType_1.RockAltType.URN, // 18
    [isaac_typescript_definitions_1.BackdropType.LIBRARY]: RockAltType_1.RockAltType.URN, // 19
    [isaac_typescript_definitions_1.BackdropType.SHOP]: RockAltType_1.RockAltType.URN, // 20
    [isaac_typescript_definitions_1.BackdropType.CLEAN_BEDROOM]: RockAltType_1.RockAltType.URN, // 21
    [isaac_typescript_definitions_1.BackdropType.DIRTY_BEDROOM]: RockAltType_1.RockAltType.URN, // 22
    [isaac_typescript_definitions_1.BackdropType.SECRET]: RockAltType_1.RockAltType.MUSHROOM, // 23
    [isaac_typescript_definitions_1.BackdropType.DICE]: RockAltType_1.RockAltType.URN, // 24
    [isaac_typescript_definitions_1.BackdropType.ARCADE]: RockAltType_1.RockAltType.URN, // 25
    [isaac_typescript_definitions_1.BackdropType.ERROR_ROOM]: RockAltType_1.RockAltType.URN, // 26
    [isaac_typescript_definitions_1.BackdropType.BLUE_WOMB_PASS]: RockAltType_1.RockAltType.POLYP, // 27
    [isaac_typescript_definitions_1.BackdropType.GREED_SHOP]: RockAltType_1.RockAltType.URN, // 28
    [isaac_typescript_definitions_1.BackdropType.DUNGEON]: RockAltType_1.RockAltType.URN, // 29
    [isaac_typescript_definitions_1.BackdropType.SACRIFICE]: RockAltType_1.RockAltType.SKULL, // 30
    [isaac_typescript_definitions_1.BackdropType.DOWNPOUR]: RockAltType_1.RockAltType.BUCKET_DOWNPOUR, // 31
    [isaac_typescript_definitions_1.BackdropType.MINES]: RockAltType_1.RockAltType.MUSHROOM, // 32
    [isaac_typescript_definitions_1.BackdropType.MAUSOLEUM]: RockAltType_1.RockAltType.SKULL, // 33
    [isaac_typescript_definitions_1.BackdropType.CORPSE]: RockAltType_1.RockAltType.POLYP, // 34
    [isaac_typescript_definitions_1.BackdropType.PLANETARIUM]: RockAltType_1.RockAltType.URN, // 35
    [isaac_typescript_definitions_1.BackdropType.DOWNPOUR_ENTRANCE]: RockAltType_1.RockAltType.BUCKET_DOWNPOUR, // 36
    [isaac_typescript_definitions_1.BackdropType.MINES_ENTRANCE]: RockAltType_1.RockAltType.MUSHROOM, // 37
    [isaac_typescript_definitions_1.BackdropType.MAUSOLEUM_ENTRANCE]: RockAltType_1.RockAltType.SKULL, // 38
    [isaac_typescript_definitions_1.BackdropType.CORPSE_ENTRANCE]: RockAltType_1.RockAltType.SKULL, // 39
    [isaac_typescript_definitions_1.BackdropType.MAUSOLEUM_2]: RockAltType_1.RockAltType.SKULL, // 40
    [isaac_typescript_definitions_1.BackdropType.MAUSOLEUM_3]: RockAltType_1.RockAltType.SKULL, // 41
    [isaac_typescript_definitions_1.BackdropType.MAUSOLEUM_4]: RockAltType_1.RockAltType.SKULL, // 42
    [isaac_typescript_definitions_1.BackdropType.CORPSE_2]: RockAltType_1.RockAltType.POLYP, // 43
    [isaac_typescript_definitions_1.BackdropType.CORPSE_3]: RockAltType_1.RockAltType.POLYP, // 44
    [isaac_typescript_definitions_1.BackdropType.DROSS]: RockAltType_1.RockAltType.BUCKET_DROSS, // 45
    [isaac_typescript_definitions_1.BackdropType.ASHPIT]: RockAltType_1.RockAltType.MUSHROOM, // 46
    [isaac_typescript_definitions_1.BackdropType.GEHENNA]: RockAltType_1.RockAltType.SKULL, // 47
    [isaac_typescript_definitions_1.BackdropType.MORTIS]: RockAltType_1.RockAltType.POLYP, // 48
    [isaac_typescript_definitions_1.BackdropType.ISAACS_BEDROOM]: RockAltType_1.RockAltType.URN, // 49
    [isaac_typescript_definitions_1.BackdropType.HALLWAY]: RockAltType_1.RockAltType.URN, // 50
    [isaac_typescript_definitions_1.BackdropType.MOMS_BEDROOM]: RockAltType_1.RockAltType.URN, // 51
    [isaac_typescript_definitions_1.BackdropType.CLOSET]: RockAltType_1.RockAltType.URN, // 52
    [isaac_typescript_definitions_1.BackdropType.CLOSET_B]: RockAltType_1.RockAltType.URN, // 53
    [isaac_typescript_definitions_1.BackdropType.DOGMA]: RockAltType_1.RockAltType.URN, // 54
    [isaac_typescript_definitions_1.BackdropType.DUNGEON_GIDEON]: RockAltType_1.RockAltType.URN, // 55
    [isaac_typescript_definitions_1.BackdropType.DUNGEON_ROTGUT]: RockAltType_1.RockAltType.URN, // 56
    [isaac_typescript_definitions_1.BackdropType.DUNGEON_BEAST]: RockAltType_1.RockAltType.URN, // 57
    [isaac_typescript_definitions_1.BackdropType.MINES_SHAFT]: RockAltType_1.RockAltType.MUSHROOM, // 58
    [isaac_typescript_definitions_1.BackdropType.ASHPIT_SHAFT]: RockAltType_1.RockAltType.MUSHROOM, // 59
    [isaac_typescript_definitions_1.BackdropType.DARK_CLOSET]: RockAltType_1.RockAltType.SKULL, // 60
};
