"use strict";
// cspell:disable
Object.defineProperty(exports, "__esModule", { value: true });
exports.BOSS_NAME_PNG_FILE_NAMES = void 0;
const isaac_typescript_definitions_1 = require("isaac-typescript-definitions");
/**
 * From the "nameimage" attribute in the "bossportraits.xml" file. Used when rendering the
 * "versusscreen.anm2" sprite.
 */
exports.BOSS_NAME_PNG_FILE_NAMES = {
    [isaac_typescript_definitions_1.BossID.MONSTRO]: "BossName_20.0_Monstro.png", // 1
    [isaac_typescript_definitions_1.BossID.LARRY_JR]: "BossName_19.0_LarryJr.png", // 2
    [isaac_typescript_definitions_1.BossID.CHUB]: "BossName_28.0_Chub.png", // 3
    [isaac_typescript_definitions_1.BossID.GURDY]: "BossName_36.0_Gurdy.png", // 4
    [isaac_typescript_definitions_1.BossID.MONSTRO_2]: "BossName_43.0_Monstro2.png", // 5
    [isaac_typescript_definitions_1.BossID.MOM]: "BossName_45.0_Mom.png", // 6
    [isaac_typescript_definitions_1.BossID.SCOLEX]: "BossName_62.1_Scolex.png", // 7
    [isaac_typescript_definitions_1.BossID.MOMS_HEART]: "BossName_78.0_MomsHeart.png", // 8
    [isaac_typescript_definitions_1.BossID.FAMINE]: "BossName_63.0_Famine.png", // 9
    [isaac_typescript_definitions_1.BossID.PESTILENCE]: "BossName_64.0_Pestilence.png", // 10
    [isaac_typescript_definitions_1.BossID.WAR]: "BossName_65.0_War.png", // 11
    [isaac_typescript_definitions_1.BossID.DEATH]: "BossName_66.0_Death.png", // 12
    [isaac_typescript_definitions_1.BossID.DUKE_OF_FLIES]: "BossName_67.0_DukeOfFlies.png", // 13
    [isaac_typescript_definitions_1.BossID.PEEP]: "BossName_68.0_Peep.png", // 14
    [isaac_typescript_definitions_1.BossID.LOKI]: "BossName_69.0_Loki.png", // 15
    [isaac_typescript_definitions_1.BossID.BLASTOCYST]: "BossName_74.0_Blastocyst.png", // 16
    [isaac_typescript_definitions_1.BossID.GEMINI]: "BossName_79.0_Gemini.png", // 17
    [isaac_typescript_definitions_1.BossID.FISTULA]: "BossName_71.0_Fistula.png", // 18
    [isaac_typescript_definitions_1.BossID.GISH]: "BossName_43.1_Gish.png", // 19
    [isaac_typescript_definitions_1.BossID.STEVEN]: "BossName_79.1_Steven.png", // 20
    [isaac_typescript_definitions_1.BossID.CHAD]: "BossName_28.1_CHAD.png", // 21
    [isaac_typescript_definitions_1.BossID.HEADLESS_HORSEMAN]: "BossName_82.0_HeadlessHorseman.png", // 22
    [isaac_typescript_definitions_1.BossID.FALLEN]: "BossName_81.0_TheFallen.png", // 23
    [isaac_typescript_definitions_1.BossID.SATAN]: "BossName_84.0_Satan.png", // 24
    [isaac_typescript_definitions_1.BossID.IT_LIVES]: "BossName_78.1_ItLives.png", // 25
    [isaac_typescript_definitions_1.BossID.HOLLOW]: "BossName_19.1_TheHollow.png", // 26
    [isaac_typescript_definitions_1.BossID.CARRION_QUEEN]: "BossName_28.2_CarrionQueen.png", // 27
    [isaac_typescript_definitions_1.BossID.GURDY_JR]: "BossName_99.0_GurdyJr.png", // 28
    [isaac_typescript_definitions_1.BossID.HUSK]: "BossName_67.1_TheHusk.png", // 29
    [isaac_typescript_definitions_1.BossID.BLOAT]: "BossName_68.1_Bloat.png", // 30
    [isaac_typescript_definitions_1.BossID.LOKII]: "BossName_69.1_Lokii.png", // 31
    [isaac_typescript_definitions_1.BossID.BLIGHTED_OVUM]: "BossName_79.2_BlightedOvum.png", // 32
    [isaac_typescript_definitions_1.BossID.TERATOMA]: "BossName_71.1_Teratoma.png", // 33
    [isaac_typescript_definitions_1.BossID.WIDOW]: "BossName_100.0_Widow.png", // 34
    [isaac_typescript_definitions_1.BossID.MASK_OF_INFAMY]: "BossName_97.0_MaskOfInfamy.png", // 35
    [isaac_typescript_definitions_1.BossID.WRETCHED]: "BossName_100.1_TheWretched.png", // 36
    [isaac_typescript_definitions_1.BossID.PIN]: "BossName_62.0_Pin.png", // 37
    [isaac_typescript_definitions_1.BossID.CONQUEST]: "BossName_65.1_Conquest.png", // 38
    // There is no dedicated "bossname_" PNG file for Isaac.
    [isaac_typescript_definitions_1.BossID.ISAAC]: "PlayerName_01_Isaac.png", // 39
    [isaac_typescript_definitions_1.BossID.BLUE_BABY]: "BossName_102.1_BlueBaby.png", // 40
    [isaac_typescript_definitions_1.BossID.DADDY_LONG_LEGS]: "BossName_101.0_DaddyLongLegs.png", // 41
    [isaac_typescript_definitions_1.BossID.TRIACHNID]: "BossName_101.1_Triachnid.png", // 42
    [isaac_typescript_definitions_1.BossID.HAUNT]: "BossName_260.0_TheHaunt.png", // 43
    [isaac_typescript_definitions_1.BossID.DINGLE]: "BossName_261.0_Dingle.png", // 44
    [isaac_typescript_definitions_1.BossID.MEGA_MAW]: "Portrait_262.0_MegaMaw.png", // 45
    [isaac_typescript_definitions_1.BossID.GATE]: "BossName_263.0_MegaMaw2.png", // 46
    [isaac_typescript_definitions_1.BossID.MEGA_FATTY]: "BossName_264.0_MegaFatty.png", // 47
    [isaac_typescript_definitions_1.BossID.CAGE]: "BossName_265.0_Fatty2.png", // 48
    [isaac_typescript_definitions_1.BossID.MAMA_GURDY]: "BossName_266.0_MamaGurdy.png", // 49
    [isaac_typescript_definitions_1.BossID.DARK_ONE]: "BossName_267.0_DarkOne.png", // 50
    [isaac_typescript_definitions_1.BossID.ADVERSARY]: "BossName_268.0_DarkOne2.png", // 51
    [isaac_typescript_definitions_1.BossID.POLYCEPHALUS]: "BossName_269.0_Polycephalus.png", // 52
    [isaac_typescript_definitions_1.BossID.MR_FRED]: "BossName_270.0_MegaFred.png", // 53
    [isaac_typescript_definitions_1.BossID.LAMB]: "BossName_273.0_TheLamb.png", // 54
    [isaac_typescript_definitions_1.BossID.MEGA_SATAN]: "BossName_274.0_MegaSatan.png", // 55
    [isaac_typescript_definitions_1.BossID.GURGLING]: "BossName_276.0_Gurglings.png", // 56
    [isaac_typescript_definitions_1.BossID.STAIN]: "BossName_401.0_TheStain.png", // 57
    [isaac_typescript_definitions_1.BossID.BROWNIE]: "BossName_402.0_Brownie.png", // 58
    [isaac_typescript_definitions_1.BossID.FORSAKEN]: "BossName_403.0_TheForsaken.png", // 59
    [isaac_typescript_definitions_1.BossID.LITTLE_HORN]: "BossName_404.0_LittleHorn.png", // 60
    [isaac_typescript_definitions_1.BossID.RAG_MAN]: "BossName_405.0_RagMan.png", // 61
    [isaac_typescript_definitions_1.BossID.ULTRA_GREED]: "BossName_406.0_UltraGreed.png", // 62
    [isaac_typescript_definitions_1.BossID.HUSH]: "BossName_407.0_Hush.png", // 63
    [isaac_typescript_definitions_1.BossID.DANGLE]: "BossName_Dangle.png", // 64
    [isaac_typescript_definitions_1.BossID.TURDLING]: "BossName_Turdlings.png", // 65
    [isaac_typescript_definitions_1.BossID.FRAIL]: "BossName_TheFrail.png", // 66
    [isaac_typescript_definitions_1.BossID.RAG_MEGA]: "BossName_RagMega.png", // 67
    [isaac_typescript_definitions_1.BossID.SISTERS_VIS]: "BossName_SisterssVis.png", // 68
    [isaac_typescript_definitions_1.BossID.BIG_HORN]: "BossName_BigHorn.png", // 69
    [isaac_typescript_definitions_1.BossID.DELIRIUM]: "BossName_Delirium.png", // 70
    // Ultra Greedier uses the same file as Ultra Greed.
    [isaac_typescript_definitions_1.BossID.ULTRA_GREEDIER]: "BossName_406.0_UltraGreed.png", // 71
    [isaac_typescript_definitions_1.BossID.MATRIARCH]: "BossName_Matriarch.png", // 72
    [isaac_typescript_definitions_1.BossID.PILE]: "BossName_Polycephalus2.png", // 73
    [isaac_typescript_definitions_1.BossID.REAP_CREEP]: "BossName_ReapCreep.png", // 74
    [isaac_typescript_definitions_1.BossID.LIL_BLUB]: "BossName_Beelzeblub.png", // 75
    [isaac_typescript_definitions_1.BossID.WORMWOOD]: "BossName_Wormwood.png", // 76
    [isaac_typescript_definitions_1.BossID.RAINMAKER]: "BossName_Rainmaker.png", // 77
    [isaac_typescript_definitions_1.BossID.VISAGE]: "BossName_Visage.png", // 78
    [isaac_typescript_definitions_1.BossID.SIREN]: "BossName_Siren.png", // 79
    [isaac_typescript_definitions_1.BossID.TUFF_TWINS]: "BossName_TuffTwins.png", // 80
    [isaac_typescript_definitions_1.BossID.HERETIC]: "BossName_Heretic.png", // 81
    [isaac_typescript_definitions_1.BossID.HORNFEL]: "BossName_Hornfel.png", // 82
    [isaac_typescript_definitions_1.BossID.GREAT_GIDEON]: "BossName_Gideon.png", // 83
    [isaac_typescript_definitions_1.BossID.BABY_PLUM]: "BossName_BabyPlum.png", // 84
    [isaac_typescript_definitions_1.BossID.SCOURGE]: "BossName_Scourge.png", // 85
    [isaac_typescript_definitions_1.BossID.CHIMERA]: "BossName_Chimera.png", // 86
    [isaac_typescript_definitions_1.BossID.ROTGUT]: "BossName_Rotgut.png", // 87
    [isaac_typescript_definitions_1.BossID.MOTHER]: "BossName_Mother.png", // 88
    // Mom (Mausoleum) uses the same file as Mom.
    [isaac_typescript_definitions_1.BossID.MAUSOLEUM_MOM]: "BossName_45.0_Mom.png", // 89
    // Mom's Heart (Mausoleum) uses the same file as Mom's Heart.
    [isaac_typescript_definitions_1.BossID.MAUSOLEUM_MOMS_HEART]: "BossName_78.0_MomsHeart.png", // 90
    [isaac_typescript_definitions_1.BossID.MIN_MIN]: "BossName_MinMin.png", // 91
    [isaac_typescript_definitions_1.BossID.CLOG]: "BossName_Clog.png", // 92
    [isaac_typescript_definitions_1.BossID.SINGE]: "BossName_Singe.png", // 93
    [isaac_typescript_definitions_1.BossID.BUMBINO]: "BossName_Bumbino.png", // 94
    [isaac_typescript_definitions_1.BossID.COLOSTOMIA]: "BossName_Colostomia.png", // 95
    [isaac_typescript_definitions_1.BossID.SHELL]: "BossName_Shell.png", // 96
    [isaac_typescript_definitions_1.BossID.TURDLET]: "BossName_Turdlet.png", // 97
    [isaac_typescript_definitions_1.BossID.RAGLICH]: "BossName_Raglich.png", // 98
    [isaac_typescript_definitions_1.BossID.DOGMA]: "BossName_Dogma.png", // 99
    // The file name specified in "bossportraits.xml" for The Beast does not actually exist in the
    // game files.
    [isaac_typescript_definitions_1.BossID.BEAST]: "BossName_TheBeast.png", // 100
    [isaac_typescript_definitions_1.BossID.HORNY_BOYS]: "BossName_HornyBoys.png", // 101
    [isaac_typescript_definitions_1.BossID.CLUTCH]: "BossName_Clutch.png", // 102
    // [BossID.CADAVRA]: "BossName_Cadavra.png", // 103
};
