"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BOSS_NAMES = exports.DEFAULT_BOSS_NAME = void 0;
const isaac_typescript_definitions_1 = require("isaac-typescript-definitions");
exports.DEFAULT_BOSS_NAME = "Unknown";
/**
 * From "bossportraits.xml".
 *
 * Note that Blue Baby returns "Blue Baby" instead of "???".
 */
exports.BOSS_NAMES = {
    [isaac_typescript_definitions_1.BossID.MONSTRO]: "Monstro", // 1
    [isaac_typescript_definitions_1.BossID.LARRY_JR]: "Larry Jr.", // 2
    [isaac_typescript_definitions_1.BossID.CHUB]: "Chub", // 3
    [isaac_typescript_definitions_1.BossID.GURDY]: "Gurdy", // 4
    [isaac_typescript_definitions_1.BossID.MONSTRO_2]: "Monstro II", // 5
    [isaac_typescript_definitions_1.BossID.MOM]: "Mom", // 6
    [isaac_typescript_definitions_1.BossID.SCOLEX]: "Scolex", // 7
    [isaac_typescript_definitions_1.BossID.MOMS_HEART]: "Mom's Heart", // 8
    [isaac_typescript_definitions_1.BossID.FAMINE]: "Famine", // 9
    [isaac_typescript_definitions_1.BossID.PESTILENCE]: "Pestilence", // 10
    [isaac_typescript_definitions_1.BossID.WAR]: "War", // 11
    [isaac_typescript_definitions_1.BossID.DEATH]: "Death", // 12
    [isaac_typescript_definitions_1.BossID.DUKE_OF_FLIES]: "Duke of Flies", // 13
    [isaac_typescript_definitions_1.BossID.PEEP]: "Peep", // 14
    [isaac_typescript_definitions_1.BossID.LOKI]: "Loki", // 15
    [isaac_typescript_definitions_1.BossID.BLASTOCYST]: "Blastocyst", // 16
    [isaac_typescript_definitions_1.BossID.GEMINI]: "Gemini", // 17
    [isaac_typescript_definitions_1.BossID.FISTULA]: "Fistula", // 18
    [isaac_typescript_definitions_1.BossID.GISH]: "Gish", // 19
    [isaac_typescript_definitions_1.BossID.STEVEN]: "Steven", // 20
    [isaac_typescript_definitions_1.BossID.CHAD]: "C.H.A.D.", // 21
    [isaac_typescript_definitions_1.BossID.HEADLESS_HORSEMAN]: "Headless Horseman", // 22
    [isaac_typescript_definitions_1.BossID.FALLEN]: "The Fallen", // 23
    [isaac_typescript_definitions_1.BossID.SATAN]: "Satan", // 24
    [isaac_typescript_definitions_1.BossID.IT_LIVES]: "It Lives!", // 25
    [isaac_typescript_definitions_1.BossID.HOLLOW]: "The Hollow", // 26
    [isaac_typescript_definitions_1.BossID.CARRION_QUEEN]: "The Carrion Queen", // 27
    [isaac_typescript_definitions_1.BossID.GURDY_JR]: "Gurdy Jr.", // 28
    [isaac_typescript_definitions_1.BossID.HUSK]: "The Husk", // 29
    [isaac_typescript_definitions_1.BossID.BLOAT]: "The Bloat", // 30
    [isaac_typescript_definitions_1.BossID.LOKII]: "Lokii", // 31
    [isaac_typescript_definitions_1.BossID.BLIGHTED_OVUM]: "The Blighted Ovum", // 32
    [isaac_typescript_definitions_1.BossID.TERATOMA]: "Teratoma", // 33
    [isaac_typescript_definitions_1.BossID.WIDOW]: "The Widow", // 34
    [isaac_typescript_definitions_1.BossID.MASK_OF_INFAMY]: "Mask of Infamy", // 35
    [isaac_typescript_definitions_1.BossID.WRETCHED]: "The Wretched", // 36
    [isaac_typescript_definitions_1.BossID.PIN]: "Pin", // 37
    [isaac_typescript_definitions_1.BossID.CONQUEST]: "Conquest", // 38
    [isaac_typescript_definitions_1.BossID.ISAAC]: "Isaac", // 39
    [isaac_typescript_definitions_1.BossID.BLUE_BABY]: "Blue Baby", // 40
    [isaac_typescript_definitions_1.BossID.DADDY_LONG_LEGS]: "Daddy Long Legs", // 41
    [isaac_typescript_definitions_1.BossID.TRIACHNID]: "Triachnid", // 42
    [isaac_typescript_definitions_1.BossID.HAUNT]: "The Haunt", // 43
    [isaac_typescript_definitions_1.BossID.DINGLE]: "Dingle", // 44
    [isaac_typescript_definitions_1.BossID.MEGA_MAW]: "Mega Maw", // 45
    // "Mega Maw II" is changed to "The Gate".
    [isaac_typescript_definitions_1.BossID.GATE]: "The Gate", // 46
    [isaac_typescript_definitions_1.BossID.MEGA_FATTY]: "Mega Fatty", // 47
    // "Mega Fatty II" is changed to "The Cage".
    [isaac_typescript_definitions_1.BossID.CAGE]: "The Cage", // 48
    [isaac_typescript_definitions_1.BossID.MAMA_GURDY]: "Mega Gurdy", // 49
    [isaac_typescript_definitions_1.BossID.DARK_ONE]: "Dark One", // 50
    // "Dark One II" is changed to "The Adversary".
    [isaac_typescript_definitions_1.BossID.ADVERSARY]: "The Adversary", // 51
    [isaac_typescript_definitions_1.BossID.POLYCEPHALUS]: "Polycephalus", // 52
    // "Mega Fred" is changed to "Mr. Fred".
    [isaac_typescript_definitions_1.BossID.MR_FRED]: "Mr. Fred", // 53
    [isaac_typescript_definitions_1.BossID.LAMB]: "The Lamb", // 54
    [isaac_typescript_definitions_1.BossID.MEGA_SATAN]: "Mega Satan", // 55
    [isaac_typescript_definitions_1.BossID.GURGLING]: "Gurglings", // 56
    [isaac_typescript_definitions_1.BossID.STAIN]: "The Stain", // 57
    [isaac_typescript_definitions_1.BossID.BROWNIE]: "Brownie", // 58
    [isaac_typescript_definitions_1.BossID.FORSAKEN]: "The Forsaken", // 59
    [isaac_typescript_definitions_1.BossID.LITTLE_HORN]: "Little Horn", // 60
    [isaac_typescript_definitions_1.BossID.RAG_MAN]: "Rag Man", // 61
    [isaac_typescript_definitions_1.BossID.ULTRA_GREED]: "Ultra Greed", // 62
    [isaac_typescript_definitions_1.BossID.HUSH]: "Hush", // 63
    [isaac_typescript_definitions_1.BossID.DANGLE]: "Dangle", // 64
    [isaac_typescript_definitions_1.BossID.TURDLING]: "Turdling", // 65
    [isaac_typescript_definitions_1.BossID.FRAIL]: "The Frail", // 66
    [isaac_typescript_definitions_1.BossID.RAG_MEGA]: "Rag Mega", // 67
    [isaac_typescript_definitions_1.BossID.SISTERS_VIS]: "Sisters Vis", // 68
    [isaac_typescript_definitions_1.BossID.BIG_HORN]: "Big Horn", // 69
    [isaac_typescript_definitions_1.BossID.DELIRIUM]: "Delirium", // 70
    [isaac_typescript_definitions_1.BossID.ULTRA_GREEDIER]: "Ultra Greedier", // 71
    [isaac_typescript_definitions_1.BossID.MATRIARCH]: "The Matriarch", // 72
    [isaac_typescript_definitions_1.BossID.PILE]: "The Pile", // 73
    [isaac_typescript_definitions_1.BossID.REAP_CREEP]: "Reap Creep", // 74
    // "Beelzeblub" is changed to "Lil Blub".
    [isaac_typescript_definitions_1.BossID.LIL_BLUB]: "Lil Blub", // 75
    [isaac_typescript_definitions_1.BossID.WORMWOOD]: "Wormwood", // 76
    [isaac_typescript_definitions_1.BossID.RAINMAKER]: "The Rainmaker", // 77
    [isaac_typescript_definitions_1.BossID.VISAGE]: "The Visage", // 78
    [isaac_typescript_definitions_1.BossID.SIREN]: "The Siren", // 79
    [isaac_typescript_definitions_1.BossID.TUFF_TWINS]: "Tuff Twins", // 80
    [isaac_typescript_definitions_1.BossID.HERETIC]: "The Heretic", // 81
    [isaac_typescript_definitions_1.BossID.HORNFEL]: "Hornfel", // 82
    [isaac_typescript_definitions_1.BossID.GREAT_GIDEON]: "Great Gideon", // 83
    [isaac_typescript_definitions_1.BossID.BABY_PLUM]: "Baby Plum", // 84
    [isaac_typescript_definitions_1.BossID.SCOURGE]: "The Scourge", // 85
    [isaac_typescript_definitions_1.BossID.CHIMERA]: "Chimera", // 86
    [isaac_typescript_definitions_1.BossID.ROTGUT]: "Rotgut", // 87
    [isaac_typescript_definitions_1.BossID.MOTHER]: "Mother", // 88
    [isaac_typescript_definitions_1.BossID.MAUSOLEUM_MOM]: "Mom (Mausoleum)", // 89
    [isaac_typescript_definitions_1.BossID.MAUSOLEUM_MOMS_HEART]: "Mom's Heart (Mausoleum)", // 90
    [isaac_typescript_definitions_1.BossID.MIN_MIN]: "Min-Min", // 91
    [isaac_typescript_definitions_1.BossID.CLOG]: "Clog", // 92
    [isaac_typescript_definitions_1.BossID.SINGE]: "Singe", // 93
    [isaac_typescript_definitions_1.BossID.BUMBINO]: "Bumbino", // 94
    [isaac_typescript_definitions_1.BossID.COLOSTOMIA]: "Colostomia", // 95
    [isaac_typescript_definitions_1.BossID.SHELL]: "The Shell", // 96
    [isaac_typescript_definitions_1.BossID.TURDLET]: "Turdlet", // 97
    [isaac_typescript_definitions_1.BossID.RAGLICH]: "Raglich", // 98
    [isaac_typescript_definitions_1.BossID.DOGMA]: "Dogma", // 99
    [isaac_typescript_definitions_1.BossID.BEAST]: "The Beast", // 100
    [isaac_typescript_definitions_1.BossID.HORNY_BOYS]: "Horny Boys", // 101
    [isaac_typescript_definitions_1.BossID.CLUTCH]: "Clutch", // 102
};
