"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CARD_NAMES = exports.DEFAULT_CARD_NAME = void 0;
const isaac_typescript_definitions_1 = require("isaac-typescript-definitions");
exports.DEFAULT_CARD_NAME = "Unknown";
/** This is a temporary map due to missing features in the vanilla API. */
exports.CARD_NAMES = {
    [isaac_typescript_definitions_1.CardType.NULL]: exports.DEFAULT_CARD_NAME, // 0
    [isaac_typescript_definitions_1.CardType.FOOL]: "0 - The Fool", // 1
    [isaac_typescript_definitions_1.CardType.MAGICIAN]: "I - The Magician", // 2
    [isaac_typescript_definitions_1.CardType.HIGH_PRIESTESS]: "II - The High Priestess", // 3
    [isaac_typescript_definitions_1.CardType.EMPRESS]: "III - The Empress", // 4
    [isaac_typescript_definitions_1.CardType.EMPEROR]: "IV - The Emperor", // 5
    [isaac_typescript_definitions_1.CardType.HIEROPHANT]: "V - The Hierophant", // 6
    [isaac_typescript_definitions_1.CardType.LOVERS]: "VI - The Lovers", // 7
    [isaac_typescript_definitions_1.CardType.CHARIOT]: "VII - The Chariot", // 8
    [isaac_typescript_definitions_1.CardType.JUSTICE]: "VIII - Justice", // 9
    [isaac_typescript_definitions_1.CardType.HERMIT]: "IX - The Hermit", // 10
    [isaac_typescript_definitions_1.CardType.WHEEL_OF_FORTUNE]: "X - Wheel of Fortune", // 11
    [isaac_typescript_definitions_1.CardType.STRENGTH]: "XI - Strength", // 12
    [isaac_typescript_definitions_1.CardType.HANGED_MAN]: "XII - The Hanged Man", // 13
    [isaac_typescript_definitions_1.CardType.DEATH]: "XIII - Death", // 14
    [isaac_typescript_definitions_1.CardType.TEMPERANCE]: "XIV - Temperance", // 15
    [isaac_typescript_definitions_1.CardType.DEVIL]: "XV - The Devil", // 16
    [isaac_typescript_definitions_1.CardType.TOWER]: "XVI - The Tower", // 17
    [isaac_typescript_definitions_1.CardType.STARS]: "XVII - The Stars", // 18
    [isaac_typescript_definitions_1.CardType.MOON]: "XVIII - The Moon", // 19
    [isaac_typescript_definitions_1.CardType.SUN]: "XIX - The Sun", // 20
    [isaac_typescript_definitions_1.CardType.JUDGEMENT]: "XX - Judgement", // 21
    [isaac_typescript_definitions_1.CardType.WORLD]: "XXI - The World", // 22
    [isaac_typescript_definitions_1.CardType.TWO_OF_CLUBS]: "2 of Clubs", // 23
    [isaac_typescript_definitions_1.CardType.TWO_OF_DIAMONDS]: "2 of Diamonds", // 24
    [isaac_typescript_definitions_1.CardType.TWO_OF_SPADES]: "2 of Spades", // 25
    [isaac_typescript_definitions_1.CardType.TWO_OF_HEARTS]: "2 of Hearts", // 26
    [isaac_typescript_definitions_1.CardType.ACE_OF_CLUBS]: "Ace of Clubs", // 27
    [isaac_typescript_definitions_1.CardType.ACE_OF_DIAMONDS]: "Ace of Diamonds", // 28
    [isaac_typescript_definitions_1.CardType.ACE_OF_SPADES]: "Ace of Spades", // 29
    [isaac_typescript_definitions_1.CardType.ACE_OF_HEARTS]: "Ace of Hearts", // 30
    [isaac_typescript_definitions_1.CardType.JOKER]: "Joker", // 31
    [isaac_typescript_definitions_1.CardType.RUNE_HAGALAZ]: "Hagalaz", // 32
    [isaac_typescript_definitions_1.CardType.RUNE_JERA]: "Jera", // 33
    [isaac_typescript_definitions_1.CardType.RUNE_EHWAZ]: "Ehwaz", // 34
    [isaac_typescript_definitions_1.CardType.RUNE_DAGAZ]: "Dagaz", // 35
    [isaac_typescript_definitions_1.CardType.RUNE_ANSUZ]: "Ansuz", // 36
    [isaac_typescript_definitions_1.CardType.RUNE_PERTHRO]: "Perthro", // 37
    [isaac_typescript_definitions_1.CardType.RUNE_BERKANO]: "Berkano", // 38
    [isaac_typescript_definitions_1.CardType.RUNE_ALGIZ]: "Algiz", // 39
    [isaac_typescript_definitions_1.CardType.RUNE_BLANK]: "Blank Rune", // 40
    [isaac_typescript_definitions_1.CardType.RUNE_BLACK]: "Black Rune", // 41
    [isaac_typescript_definitions_1.CardType.CHAOS]: "Chaos Card", // 42
    [isaac_typescript_definitions_1.CardType.CREDIT]: "Credit Card", // 43
    [isaac_typescript_definitions_1.CardType.RULES]: "Rules Card", // 44
    [isaac_typescript_definitions_1.CardType.AGAINST_HUMANITY]: "A Card Against Humanity", // 45
    [isaac_typescript_definitions_1.CardType.SUICIDE_KING]: "Suicide King", // 46
    [isaac_typescript_definitions_1.CardType.GET_OUT_OF_JAIL_FREE]: "Get Out Of Jail Free Card", // 47
    [isaac_typescript_definitions_1.CardType.QUESTION_MARK]: "? Card", // 48
    [isaac_typescript_definitions_1.CardType.DICE_SHARD]: "Dice Shard", // 49
    [isaac_typescript_definitions_1.CardType.EMERGENCY_CONTACT]: "Emergency Contact", // 50
    [isaac_typescript_definitions_1.CardType.HOLY]: "Holy Card", // 51
    [isaac_typescript_definitions_1.CardType.HUGE_GROWTH]: "Huge Growth", // 52
    [isaac_typescript_definitions_1.CardType.ANCIENT_RECALL]: "Ancient Recall", // 53
    [isaac_typescript_definitions_1.CardType.ERA_WALK]: "Era Walk", // 54
    [isaac_typescript_definitions_1.CardType.RUNE_SHARD]: "Rune Shard", // 55
    [isaac_typescript_definitions_1.CardType.REVERSE_FOOL]: "0 - The Fool?", // 56
    [isaac_typescript_definitions_1.CardType.REVERSE_MAGICIAN]: "I - The Magician?", // 57
    [isaac_typescript_definitions_1.CardType.REVERSE_HIGH_PRIESTESS]: "II - The High Priestess?", // 58
    [isaac_typescript_definitions_1.CardType.REVERSE_EMPRESS]: "III - The Empress?", // 59
    [isaac_typescript_definitions_1.CardType.REVERSE_EMPEROR]: "IV - The Emperor?", // 60
    [isaac_typescript_definitions_1.CardType.REVERSE_HIEROPHANT]: "V - The Hierophant?", // 61
    [isaac_typescript_definitions_1.CardType.REVERSE_LOVERS]: "VI - The Lovers?", // 62
    [isaac_typescript_definitions_1.CardType.REVERSE_CHARIOT]: "VII - The Chariot?", // 63
    [isaac_typescript_definitions_1.CardType.REVERSE_JUSTICE]: "VIII - Justice?", // 64
    [isaac_typescript_definitions_1.CardType.REVERSE_HERMIT]: "IX - The Hermit?", // 65
    [isaac_typescript_definitions_1.CardType.REVERSE_WHEEL_OF_FORTUNE]: "X - Wheel of Fortune?", // 66
    [isaac_typescript_definitions_1.CardType.REVERSE_STRENGTH]: "XI - Strength?", // 67
    [isaac_typescript_definitions_1.CardType.REVERSE_HANGED_MAN]: "XII - The Hanged Man?", // 68
    [isaac_typescript_definitions_1.CardType.REVERSE_DEATH]: "XIII - Death?", // 69
    [isaac_typescript_definitions_1.CardType.REVERSE_TEMPERANCE]: "XIV - Temperance?", // 70
    [isaac_typescript_definitions_1.CardType.REVERSE_DEVIL]: "XV - The Devil?", // 71
    [isaac_typescript_definitions_1.CardType.REVERSE_TOWER]: "XVI - The Tower?", // 72
    [isaac_typescript_definitions_1.CardType.REVERSE_STARS]: "XVII - The Stars?", // 73
    [isaac_typescript_definitions_1.CardType.REVERSE_MOON]: "XVIII - The Moon?", // 74
    [isaac_typescript_definitions_1.CardType.REVERSE_SUN]: "XIX - The Sun?", // 75
    [isaac_typescript_definitions_1.CardType.REVERSE_JUDGEMENT]: "XX - Judgement?", // 76
    [isaac_typescript_definitions_1.CardType.REVERSE_WORLD]: "XXI - The World?", // 77
    [isaac_typescript_definitions_1.CardType.CRACKED_KEY]: "Cracked Key", // 78
    [isaac_typescript_definitions_1.CardType.QUEEN_OF_HEARTS]: "Queen of Hearts", // 79
    [isaac_typescript_definitions_1.CardType.WILD]: "Wild Card", // 80
    [isaac_typescript_definitions_1.CardType.SOUL_OF_ISAAC]: "Soul of Isaac", // 81
    [isaac_typescript_definitions_1.CardType.SOUL_OF_MAGDALENE]: "Soul of Magdalene", // 82
    [isaac_typescript_definitions_1.CardType.SOUL_OF_CAIN]: "Soul of Cain", // 83
    [isaac_typescript_definitions_1.CardType.SOUL_OF_JUDAS]: "Soul of Judas", // 84
    [isaac_typescript_definitions_1.CardType.SOUL_OF_BLUE_BABY]: "Soul of ???", // 85
    [isaac_typescript_definitions_1.CardType.SOUL_OF_EVE]: "Soul of Eve", // 86
    [isaac_typescript_definitions_1.CardType.SOUL_OF_SAMSON]: "Soul of Samson", // 87
    [isaac_typescript_definitions_1.CardType.SOUL_OF_AZAZEL]: "Soul of Azazel", // 88
    [isaac_typescript_definitions_1.CardType.SOUL_OF_LAZARUS]: "Soul of Lazarus", // 89
    [isaac_typescript_definitions_1.CardType.SOUL_OF_EDEN]: "Soul of Eden", // 90
    [isaac_typescript_definitions_1.CardType.SOUL_OF_LOST]: "Soul of the Lost", // 91
    [isaac_typescript_definitions_1.CardType.SOUL_OF_LILITH]: "Soul of Lilith", // 92
    [isaac_typescript_definitions_1.CardType.SOUL_OF_KEEPER]: "Soul of the Keeper", // 93
    [isaac_typescript_definitions_1.CardType.SOUL_OF_APOLLYON]: "Soul of Apollyon", // 94
    [isaac_typescript_definitions_1.CardType.SOUL_OF_FORGOTTEN]: "Soul of the Forgotten", // 95
    [isaac_typescript_definitions_1.CardType.SOUL_OF_BETHANY]: "Soul of Bethany", // 96
    [isaac_typescript_definitions_1.CardType.SOUL_OF_JACOB_AND_ESAU]: "Soul of Jacob and Esau", // 97
};
