"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CHALLENGE_BOSSES = exports.DEFAULT_CHALLENGE_BOSS_ID = void 0;
const isaac_typescript_definitions_1 = require("isaac-typescript-definitions");
exports.DEFAULT_CHALLENGE_BOSS_ID = isaac_typescript_definitions_1.BossID.MOM;
/**
 * Contains the boss goal for each challenge.
 *
 * Taken from the "challenges.xml" file.
 *
 * @see https://bindingofisaacrebirth.fandom.com/wiki/Challenges
 */
exports.CHALLENGE_BOSSES = {
    [isaac_typescript_definitions_1.Challenge.NULL]: isaac_typescript_definitions_1.BossID.MOM, // 0
    [isaac_typescript_definitions_1.Challenge.PITCH_BLACK]: isaac_typescript_definitions_1.BossID.MOM, // 1
    [isaac_typescript_definitions_1.Challenge.HIGH_BROW]: isaac_typescript_definitions_1.BossID.MOM, // 2
    [isaac_typescript_definitions_1.Challenge.HEAD_TRAUMA]: isaac_typescript_definitions_1.BossID.MOM, // 3
    [isaac_typescript_definitions_1.Challenge.DARKNESS_FALLS]: isaac_typescript_definitions_1.BossID.SATAN, // 4
    [isaac_typescript_definitions_1.Challenge.TANK]: isaac_typescript_definitions_1.BossID.MOM, // 5
    [isaac_typescript_definitions_1.Challenge.SOLAR_SYSTEM]: isaac_typescript_definitions_1.BossID.MOMS_HEART, // 6
    [isaac_typescript_definitions_1.Challenge.SUICIDE_KING]: isaac_typescript_definitions_1.BossID.ISAAC, // 7
    [isaac_typescript_definitions_1.Challenge.CAT_GOT_YOUR_TONGUE]: isaac_typescript_definitions_1.BossID.MOM, // 8
    [isaac_typescript_definitions_1.Challenge.DEMO_MAN]: isaac_typescript_definitions_1.BossID.MOMS_HEART, // 9
    [isaac_typescript_definitions_1.Challenge.CURSED]: isaac_typescript_definitions_1.BossID.MOM, // 10
    [isaac_typescript_definitions_1.Challenge.GLASS_CANNON]: isaac_typescript_definitions_1.BossID.SATAN, // 11
    [isaac_typescript_definitions_1.Challenge.WHEN_LIFE_GIVES_YOU_LEMONS]: isaac_typescript_definitions_1.BossID.MOM, // 12
    [isaac_typescript_definitions_1.Challenge.BEANS]: isaac_typescript_definitions_1.BossID.MOM, // 13
    [isaac_typescript_definitions_1.Challenge.ITS_IN_THE_CARDS]: isaac_typescript_definitions_1.BossID.MOM, // 14
    [isaac_typescript_definitions_1.Challenge.SLOW_ROLL]: isaac_typescript_definitions_1.BossID.MOM, // 15
    [isaac_typescript_definitions_1.Challenge.COMPUTER_SAVY]: isaac_typescript_definitions_1.BossID.MOM, // 16
    [isaac_typescript_definitions_1.Challenge.WAKA_WAKA]: isaac_typescript_definitions_1.BossID.MOM, // 17
    [isaac_typescript_definitions_1.Challenge.HOST]: isaac_typescript_definitions_1.BossID.MOM, // 18
    [isaac_typescript_definitions_1.Challenge.FAMILY_MAN]: isaac_typescript_definitions_1.BossID.ISAAC, // 19
    [isaac_typescript_definitions_1.Challenge.PURIST]: isaac_typescript_definitions_1.BossID.MOMS_HEART, // 20
    [isaac_typescript_definitions_1.Challenge.XXXXXXXXL]: isaac_typescript_definitions_1.BossID.MOMS_HEART, // 21
    [isaac_typescript_definitions_1.Challenge.SPEED]: isaac_typescript_definitions_1.BossID.MOMS_HEART, // 22
    [isaac_typescript_definitions_1.Challenge.BLUE_BOMBER]: isaac_typescript_definitions_1.BossID.SATAN, // 23
    [isaac_typescript_definitions_1.Challenge.PAY_TO_PLAY]: isaac_typescript_definitions_1.BossID.ISAAC, // 24
    [isaac_typescript_definitions_1.Challenge.HAVE_A_HEART]: isaac_typescript_definitions_1.BossID.MOMS_HEART, // 25
    [isaac_typescript_definitions_1.Challenge.I_RULE]: isaac_typescript_definitions_1.BossID.MEGA_SATAN, // 26
    [isaac_typescript_definitions_1.Challenge.BRAINS]: isaac_typescript_definitions_1.BossID.BLUE_BABY, // 27
    [isaac_typescript_definitions_1.Challenge.PRIDE_DAY]: isaac_typescript_definitions_1.BossID.MOMS_HEART, // 28
    [isaac_typescript_definitions_1.Challenge.ONANS_STREAK]: isaac_typescript_definitions_1.BossID.ISAAC, // 29
    [isaac_typescript_definitions_1.Challenge.GUARDIAN]: isaac_typescript_definitions_1.BossID.MOMS_HEART, // 30
    [isaac_typescript_definitions_1.Challenge.BACKASSWARDS]: isaac_typescript_definitions_1.BossID.MEGA_SATAN, // 31
    [isaac_typescript_definitions_1.Challenge.APRILS_FOOL]: isaac_typescript_definitions_1.BossID.MOMS_HEART, // 32
    [isaac_typescript_definitions_1.Challenge.POKEY_MANS]: isaac_typescript_definitions_1.BossID.ISAAC, // 33
    [isaac_typescript_definitions_1.Challenge.ULTRA_HARD]: isaac_typescript_definitions_1.BossID.MEGA_SATAN, // 34
    [isaac_typescript_definitions_1.Challenge.PONG]: isaac_typescript_definitions_1.BossID.BLUE_BABY, // 35
    [isaac_typescript_definitions_1.Challenge.SCAT_MAN]: isaac_typescript_definitions_1.BossID.MOM, // 36
    [isaac_typescript_definitions_1.Challenge.BLOODY_MARY]: isaac_typescript_definitions_1.BossID.SATAN, // 37
    [isaac_typescript_definitions_1.Challenge.BAPTISM_BY_FIRE]: isaac_typescript_definitions_1.BossID.SATAN, // 38
    [isaac_typescript_definitions_1.Challenge.ISAACS_AWAKENING]: isaac_typescript_definitions_1.BossID.MOTHER, // 39
    [isaac_typescript_definitions_1.Challenge.SEEING_DOUBLE]: isaac_typescript_definitions_1.BossID.MOMS_HEART, // 40
    [isaac_typescript_definitions_1.Challenge.PICA_RUN]: isaac_typescript_definitions_1.BossID.ISAAC, // 41
    [isaac_typescript_definitions_1.Challenge.HOT_POTATO]: isaac_typescript_definitions_1.BossID.SATAN, // 42
    [isaac_typescript_definitions_1.Challenge.CANTRIPPED]: isaac_typescript_definitions_1.BossID.MOM, // 43
    [isaac_typescript_definitions_1.Challenge.RED_REDEMPTION]: isaac_typescript_definitions_1.BossID.MOTHER, // 44
    [isaac_typescript_definitions_1.Challenge.DELETE_THIS]: isaac_typescript_definitions_1.BossID.BLUE_BABY, // 45
};
