"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CHALLENGE_CHARACTERS = exports.DEFAULT_CHALLENGE_CHARACTER = void 0;
const isaac_typescript_definitions_1 = require("isaac-typescript-definitions");
exports.DEFAULT_CHALLENGE_CHARACTER = isaac_typescript_definitions_1.PlayerType.ISAAC;
/**
 * Contains the starting character for each challenge.
 *
 * Taken from the "challenges.xml" file.
 */
exports.CHALLENGE_CHARACTERS = {
    [isaac_typescript_definitions_1.Challenge.NULL]: exports.DEFAULT_CHALLENGE_CHARACTER, // 0
    [isaac_typescript_definitions_1.Challenge.PITCH_BLACK]: exports.DEFAULT_CHALLENGE_CHARACTER, // 1
    [isaac_typescript_definitions_1.Challenge.HIGH_BROW]: exports.DEFAULT_CHALLENGE_CHARACTER, // 2
    [isaac_typescript_definitions_1.Challenge.HEAD_TRAUMA]: exports.DEFAULT_CHALLENGE_CHARACTER, // 3
    [isaac_typescript_definitions_1.Challenge.DARKNESS_FALLS]: isaac_typescript_definitions_1.PlayerType.EVE, // 4
    [isaac_typescript_definitions_1.Challenge.TANK]: isaac_typescript_definitions_1.PlayerType.MAGDALENE, // 5
    [isaac_typescript_definitions_1.Challenge.SOLAR_SYSTEM]: exports.DEFAULT_CHALLENGE_CHARACTER, // 6
    [isaac_typescript_definitions_1.Challenge.SUICIDE_KING]: isaac_typescript_definitions_1.PlayerType.LAZARUS, // 7
    [isaac_typescript_definitions_1.Challenge.CAT_GOT_YOUR_TONGUE]: exports.DEFAULT_CHALLENGE_CHARACTER, // 8
    [isaac_typescript_definitions_1.Challenge.DEMO_MAN]: exports.DEFAULT_CHALLENGE_CHARACTER, // 9
    [isaac_typescript_definitions_1.Challenge.CURSED]: isaac_typescript_definitions_1.PlayerType.MAGDALENE, // 10
    [isaac_typescript_definitions_1.Challenge.GLASS_CANNON]: isaac_typescript_definitions_1.PlayerType.JUDAS, // 11
    [isaac_typescript_definitions_1.Challenge.WHEN_LIFE_GIVES_YOU_LEMONS]: exports.DEFAULT_CHALLENGE_CHARACTER, // 12
    [isaac_typescript_definitions_1.Challenge.BEANS]: exports.DEFAULT_CHALLENGE_CHARACTER, // 13
    [isaac_typescript_definitions_1.Challenge.ITS_IN_THE_CARDS]: exports.DEFAULT_CHALLENGE_CHARACTER, // 14
    [isaac_typescript_definitions_1.Challenge.SLOW_ROLL]: exports.DEFAULT_CHALLENGE_CHARACTER, // 15
    [isaac_typescript_definitions_1.Challenge.COMPUTER_SAVY]: exports.DEFAULT_CHALLENGE_CHARACTER, // 16
    [isaac_typescript_definitions_1.Challenge.WAKA_WAKA]: exports.DEFAULT_CHALLENGE_CHARACTER, // 17
    [isaac_typescript_definitions_1.Challenge.HOST]: exports.DEFAULT_CHALLENGE_CHARACTER, // 18
    [isaac_typescript_definitions_1.Challenge.FAMILY_MAN]: exports.DEFAULT_CHALLENGE_CHARACTER, // 19
    [isaac_typescript_definitions_1.Challenge.PURIST]: exports.DEFAULT_CHALLENGE_CHARACTER, // 20
    [isaac_typescript_definitions_1.Challenge.XXXXXXXXL]: exports.DEFAULT_CHALLENGE_CHARACTER, // 21
    [isaac_typescript_definitions_1.Challenge.SPEED]: exports.DEFAULT_CHALLENGE_CHARACTER, // 22
    [isaac_typescript_definitions_1.Challenge.BLUE_BOMBER]: isaac_typescript_definitions_1.PlayerType.BLUE_BABY, // 23
    [isaac_typescript_definitions_1.Challenge.PAY_TO_PLAY]: exports.DEFAULT_CHALLENGE_CHARACTER, // 24
    [isaac_typescript_definitions_1.Challenge.HAVE_A_HEART]: exports.DEFAULT_CHALLENGE_CHARACTER, // 25
    [isaac_typescript_definitions_1.Challenge.I_RULE]: exports.DEFAULT_CHALLENGE_CHARACTER, // 26
    [isaac_typescript_definitions_1.Challenge.BRAINS]: isaac_typescript_definitions_1.PlayerType.BLUE_BABY, // 27
    [isaac_typescript_definitions_1.Challenge.PRIDE_DAY]: exports.DEFAULT_CHALLENGE_CHARACTER, // 28
    [isaac_typescript_definitions_1.Challenge.ONANS_STREAK]: isaac_typescript_definitions_1.PlayerType.JUDAS, // 29
    [isaac_typescript_definitions_1.Challenge.GUARDIAN]: exports.DEFAULT_CHALLENGE_CHARACTER, // 30
    [isaac_typescript_definitions_1.Challenge.BACKASSWARDS]: exports.DEFAULT_CHALLENGE_CHARACTER, // 31
    [isaac_typescript_definitions_1.Challenge.APRILS_FOOL]: exports.DEFAULT_CHALLENGE_CHARACTER, // 32
    [isaac_typescript_definitions_1.Challenge.POKEY_MANS]: exports.DEFAULT_CHALLENGE_CHARACTER, // 33
    [isaac_typescript_definitions_1.Challenge.ULTRA_HARD]: exports.DEFAULT_CHALLENGE_CHARACTER, // 34
    [isaac_typescript_definitions_1.Challenge.PONG]: exports.DEFAULT_CHALLENGE_CHARACTER, // 35
    [isaac_typescript_definitions_1.Challenge.SCAT_MAN]: exports.DEFAULT_CHALLENGE_CHARACTER, // 36
    [isaac_typescript_definitions_1.Challenge.BLOODY_MARY]: isaac_typescript_definitions_1.PlayerType.BETHANY, // 37
    [isaac_typescript_definitions_1.Challenge.BAPTISM_BY_FIRE]: isaac_typescript_definitions_1.PlayerType.BETHANY, // 38
    [isaac_typescript_definitions_1.Challenge.ISAACS_AWAKENING]: exports.DEFAULT_CHALLENGE_CHARACTER, // 39
    [isaac_typescript_definitions_1.Challenge.SEEING_DOUBLE]: isaac_typescript_definitions_1.PlayerType.JACOB, // 40
    [isaac_typescript_definitions_1.Challenge.PICA_RUN]: exports.DEFAULT_CHALLENGE_CHARACTER, // 41
    [isaac_typescript_definitions_1.Challenge.HOT_POTATO]: isaac_typescript_definitions_1.PlayerType.FORGOTTEN_B, // 42
    [isaac_typescript_definitions_1.Challenge.CANTRIPPED]: isaac_typescript_definitions_1.PlayerType.CAIN_B, // 43
    [isaac_typescript_definitions_1.Challenge.RED_REDEMPTION]: isaac_typescript_definitions_1.PlayerType.JACOB_B, // 44
    [isaac_typescript_definitions_1.Challenge.DELETE_THIS]: exports.DEFAULT_CHALLENGE_CHARACTER, // 45
};
