"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CHALLENGE_TRINKET_TYPE = void 0;
const isaac_typescript_definitions_1 = require("isaac-typescript-definitions");
/**
 * Contains the starting trinket for each challenge. Challenges that do not grant a starting trinket
 * will have a value of `undefined`.
 *
 * Taken from the "challenges.xml" file.
 */
exports.CHALLENGE_TRINKET_TYPE = {
    [isaac_typescript_definitions_1.Challenge.NULL]: undefined, // 0
    [isaac_typescript_definitions_1.Challenge.PITCH_BLACK]: undefined, // 1
    [isaac_typescript_definitions_1.Challenge.HIGH_BROW]: isaac_typescript_definitions_1.TrinketType.PETRIFIED_POOP, // 2
    [isaac_typescript_definitions_1.Challenge.HEAD_TRAUMA]: undefined, // 3
    [isaac_typescript_definitions_1.Challenge.DARKNESS_FALLS]: undefined, // 4
    [isaac_typescript_definitions_1.Challenge.TANK]: undefined, // 5
    [isaac_typescript_definitions_1.Challenge.SOLAR_SYSTEM]: undefined, // 6
    [isaac_typescript_definitions_1.Challenge.SUICIDE_KING]: undefined, // 7
    [isaac_typescript_definitions_1.Challenge.CAT_GOT_YOUR_TONGUE]: undefined, // 8
    [isaac_typescript_definitions_1.Challenge.DEMO_MAN]: isaac_typescript_definitions_1.TrinketType.MATCH_STICK, // 9
    [isaac_typescript_definitions_1.Challenge.CURSED]: isaac_typescript_definitions_1.TrinketType.CHILDS_HEART, // 10
    [isaac_typescript_definitions_1.Challenge.GLASS_CANNON]: undefined, // 11
    [isaac_typescript_definitions_1.Challenge.WHEN_LIFE_GIVES_YOU_LEMONS]: undefined, // 12
    [isaac_typescript_definitions_1.Challenge.BEANS]: undefined, // 13
    [isaac_typescript_definitions_1.Challenge.ITS_IN_THE_CARDS]: undefined, // 14
    [isaac_typescript_definitions_1.Challenge.SLOW_ROLL]: undefined, // 15
    [isaac_typescript_definitions_1.Challenge.COMPUTER_SAVY]: undefined, // 16
    [isaac_typescript_definitions_1.Challenge.WAKA_WAKA]: undefined, // 17
    [isaac_typescript_definitions_1.Challenge.HOST]: isaac_typescript_definitions_1.TrinketType.TICK, // 18
    [isaac_typescript_definitions_1.Challenge.FAMILY_MAN]: undefined, // 19
    [isaac_typescript_definitions_1.Challenge.PURIST]: undefined, // 20
    [isaac_typescript_definitions_1.Challenge.XXXXXXXXL]: undefined, // 21
    [isaac_typescript_definitions_1.Challenge.SPEED]: undefined, // 22
    [isaac_typescript_definitions_1.Challenge.BLUE_BOMBER]: undefined, // 23
    [isaac_typescript_definitions_1.Challenge.PAY_TO_PLAY]: undefined, // 24
    [isaac_typescript_definitions_1.Challenge.HAVE_A_HEART]: undefined, // 25
    [isaac_typescript_definitions_1.Challenge.I_RULE]: undefined, // 26
    [isaac_typescript_definitions_1.Challenge.BRAINS]: undefined, // 27
    [isaac_typescript_definitions_1.Challenge.PRIDE_DAY]: isaac_typescript_definitions_1.TrinketType.RAINBOW_WORM, // 28
    [isaac_typescript_definitions_1.Challenge.ONANS_STREAK]: undefined, // 29
    [isaac_typescript_definitions_1.Challenge.GUARDIAN]: undefined, // 30
    [isaac_typescript_definitions_1.Challenge.BACKASSWARDS]: undefined, // 31
    [isaac_typescript_definitions_1.Challenge.APRILS_FOOL]: undefined, // 32
    [isaac_typescript_definitions_1.Challenge.POKEY_MANS]: undefined, // 33
    [isaac_typescript_definitions_1.Challenge.ULTRA_HARD]: undefined, // 34
    [isaac_typescript_definitions_1.Challenge.PONG]: undefined, // 35
    [isaac_typescript_definitions_1.Challenge.SCAT_MAN]: isaac_typescript_definitions_1.TrinketType.MYSTERIOUS_CANDY, // 36
    [isaac_typescript_definitions_1.Challenge.BLOODY_MARY]: isaac_typescript_definitions_1.TrinketType.CHILDS_HEART, // 37
    [isaac_typescript_definitions_1.Challenge.BAPTISM_BY_FIRE]: isaac_typescript_definitions_1.TrinketType.MAGGYS_FAITH, // 38
    [isaac_typescript_definitions_1.Challenge.ISAACS_AWAKENING]: undefined, // 39
    [isaac_typescript_definitions_1.Challenge.SEEING_DOUBLE]: undefined, // 40
    [isaac_typescript_definitions_1.Challenge.PICA_RUN]: undefined, // 41
    [isaac_typescript_definitions_1.Challenge.HOT_POTATO]: undefined, // 42
    [isaac_typescript_definitions_1.Challenge.CANTRIPPED]: undefined, // 43
    [isaac_typescript_definitions_1.Challenge.RED_REDEMPTION]: undefined, // 44
    [isaac_typescript_definitions_1.Challenge.DELETE_THIS]: undefined, // 45
};
