"use strict";
/* cspell:disable */
Object.defineProperty(exports, "__esModule", { value: true });
exports.COLLECTIBLE_DESCRIPTIONS = exports.DEFAULT_COLLECTIBLE_DESCRIPTION = void 0;
const isaac_typescript_definitions_1 = require("isaac-typescript-definitions");
exports.DEFAULT_COLLECTIBLE_DESCRIPTION = "Unknown";
/** Maps collectible types to the real English descriptions from the "stringtable.sta" file. */
exports.COLLECTIBLE_DESCRIPTIONS = {
    [isaac_typescript_definitions_1.CollectibleType.NULL]: exports.DEFAULT_COLLECTIBLE_DESCRIPTION, // 0
    [isaac_typescript_definitions_1.CollectibleType.SAD_ONION]: "Tears up", // 1
    [isaac_typescript_definitions_1.CollectibleType.INNER_EYE]: "Triple shot", // 2
    [isaac_typescript_definitions_1.CollectibleType.SPOON_BENDER]: "Homing shots", // 3
    [isaac_typescript_definitions_1.CollectibleType.CRICKETS_HEAD]: "DMG up", // 4
    [isaac_typescript_definitions_1.CollectibleType.MY_REFLECTION]: "Boomerang tears", // 5
    [isaac_typescript_definitions_1.CollectibleType.NUMBER_ONE]: "Tears up + range down", // 6
    [isaac_typescript_definitions_1.CollectibleType.BLOOD_OF_THE_MARTYR]: "DMG up", // 7
    [isaac_typescript_definitions_1.CollectibleType.BROTHER_BOBBY]: "Friends 'till the end", // 8
    [isaac_typescript_definitions_1.CollectibleType.SKATOLE]: "Fly love", // 9
    [isaac_typescript_definitions_1.CollectibleType.HALO_OF_FLIES]: "Projectile protection", // 10
    [isaac_typescript_definitions_1.CollectibleType.ONE_UP]: "Extra life", // 11
    [isaac_typescript_definitions_1.CollectibleType.MAGIC_MUSHROOM]: "All stats up!", // 12
    [isaac_typescript_definitions_1.CollectibleType.VIRUS]: "Poison touch + speed up", // 13
    [isaac_typescript_definitions_1.CollectibleType.ROID_RAGE]: "Speed and range up", // 14
    [isaac_typescript_definitions_1.CollectibleType.HEART]: "HP up", // 15
    [isaac_typescript_definitions_1.CollectibleType.RAW_LIVER]: "HP up", // 16
    [isaac_typescript_definitions_1.CollectibleType.SKELETON_KEY]: "99 keys", // 17
    [isaac_typescript_definitions_1.CollectibleType.DOLLAR]: "$$$", // 18
    [isaac_typescript_definitions_1.CollectibleType.BOOM]: "10 bombs", // 19
    [isaac_typescript_definitions_1.CollectibleType.TRANSCENDENCE]: "We all float down here...", // 20
    [isaac_typescript_definitions_1.CollectibleType.COMPASS]: "The end is near", // 21
    [isaac_typescript_definitions_1.CollectibleType.LUNCH]: "HP up", // 22
    [isaac_typescript_definitions_1.CollectibleType.DINNER]: "HP up", // 23
    [isaac_typescript_definitions_1.CollectibleType.DESSERT]: "HP up", // 24
    [isaac_typescript_definitions_1.CollectibleType.BREAKFAST]: "HP up", // 25
    [isaac_typescript_definitions_1.CollectibleType.ROTTEN_MEAT]: "HP up", // 26
    [isaac_typescript_definitions_1.CollectibleType.WOODEN_SPOON]: "Speed up", // 27
    [isaac_typescript_definitions_1.CollectibleType.BELT]: "Speed up", // 28
    [isaac_typescript_definitions_1.CollectibleType.MOMS_UNDERWEAR]: "Range up", // 29
    [isaac_typescript_definitions_1.CollectibleType.MOMS_HEELS]: "Range up", // 30
    [isaac_typescript_definitions_1.CollectibleType.MOMS_LIPSTICK]: "Range up", // 31
    [isaac_typescript_definitions_1.CollectibleType.WIRE_COAT_HANGER]: "Tears up", // 32
    [isaac_typescript_definitions_1.CollectibleType.BIBLE]: "Temporary flight", // 33
    [isaac_typescript_definitions_1.CollectibleType.BOOK_OF_BELIAL]: "Temporary DMG up", // 34
    [isaac_typescript_definitions_1.CollectibleType.NECRONOMICON]: "Mass room damage", // 35
    [isaac_typescript_definitions_1.CollectibleType.POOP]: "Plop!", // 36
    [isaac_typescript_definitions_1.CollectibleType.MR_BOOM]: "Reusable bomb buddy", // 37
    [isaac_typescript_definitions_1.CollectibleType.TAMMYS_HEAD]: "Reusable tear burst", // 38
    [isaac_typescript_definitions_1.CollectibleType.MOMS_BRA]: "Mass paralysis", // 39
    [isaac_typescript_definitions_1.CollectibleType.KAMIKAZE]: "Become the bomb!", // 40
    [isaac_typescript_definitions_1.CollectibleType.MOMS_PAD]: "Mass fear", // 41
    [isaac_typescript_definitions_1.CollectibleType.BOBS_ROTTEN_HEAD]: "Reusable ranged bomb", // 42
    // There is no `CollectibleType` with a value of 43.
    [isaac_typescript_definitions_1.CollectibleType.TELEPORT]: "Teleport!", // 44
    [isaac_typescript_definitions_1.CollectibleType.YUM_HEART]: "Reusable regeneration", // 45
    [isaac_typescript_definitions_1.CollectibleType.LUCKY_FOOT]: "Luck up", // 46
    [isaac_typescript_definitions_1.CollectibleType.DOCTORS_REMOTE]: "Reusable air strike", // 47
    [isaac_typescript_definitions_1.CollectibleType.CUPIDS_ARROW]: "Piercing shots", // 48
    [isaac_typescript_definitions_1.CollectibleType.SHOOP_DA_WHOOP]: "BLLLARRRRGGG!", // 49
    [isaac_typescript_definitions_1.CollectibleType.STEVEN]: "DMG up", // 50
    [isaac_typescript_definitions_1.CollectibleType.PENTAGRAM]: "DMG up", // 51
    [isaac_typescript_definitions_1.CollectibleType.DR_FETUS]: "???", // 52
    [isaac_typescript_definitions_1.CollectibleType.MAGNETO]: "Item snatcher", // 53
    [isaac_typescript_definitions_1.CollectibleType.TREASURE_MAP]: "Full visible map", // 54
    [isaac_typescript_definitions_1.CollectibleType.MOMS_EYE]: "Eye in the back of your head", // 55
    [isaac_typescript_definitions_1.CollectibleType.LEMON_MISHAP]: "Oops...", // 56
    [isaac_typescript_definitions_1.CollectibleType.DISTANT_ADMIRATION]: "Attack fly", // 57
    [isaac_typescript_definitions_1.CollectibleType.BOOK_OF_SHADOWS]: "Temporary invincibility", // 58
    [isaac_typescript_definitions_1.CollectibleType.BOOK_OF_BELIAL_BIRTHRIGHT]: "Temporary DMG up", // 59
    [isaac_typescript_definitions_1.CollectibleType.LADDER]: "Building bridges", // 60
    // There is no `CollectibleType` with a value of 61.
    [isaac_typescript_definitions_1.CollectibleType.CHARM_OF_THE_VAMPIRE]: "Kills heal", // 62
    [isaac_typescript_definitions_1.CollectibleType.BATTERY]: "Stores energy", // 63
    [isaac_typescript_definitions_1.CollectibleType.STEAM_SALE]: "50% off", // 64
    [isaac_typescript_definitions_1.CollectibleType.ANARCHIST_COOKBOOK]: "Summon bombs", // 65
    [isaac_typescript_definitions_1.CollectibleType.HOURGLASS]: "Temporary enemy slowdown", // 66
    [isaac_typescript_definitions_1.CollectibleType.SISTER_MAGGY]: "Friends 'till the end", // 67
    [isaac_typescript_definitions_1.CollectibleType.TECHNOLOGY]: "Laser tears", // 68
    [isaac_typescript_definitions_1.CollectibleType.CHOCOLATE_MILK]: "Charge shots", // 69
    [isaac_typescript_definitions_1.CollectibleType.GROWTH_HORMONES]: "Speed + DMG up", // 70
    [isaac_typescript_definitions_1.CollectibleType.MINI_MUSH]: "Speed + range up", // 71
    [isaac_typescript_definitions_1.CollectibleType.ROSARY]: "Tears + faith up", // 72
    [isaac_typescript_definitions_1.CollectibleType.CUBE_OF_MEAT]: "Gotta meat 'em all", // 73
    [isaac_typescript_definitions_1.CollectibleType.QUARTER]: "+25 coins", // 74
    [isaac_typescript_definitions_1.CollectibleType.PHD]: "Better pills", // 75
    [isaac_typescript_definitions_1.CollectibleType.XRAY_VISION]: "I've seen everything", // 76
    [isaac_typescript_definitions_1.CollectibleType.MY_LITTLE_UNICORN]: "Temporary badass", // 77
    [isaac_typescript_definitions_1.CollectibleType.BOOK_OF_REVELATIONS]: "Reusable soul protection", // 78
    [isaac_typescript_definitions_1.CollectibleType.MARK]: "DMG + speed up", // 79
    [isaac_typescript_definitions_1.CollectibleType.PACT]: "DMG + tears up", // 80
    [isaac_typescript_definitions_1.CollectibleType.DEAD_CAT]: "9 lives", // 81
    [isaac_typescript_definitions_1.CollectibleType.LORD_OF_THE_PIT]: "Demon wings", // 82
    [isaac_typescript_definitions_1.CollectibleType.NAIL]: "Temporary demon form", // 83
    [isaac_typescript_definitions_1.CollectibleType.WE_NEED_TO_GO_DEEPER]: "Reusable level skip", // 84
    [isaac_typescript_definitions_1.CollectibleType.DECK_OF_CARDS]: "Reusable card generator ", // 85
    [isaac_typescript_definitions_1.CollectibleType.MONSTROS_TOOTH]: "Summon Monstro", // 86
    [isaac_typescript_definitions_1.CollectibleType.LOKIS_HORNS]: "Cross tears", // 87
    [isaac_typescript_definitions_1.CollectibleType.LITTLE_CHUBBY]: "Attack buddy", // 88
    [isaac_typescript_definitions_1.CollectibleType.SPIDER_BITE]: "Slow effect", // 89
    [isaac_typescript_definitions_1.CollectibleType.SMALL_ROCK]: "DMG up", // 90
    [isaac_typescript_definitions_1.CollectibleType.SPELUNKER_HAT]: "See-through doors", // 91
    [isaac_typescript_definitions_1.CollectibleType.SUPER_BANDAGE]: "+2 hearts", // 92
    [isaac_typescript_definitions_1.CollectibleType.GAMEKID]: "Temporary Man-Pac", // 93
    [isaac_typescript_definitions_1.CollectibleType.SACK_OF_PENNIES]: "Gives money", // 94
    [isaac_typescript_definitions_1.CollectibleType.ROBO_BABY]: "Friends 'till the bbbbzzzt", // 95
    [isaac_typescript_definitions_1.CollectibleType.LITTLE_CHAD]: "Gives kisses", // 96
    [isaac_typescript_definitions_1.CollectibleType.BOOK_OF_SIN]: "Reusable item generator", // 97
    [isaac_typescript_definitions_1.CollectibleType.RELIC]: "Soul generator", // 98
    [isaac_typescript_definitions_1.CollectibleType.LITTLE_GISH]: "Sticky friend", // 99
    [isaac_typescript_definitions_1.CollectibleType.LITTLE_STEVEN]: "Psychic friend", // 100
    [isaac_typescript_definitions_1.CollectibleType.HALO]: "All stats up", // 101
    [isaac_typescript_definitions_1.CollectibleType.MOMS_BOTTLE_OF_PILLS]: "Reusable pill generator", // 102
    [isaac_typescript_definitions_1.CollectibleType.COMMON_COLD]: "Poison damage", // 103
    [isaac_typescript_definitions_1.CollectibleType.PARASITE]: "Split shot", // 104
    [isaac_typescript_definitions_1.CollectibleType.D6]: "Reroll your destiny", // 105
    [isaac_typescript_definitions_1.CollectibleType.MR_MEGA]: "Bigger boom", // 106
    [isaac_typescript_definitions_1.CollectibleType.PINKING_SHEARS]: "Cut and run", // 107
    [isaac_typescript_definitions_1.CollectibleType.WAFER]: "Damage resistance", // 108
    [isaac_typescript_definitions_1.CollectibleType.MONEY_EQUALS_POWER]: "$$$ = DMG", // 109
    [isaac_typescript_definitions_1.CollectibleType.MOMS_CONTACTS]: "Freeze effect", // 110
    [isaac_typescript_definitions_1.CollectibleType.BEAN]: "Toot on command", // 111
    [isaac_typescript_definitions_1.CollectibleType.GUARDIAN_ANGEL]: "Extra protection", // 112
    [isaac_typescript_definitions_1.CollectibleType.DEMON_BABY]: "Auto-turret friend", // 113
    [isaac_typescript_definitions_1.CollectibleType.MOMS_KNIFE]: "Stab stab stab", // 114
    [isaac_typescript_definitions_1.CollectibleType.OUIJA_BOARD]: "Spectral tears", // 115
    [isaac_typescript_definitions_1.CollectibleType.NINE_VOLT]: "Quicker charge", // 116
    [isaac_typescript_definitions_1.CollectibleType.DEAD_BIRD]: "Protective buddy", // 117
    [isaac_typescript_definitions_1.CollectibleType.BRIMSTONE]: "Blood laser barrage", // 118
    [isaac_typescript_definitions_1.CollectibleType.BLOOD_BAG]: "HP up", // 119
    [isaac_typescript_definitions_1.CollectibleType.ODD_MUSHROOM_THIN]: "Tears + speed up, DMG down", // 120
    [isaac_typescript_definitions_1.CollectibleType.ODD_MUSHROOM_LARGE]: "HP + DMG up, speed down", // 121
    [isaac_typescript_definitions_1.CollectibleType.WHORE_OF_BABYLON]: "Curse up", // 122
    [isaac_typescript_definitions_1.CollectibleType.MONSTER_MANUAL]: "Temporary buddy generator", // 123
    [isaac_typescript_definitions_1.CollectibleType.DEAD_SEA_SCROLLS]: "It's a mystery", // 124
    [isaac_typescript_definitions_1.CollectibleType.BOBBY_BOMB]: "Homing bombs", // 125
    [isaac_typescript_definitions_1.CollectibleType.RAZOR_BLADE]: "Feel my pain", // 126
    [isaac_typescript_definitions_1.CollectibleType.FORGET_ME_NOW]: "I don't remember...", // 127
    [isaac_typescript_definitions_1.CollectibleType.FOREVER_ALONE]: "Attack fly", // 128
    [isaac_typescript_definitions_1.CollectibleType.BUCKET_OF_LARD]: "HP up", // 129
    [isaac_typescript_definitions_1.CollectibleType.PONY]: "Flight + dash attack", // 130
    [isaac_typescript_definitions_1.CollectibleType.BOMB_BAG]: "Gives bombs", // 131
    [isaac_typescript_definitions_1.CollectibleType.LUMP_OF_COAL]: "My Xmas present", // 132
    [isaac_typescript_definitions_1.CollectibleType.GUPPYS_PAW]: "Soul converter", // 133
    [isaac_typescript_definitions_1.CollectibleType.GUPPYS_TAIL]: "Cursed?", // 134
    [isaac_typescript_definitions_1.CollectibleType.IV_BAG]: "Portable blood bank", // 135
    [isaac_typescript_definitions_1.CollectibleType.BEST_FRIEND]: "Friends 'till the end", // 136
    [isaac_typescript_definitions_1.CollectibleType.REMOTE_DETONATOR]: "Remote bomb detonation", // 137
    [isaac_typescript_definitions_1.CollectibleType.STIGMATA]: "DMG + HP up", // 138
    [isaac_typescript_definitions_1.CollectibleType.MOMS_PURSE]: "More trinket room", // 139
    [isaac_typescript_definitions_1.CollectibleType.BOBS_CURSE]: "+5 poison bombs", // 140
    [isaac_typescript_definitions_1.CollectibleType.PAGEANT_BOY]: "Ultimate grand supreme", // 141
    [isaac_typescript_definitions_1.CollectibleType.SCAPULAR]: "Pray for a miracle", // 142
    [isaac_typescript_definitions_1.CollectibleType.SPEED_BALL]: "Speed + shot speed up", // 143
    [isaac_typescript_definitions_1.CollectibleType.BUM_FRIEND]: "He's greedy", // 144
    [isaac_typescript_definitions_1.CollectibleType.GUPPYS_HEAD]: "Reusable fly hive", // 145
    [isaac_typescript_definitions_1.CollectibleType.PRAYER_CARD]: "Reusable eternity ", // 146
    [isaac_typescript_definitions_1.CollectibleType.NOTCHED_AXE]: "Rocks don't stand a chance", // 147
    [isaac_typescript_definitions_1.CollectibleType.INFESTATION]: "Fly revenge", // 148
    [isaac_typescript_definitions_1.CollectibleType.IPECAC]: "Explosive shots", // 149
    [isaac_typescript_definitions_1.CollectibleType.TOUGH_LOVE]: "Tooth shot", // 150
    [isaac_typescript_definitions_1.CollectibleType.MULLIGAN]: "They grow inside", // 151
    [isaac_typescript_definitions_1.CollectibleType.TECHNOLOGY_2]: "Extra laser", // 152
    [isaac_typescript_definitions_1.CollectibleType.MUTANT_SPIDER]: "Quad shot", // 153
    [isaac_typescript_definitions_1.CollectibleType.CHEMICAL_PEEL]: "DMG up", // 154
    [isaac_typescript_definitions_1.CollectibleType.PEEPER]: "Plop!", // 155
    [isaac_typescript_definitions_1.CollectibleType.HABIT]: "Item martyr", // 156
    [isaac_typescript_definitions_1.CollectibleType.BLOODY_LUST]: "RAGE!", // 157
    [isaac_typescript_definitions_1.CollectibleType.CRYSTAL_BALL]: "I see my future", // 158
    [isaac_typescript_definitions_1.CollectibleType.SPIRIT_OF_THE_NIGHT]: "Scary", // 159
    [isaac_typescript_definitions_1.CollectibleType.CRACK_THE_SKY]: "Holy white death", // 160
    [isaac_typescript_definitions_1.CollectibleType.ANKH]: "Eternal life?", // 161
    [isaac_typescript_definitions_1.CollectibleType.CELTIC_CROSS]: "Blessing of protection", // 162
    [isaac_typescript_definitions_1.CollectibleType.GHOST_BABY]: "Spectral buddy", // 163
    [isaac_typescript_definitions_1.CollectibleType.CANDLE]: "Reusable flames", // 164
    [isaac_typescript_definitions_1.CollectibleType.CAT_O_NINE_TAILS]: "Shot speed + damage up", // 165
    [isaac_typescript_definitions_1.CollectibleType.D20]: "Reroll the basics", // 166
    [isaac_typescript_definitions_1.CollectibleType.HARLEQUIN_BABY]: "Double shot buddy", // 167
    [isaac_typescript_definitions_1.CollectibleType.EPIC_FETUS]: "On-demand air strike", // 168
    [isaac_typescript_definitions_1.CollectibleType.POLYPHEMUS]: "Mega tears", // 169
    [isaac_typescript_definitions_1.CollectibleType.DADDY_LONGLEGS]: "Daddy's love", // 170
    [isaac_typescript_definitions_1.CollectibleType.SPIDER_BUTT]: "Mass enemy slowdown + damage", // 171
    [isaac_typescript_definitions_1.CollectibleType.SACRIFICIAL_DAGGER]: "My fate protects me", // 172
    [isaac_typescript_definitions_1.CollectibleType.MITRE]: "Blessing of purity", // 173
    [isaac_typescript_definitions_1.CollectibleType.RAINBOW_BABY]: "Random buddy", // 174
    [isaac_typescript_definitions_1.CollectibleType.DADS_KEY]: "Opens all doors...", // 175
    [isaac_typescript_definitions_1.CollectibleType.STEM_CELLS]: "HP + shot speed up", // 176
    [isaac_typescript_definitions_1.CollectibleType.PORTABLE_SLOT]: "Gamble 24/7", // 177
    [isaac_typescript_definitions_1.CollectibleType.HOLY_WATER]: "Splash!", // 178
    [isaac_typescript_definitions_1.CollectibleType.FATE]: "Flight eternal", // 179
    [isaac_typescript_definitions_1.CollectibleType.BLACK_BEAN]: "Toot on touch", // 180
    [isaac_typescript_definitions_1.CollectibleType.WHITE_PONY]: "Flight + holy death", // 181
    [isaac_typescript_definitions_1.CollectibleType.SACRED_HEART]: "Homing shots + DMG up", // 182
    [isaac_typescript_definitions_1.CollectibleType.TOOTH_PICKS]: "Tears + shot speed up", // 183
    [isaac_typescript_definitions_1.CollectibleType.HOLY_GRAIL]: "Flight + HP up", // 184
    [isaac_typescript_definitions_1.CollectibleType.DEAD_DOVE]: "Flight + spectral tears", // 185
    [isaac_typescript_definitions_1.CollectibleType.BLOOD_RIGHTS]: "Mass enemy damage at a cost", // 186
    [isaac_typescript_definitions_1.CollectibleType.GUPPYS_HAIRBALL]: "Swing it", // 187
    [isaac_typescript_definitions_1.CollectibleType.ABEL]: "Mirrored buddy", // 188
    [isaac_typescript_definitions_1.CollectibleType.SMB_SUPER_FAN]: "All stats up", // 189
    [isaac_typescript_definitions_1.CollectibleType.PYRO]: "99 bombs", // 190
    [isaac_typescript_definitions_1.CollectibleType.THREE_DOLLAR_BILL]: "Rainbow tears", // 191
    [isaac_typescript_definitions_1.CollectibleType.TELEPATHY_BOOK]: "Temporary psychic shot", // 192
    [isaac_typescript_definitions_1.CollectibleType.MEAT]: "DMG + HP up", // 193
    [isaac_typescript_definitions_1.CollectibleType.MAGIC_8_BALL]: "Shot speed up", // 194
    [isaac_typescript_definitions_1.CollectibleType.MOMS_COIN_PURSE]: "What's all this...?", // 195
    [isaac_typescript_definitions_1.CollectibleType.SQUEEZY]: "Tears up", // 196
    [isaac_typescript_definitions_1.CollectibleType.JESUS_JUICE]: "Damage + range up", // 197
    [isaac_typescript_definitions_1.CollectibleType.BOX]: "Stuff", // 198
    [isaac_typescript_definitions_1.CollectibleType.MOMS_KEY]: "Better chest loot +2 keys", // 199
    [isaac_typescript_definitions_1.CollectibleType.MOMS_EYESHADOW]: "Charm tears", // 200
    [isaac_typescript_definitions_1.CollectibleType.IRON_BAR]: "DMG up + concussive tears", // 201
    [isaac_typescript_definitions_1.CollectibleType.MIDAS_TOUCH]: "Golden touch", // 202
    [isaac_typescript_definitions_1.CollectibleType.HUMBLEING_BUNDLE]: "1+1 free 4Evar", // 203
    [isaac_typescript_definitions_1.CollectibleType.FANNY_PACK]: "Filled with goodies", // 204
    [isaac_typescript_definitions_1.CollectibleType.SHARP_PLUG]: "Infinite charge... at a cost", // 205
    [isaac_typescript_definitions_1.CollectibleType.GUILLOTINE]: "DMG + tears up. An out-of-body experience!", // 206
    [isaac_typescript_definitions_1.CollectibleType.BALL_OF_BANDAGES]: "Gotta lick 'em all!", // 207
    [isaac_typescript_definitions_1.CollectibleType.CHAMPION_BELT]: "DMG + challenge up", // 208
    [isaac_typescript_definitions_1.CollectibleType.BUTT_BOMBS]: "Toxic blast +5 bombs", // 209
    [isaac_typescript_definitions_1.CollectibleType.GNAWED_LEAF]: "Unbreakable", // 210
    [isaac_typescript_definitions_1.CollectibleType.SPIDERBABY]: "Spider revenge", // 211
    [isaac_typescript_definitions_1.CollectibleType.GUPPYS_COLLAR]: "Eternal life?", // 212
    [isaac_typescript_definitions_1.CollectibleType.LOST_CONTACT]: "Shielded tears", // 213
    [isaac_typescript_definitions_1.CollectibleType.ANEMIC]: "Toxic blood", // 214
    [isaac_typescript_definitions_1.CollectibleType.GOAT_HEAD]: "He accepts your offering", // 215
    [isaac_typescript_definitions_1.CollectibleType.CEREMONIAL_ROBES]: "DMG + evil up", // 216
    [isaac_typescript_definitions_1.CollectibleType.MOMS_WIG]: "You feel itchy...", // 217
    [isaac_typescript_definitions_1.CollectibleType.PLACENTA]: "Regeneration + HP up", // 218
    [isaac_typescript_definitions_1.CollectibleType.OLD_BANDAGE]: "HP up", // 219
    [isaac_typescript_definitions_1.CollectibleType.SAD_BOMBS]: "Tear blasts +5 bombs", // 220
    [isaac_typescript_definitions_1.CollectibleType.RUBBER_CEMENT]: "Bouncing tears", // 221
    [isaac_typescript_definitions_1.CollectibleType.ANTI_GRAVITY]: "Anti-gravity tears + tears up", // 222
    [isaac_typescript_definitions_1.CollectibleType.PYROMANIAC]: "It hurts so good +5 bombs", // 223
    [isaac_typescript_definitions_1.CollectibleType.CRICKETS_BODY]: "Bursting shots + tears up", // 224
    [isaac_typescript_definitions_1.CollectibleType.GIMPY]: "Sweet suffering", // 225
    [isaac_typescript_definitions_1.CollectibleType.BLACK_LOTUS]: "HP up x3", // 226
    [isaac_typescript_definitions_1.CollectibleType.PIGGY_BANK]: "My life savings", // 227
    [isaac_typescript_definitions_1.CollectibleType.MOMS_PERFUME]: "Fear shot + tears up", // 228
    [isaac_typescript_definitions_1.CollectibleType.MONSTROS_LUNG]: "Charged burst attack", // 229
    [isaac_typescript_definitions_1.CollectibleType.ABADDON]: "Evil + DMG up + fear shot", // 230
    [isaac_typescript_definitions_1.CollectibleType.BALL_OF_TAR]: "Sticky feet...", // 231
    [isaac_typescript_definitions_1.CollectibleType.STOP_WATCH]: "Let's slow this down a bit...", // 232
    [isaac_typescript_definitions_1.CollectibleType.TINY_PLANET]: "Orbiting tears + range up", // 233
    [isaac_typescript_definitions_1.CollectibleType.INFESTATION_2]: "Infestation shot", // 234
    // There is no `CollectibleType` with a value of 235.
    [isaac_typescript_definitions_1.CollectibleType.E_COLI]: "Turdy touch", // 236
    [isaac_typescript_definitions_1.CollectibleType.DEATHS_TOUCH]: "Piercing shots + DMG up", // 237
    [isaac_typescript_definitions_1.CollectibleType.KEY_PIECE_1]: "???", // 238
    [isaac_typescript_definitions_1.CollectibleType.KEY_PIECE_2]: "???", // 239
    [isaac_typescript_definitions_1.CollectibleType.EXPERIMENTAL_TREATMENT]: "Some stats up, some stats down", // 240
    [isaac_typescript_definitions_1.CollectibleType.CONTRACT_FROM_BELOW]: "Wealth... but at what cost?", // 241
    [isaac_typescript_definitions_1.CollectibleType.INFAMY]: "Blocks damage... sometimes", // 242
    [isaac_typescript_definitions_1.CollectibleType.TRINITY_SHIELD]: "You feel guarded", // 243
    [isaac_typescript_definitions_1.CollectibleType.TECH_5]: "It's still being tested...", // 244
    [isaac_typescript_definitions_1.CollectibleType.TWENTY_TWENTY]: "Double shot", // 245
    [isaac_typescript_definitions_1.CollectibleType.BLUE_MAP]: "Secrets", // 246
    [isaac_typescript_definitions_1.CollectibleType.BFFS]: "Your friends rule", // 247
    [isaac_typescript_definitions_1.CollectibleType.HIVE_MIND]: "Giant spiders and flies", // 248
    [isaac_typescript_definitions_1.CollectibleType.THERES_OPTIONS]: "More options", // 249
    [isaac_typescript_definitions_1.CollectibleType.BOGO_BOMBS]: "1+1 BOOM!", // 250
    [isaac_typescript_definitions_1.CollectibleType.STARTER_DECK]: "Extra card room", // 251
    [isaac_typescript_definitions_1.CollectibleType.LITTLE_BAGGY]: "Extra pill room", // 252
    [isaac_typescript_definitions_1.CollectibleType.MAGIC_SCAB]: "HP + luck up", // 253
    [isaac_typescript_definitions_1.CollectibleType.BLOOD_CLOT]: "DMG + range up", // 254
    [isaac_typescript_definitions_1.CollectibleType.SCREW]: "Tears + shot speed up", // 255
    [isaac_typescript_definitions_1.CollectibleType.HOT_BOMBS]: "Burning blast +5 bombs", // 256
    [isaac_typescript_definitions_1.CollectibleType.FIRE_MIND]: "Flaming tears", // 257
    [isaac_typescript_definitions_1.CollectibleType.MISSING_NO]: "Syntax error", // 258
    [isaac_typescript_definitions_1.CollectibleType.DARK_MATTER]: "DMG up + fear shot", // 259
    [isaac_typescript_definitions_1.CollectibleType.BLACK_CANDLE]: "Curse immunity + evil up", // 260
    [isaac_typescript_definitions_1.CollectibleType.PROPTOSIS]: "Short range mega tears", // 261
    [isaac_typescript_definitions_1.CollectibleType.MISSING_PAGE_2]: "Evil up. Your enemies will pay!", // 262
    [isaac_typescript_definitions_1.CollectibleType.CLEAR_RUNE]: "Rune mimic", // 263
    [isaac_typescript_definitions_1.CollectibleType.SMART_FLY]: "Revenge fly", // 264
    [isaac_typescript_definitions_1.CollectibleType.DRY_BABY]: "Immortal friend", // 265
    [isaac_typescript_definitions_1.CollectibleType.JUICY_SACK]: "Sticky babies", // 266
    [isaac_typescript_definitions_1.CollectibleType.ROBO_BABY_2]: "We worked out all the kinks", // 267
    [isaac_typescript_definitions_1.CollectibleType.ROTTEN_BABY]: "Infested friend", // 268
    [isaac_typescript_definitions_1.CollectibleType.HEADLESS_BABY]: "Bloody friend", // 269
    [isaac_typescript_definitions_1.CollectibleType.LEECH]: "Blood sucker", // 270
    [isaac_typescript_definitions_1.CollectibleType.MYSTERY_SACK]: "?", // 271
    [isaac_typescript_definitions_1.CollectibleType.BBF]: "Big Beautiful Fly", // 272
    [isaac_typescript_definitions_1.CollectibleType.BOBS_BRAIN]: "Explosive thoughts", // 273
    [isaac_typescript_definitions_1.CollectibleType.BEST_BUD]: "Sworn protector", // 274
    [isaac_typescript_definitions_1.CollectibleType.LIL_BRIMSTONE]: "Evil friend", // 275
    [isaac_typescript_definitions_1.CollectibleType.ISAACS_HEART]: "Protect it", // 276
    [isaac_typescript_definitions_1.CollectibleType.LIL_HAUNT]: "Fear him", // 277
    [isaac_typescript_definitions_1.CollectibleType.DARK_BUM]: "He wants to take your life", // 278
    [isaac_typescript_definitions_1.CollectibleType.BIG_FAN]: "Fat protector", // 279
    [isaac_typescript_definitions_1.CollectibleType.SISSY_LONGLEGS]: "She loves you", // 280
    [isaac_typescript_definitions_1.CollectibleType.PUNCHING_BAG]: "Scape goat", // 281
    [isaac_typescript_definitions_1.CollectibleType.HOW_TO_JUMP]: "It's time you learned how", // 282
    [isaac_typescript_definitions_1.CollectibleType.D100]: "REEROLLLLL!", // 283
    [isaac_typescript_definitions_1.CollectibleType.D4]: "Reroll into something else", // 284
    [isaac_typescript_definitions_1.CollectibleType.D10]: "Reroll enemies", // 285
    [isaac_typescript_definitions_1.CollectibleType.BLANK_CARD]: "Card mimic", // 286
    [isaac_typescript_definitions_1.CollectibleType.BOOK_OF_SECRETS]: "Tome of knowledge", // 287
    [isaac_typescript_definitions_1.CollectibleType.BOX_OF_SPIDERS]: "It's a box of spiders", // 288
    [isaac_typescript_definitions_1.CollectibleType.RED_CANDLE]: "Flame on", // 289
    [isaac_typescript_definitions_1.CollectibleType.JAR]: "Save your life", // 290
    [isaac_typescript_definitions_1.CollectibleType.FLUSH]: "...", // 291
    [isaac_typescript_definitions_1.CollectibleType.SATANIC_BIBLE]: "Reusable evil... but at what cost?", // 292
    [isaac_typescript_definitions_1.CollectibleType.HEAD_OF_KRAMPUS]: "Krampus rage", // 293
    [isaac_typescript_definitions_1.CollectibleType.BUTTER_BEAN]: "Reusable knock-back", // 294
    [isaac_typescript_definitions_1.CollectibleType.MAGIC_FINGERS]: "Pay to win", // 295
    [isaac_typescript_definitions_1.CollectibleType.CONVERTER]: "Convert your soul", // 296
    [isaac_typescript_definitions_1.CollectibleType.BLUE_BOX]: "? ?", // 297
    [isaac_typescript_definitions_1.CollectibleType.UNICORN_STUMP]: "You feel stumped", // 298
    [isaac_typescript_definitions_1.CollectibleType.TAURUS]: "Speed down + rage is building", // 299
    [isaac_typescript_definitions_1.CollectibleType.ARIES]: "Ramming speed", // 300
    [isaac_typescript_definitions_1.CollectibleType.CANCER]: "HP up + you feel protected", // 301
    [isaac_typescript_definitions_1.CollectibleType.LEO]: "Stompy", // 302
    [isaac_typescript_definitions_1.CollectibleType.VIRGO]: "You feel refreshed and protected", // 303
    [isaac_typescript_definitions_1.CollectibleType.LIBRA]: "You feel balanced", // 304
    [isaac_typescript_definitions_1.CollectibleType.SCORPIO]: "Poison tears", // 305
    [isaac_typescript_definitions_1.CollectibleType.SAGITTARIUS]: "Piercing shots + speed up", // 306
    [isaac_typescript_definitions_1.CollectibleType.CAPRICORN]: "All stats up", // 307
    [isaac_typescript_definitions_1.CollectibleType.AQUARIUS]: "Trail of tears", // 308
    [isaac_typescript_definitions_1.CollectibleType.PISCES]: "Tears up + knock-back shot", // 309
    [isaac_typescript_definitions_1.CollectibleType.EVES_MASCARA]: "DMG up, tears + shot speed down", // 310
    [isaac_typescript_definitions_1.CollectibleType.JUDAS_SHADOW]: "Sweet revenge", // 311
    [isaac_typescript_definitions_1.CollectibleType.MAGGYS_BOW]: "HP up + you feel healthy", // 312
    [isaac_typescript_definitions_1.CollectibleType.HOLY_MANTLE]: "Holy shield", // 313
    [isaac_typescript_definitions_1.CollectibleType.THUNDER_THIGHS]: "HP up + speed down + you feel stompy", // 314
    [isaac_typescript_definitions_1.CollectibleType.STRANGE_ATTRACTOR]: "Magnetic tears", // 315
    [isaac_typescript_definitions_1.CollectibleType.CURSED_EYE]: "Cursed charge shot", // 316
    [isaac_typescript_definitions_1.CollectibleType.MYSTERIOUS_LIQUID]: "Toxic splash damage", // 317
    [isaac_typescript_definitions_1.CollectibleType.GEMINI]: "Conjoined friend", // 318
    [isaac_typescript_definitions_1.CollectibleType.CAINS_OTHER_EYE]: "Near-sighted friend", // 319
    [isaac_typescript_definitions_1.CollectibleType.BLUE_BABYS_ONLY_FRIEND]: "Controlled friend", // 320
    [isaac_typescript_definitions_1.CollectibleType.SAMSONS_CHAINS]: "The ol' ball and chain", // 321
    [isaac_typescript_definitions_1.CollectibleType.MONGO_BABY]: "Mongo friend", // 322
    [isaac_typescript_definitions_1.CollectibleType.ISAACS_TEARS]: "Collected tears", // 323
    [isaac_typescript_definitions_1.CollectibleType.UNDEFINED]: "Undefined", // 324
    [isaac_typescript_definitions_1.CollectibleType.SCISSORS]: "Lose your head", // 325
    [isaac_typescript_definitions_1.CollectibleType.BREATH_OF_LIFE]: "Invincibility at a cost", // 326
    [isaac_typescript_definitions_1.CollectibleType.POLAROID]: "Fate chosen", // 327
    [isaac_typescript_definitions_1.CollectibleType.NEGATIVE]: "Fate chosen", // 328
    [isaac_typescript_definitions_1.CollectibleType.LUDOVICO_TECHNIQUE]: "Controlled tears", // 329
    [isaac_typescript_definitions_1.CollectibleType.SOY_MILK]: "DMG down + tears way up", // 330
    [isaac_typescript_definitions_1.CollectibleType.GODHEAD]: "God tears", // 331
    [isaac_typescript_definitions_1.CollectibleType.LAZARUS_RAGS]: "Eternal life?", // 332
    [isaac_typescript_definitions_1.CollectibleType.MIND]: "I know all", // 333
    [isaac_typescript_definitions_1.CollectibleType.BODY]: "I feel all", // 334
    [isaac_typescript_definitions_1.CollectibleType.SOUL]: "I am all", // 335
    [isaac_typescript_definitions_1.CollectibleType.DEAD_ONION]: "Toxic aura tears", // 336
    [isaac_typescript_definitions_1.CollectibleType.BROKEN_WATCH]: "I think it's broken", // 337
    [isaac_typescript_definitions_1.CollectibleType.BOOMERANG]: "It will never leave you", // 338
    [isaac_typescript_definitions_1.CollectibleType.SAFETY_PIN]: "Evil + range + shot speed up", // 339
    [isaac_typescript_definitions_1.CollectibleType.CAFFEINE_PILL]: "Speed up + size down", // 340
    [isaac_typescript_definitions_1.CollectibleType.TORN_PHOTO]: "Tears + shot speed up", // 341
    [isaac_typescript_definitions_1.CollectibleType.BLUE_CAP]: "HP + tears up + shot speed down", // 342
    [isaac_typescript_definitions_1.CollectibleType.LATCH_KEY]: "Luck up", // 343
    [isaac_typescript_definitions_1.CollectibleType.MATCH_BOOK]: "Evil up", // 344
    [isaac_typescript_definitions_1.CollectibleType.SYNTHOIL]: "DMG + range up", // 345
    [isaac_typescript_definitions_1.CollectibleType.SNACK]: "HP up", // 346
    [isaac_typescript_definitions_1.CollectibleType.DIPLOPIA]: "Double item vision", // 347
    [isaac_typescript_definitions_1.CollectibleType.PLACEBO]: "Pill mimic", // 348
    [isaac_typescript_definitions_1.CollectibleType.WOODEN_NICKEL]: "Flip a coin", // 349
    [isaac_typescript_definitions_1.CollectibleType.TOXIC_SHOCK]: "Mass poison", // 350
    [isaac_typescript_definitions_1.CollectibleType.MEGA_BEAN]: "Giga fart!", // 351
    [isaac_typescript_definitions_1.CollectibleType.GLASS_CANNON]: "Be gentle...", // 352
    [isaac_typescript_definitions_1.CollectibleType.BOMBER_BOY]: "Cross blast + 5 bombs", // 353
    [isaac_typescript_definitions_1.CollectibleType.CRACK_JACKS]: "HP up. Don't swallow the prize!", // 354
    [isaac_typescript_definitions_1.CollectibleType.MOMS_PEARLS]: "Range + luck up", // 355
    [isaac_typescript_definitions_1.CollectibleType.CAR_BATTERY]: "Active power up", // 356
    [isaac_typescript_definitions_1.CollectibleType.BOX_OF_FRIENDS]: "Double your friends", // 357
    [isaac_typescript_definitions_1.CollectibleType.WIZ]: "Double wiz shot!", // 358
    [isaac_typescript_definitions_1.CollectibleType.EIGHT_INCH_NAILS]: "Stick it to 'em!", // 359
    [isaac_typescript_definitions_1.CollectibleType.INCUBUS]: "Dark friend", // 360
    [isaac_typescript_definitions_1.CollectibleType.FATES_REWARD]: "Your fate beside you", // 361
    [isaac_typescript_definitions_1.CollectibleType.LIL_CHEST]: "What's in the box?", // 362
    [isaac_typescript_definitions_1.CollectibleType.SWORN_PROTECTOR]: "Protective friend", // 363
    [isaac_typescript_definitions_1.CollectibleType.FRIEND_ZONE]: "Friendly fly", // 364
    [isaac_typescript_definitions_1.CollectibleType.LOST_FLY]: "Lost protector", // 365
    [isaac_typescript_definitions_1.CollectibleType.SCATTER_BOMBS]: "We put bombs in your bombs!", // 366
    [isaac_typescript_definitions_1.CollectibleType.STICKY_BOMBS]: "Egg sack bombs!", // 367
    [isaac_typescript_definitions_1.CollectibleType.EPIPHORA]: "Intensifying tears", // 368
    [isaac_typescript_definitions_1.CollectibleType.CONTINUUM]: "Transcendent tears", // 369
    [isaac_typescript_definitions_1.CollectibleType.MR_DOLLY]: "Range + tears up", // 370
    [isaac_typescript_definitions_1.CollectibleType.CURSE_OF_THE_TOWER]: "Embrace chaos", // 371
    [isaac_typescript_definitions_1.CollectibleType.CHARGED_BABY]: "Bbbzzzzzt! ", // 372
    [isaac_typescript_definitions_1.CollectibleType.DEAD_EYE]: "Accuracy brings power", // 373
    [isaac_typescript_definitions_1.CollectibleType.HOLY_LIGHT]: "Holy death shot", // 374
    [isaac_typescript_definitions_1.CollectibleType.HOST_HAT]: "Blast resistance", // 375
    [isaac_typescript_definitions_1.CollectibleType.RESTOCK]: "Never ending stores!", // 376
    [isaac_typescript_definitions_1.CollectibleType.BURSTING_SACK]: "Spider love", // 377
    [isaac_typescript_definitions_1.CollectibleType.NUMBER_TWO]: "Uh oh...", // 378
    [isaac_typescript_definitions_1.CollectibleType.PUPULA_DUPLEX]: "Wide shot", // 379
    [isaac_typescript_definitions_1.CollectibleType.PAY_TO_PLAY]: "Money talks", // 380
    [isaac_typescript_definitions_1.CollectibleType.EDENS_BLESSING]: "Tears up + your future shines brighter", // 381
    [isaac_typescript_definitions_1.CollectibleType.FRIEND_BALL]: "Gotta fetch 'em all!", // 382
    [isaac_typescript_definitions_1.CollectibleType.TEAR_DETONATOR]: "Remote tear detonation", // 383
    [isaac_typescript_definitions_1.CollectibleType.LIL_GURDY]: "A gurd of your own!", // 384
    [isaac_typescript_definitions_1.CollectibleType.BUMBO]: "Bumbo want coin!", // 385
    [isaac_typescript_definitions_1.CollectibleType.D12]: "Rerolls rocks", // 386
    [isaac_typescript_definitions_1.CollectibleType.CENSER]: "Peace be with you", // 387
    [isaac_typescript_definitions_1.CollectibleType.KEY_BUM]: "He wants your keys!", // 388
    [isaac_typescript_definitions_1.CollectibleType.RUNE_BAG]: "Rune generator", // 389
    [isaac_typescript_definitions_1.CollectibleType.SERAPHIM]: "Sworn friend", // 390
    [isaac_typescript_definitions_1.CollectibleType.BETRAYAL]: "Turn your enemy", // 391
    [isaac_typescript_definitions_1.CollectibleType.ZODIAC]: "The heavens will change you", // 392
    [isaac_typescript_definitions_1.CollectibleType.SERPENTS_KISS]: "The kiss of death", // 393
    [isaac_typescript_definitions_1.CollectibleType.MARKED]: "Directed tears", // 394
    [isaac_typescript_definitions_1.CollectibleType.TECH_X]: "Laser ring tears", // 395
    [isaac_typescript_definitions_1.CollectibleType.VENTRICLE_RAZOR]: "Short cutter", // 396
    [isaac_typescript_definitions_1.CollectibleType.TRACTOR_BEAM]: "Controlled tears", // 397
    [isaac_typescript_definitions_1.CollectibleType.GODS_FLESH]: "Shrink shot!", // 398
    [isaac_typescript_definitions_1.CollectibleType.MAW_OF_THE_VOID]: "Consume thy enemy!", // 399
    [isaac_typescript_definitions_1.CollectibleType.SPEAR_OF_DESTINY]: "Your destiny", // 400
    [isaac_typescript_definitions_1.CollectibleType.EXPLOSIVO]: "Sticky bomb shot", // 401
    [isaac_typescript_definitions_1.CollectibleType.CHAOS]: "!!!", // 402
    [isaac_typescript_definitions_1.CollectibleType.SPIDER_MOD]: "Mod buddy", // 403
    [isaac_typescript_definitions_1.CollectibleType.FARTING_BABY]: "He farts", // 404
    [isaac_typescript_definitions_1.CollectibleType.GB_BUG]: "Double tap glitch", // 405
    [isaac_typescript_definitions_1.CollectibleType.D8]: "Reroll stats", // 406
    [isaac_typescript_definitions_1.CollectibleType.PURITY]: "Aura stat boost", // 407
    [isaac_typescript_definitions_1.CollectibleType.ATHAME]: "Call to the void", // 408
    [isaac_typescript_definitions_1.CollectibleType.EMPTY_VESSEL]: "I reward an empty vessel", // 409
    [isaac_typescript_definitions_1.CollectibleType.EVIL_EYE]: "Eye shot", // 410
    [isaac_typescript_definitions_1.CollectibleType.LUSTY_BLOOD]: "Their blood brings rage!", // 411
    [isaac_typescript_definitions_1.CollectibleType.CAMBION_CONCEPTION]: "Feed them hate", // 412
    [isaac_typescript_definitions_1.CollectibleType.IMMACULATE_CONCEPTION]: "Feed them love", // 413
    [isaac_typescript_definitions_1.CollectibleType.MORE_OPTIONS]: "There's options", // 414
    [isaac_typescript_definitions_1.CollectibleType.CROWN_OF_LIGHT]: "The untainted gain power", // 415
    [isaac_typescript_definitions_1.CollectibleType.DEEP_POCKETS]: "More money!", // 416
    [isaac_typescript_definitions_1.CollectibleType.SUCCUBUS]: "Damage booster", // 417
    [isaac_typescript_definitions_1.CollectibleType.FRUIT_CAKE]: "Rainbow effects!", // 418
    [isaac_typescript_definitions_1.CollectibleType.TELEPORT_2]: "I-Teleport!", // 419
    [isaac_typescript_definitions_1.CollectibleType.BLACK_POWDER]: "Spin the black circle!", // 420
    [isaac_typescript_definitions_1.CollectibleType.KIDNEY_BEAN]: "Love toots", // 421
    [isaac_typescript_definitions_1.CollectibleType.GLOWING_HOUR_GLASS]: "Turn back time", // 422
    [isaac_typescript_definitions_1.CollectibleType.CIRCLE_OF_PROTECTION]: "Protect me from myself", // 423
    [isaac_typescript_definitions_1.CollectibleType.SACK_HEAD]: "More sacks!", // 424
    [isaac_typescript_definitions_1.CollectibleType.NIGHT_LIGHT]: "Scared of the dark?", // 425
    [isaac_typescript_definitions_1.CollectibleType.OBSESSED_FAN]: "Follows my every move...", // 426
    [isaac_typescript_definitions_1.CollectibleType.MINE_CRAFTER]: "Booom!", // 427
    [isaac_typescript_definitions_1.CollectibleType.PJS]: "You feel cozy", // 428
    [isaac_typescript_definitions_1.CollectibleType.HEAD_OF_THE_KEEPER]: "Penny tears", // 429
    [isaac_typescript_definitions_1.CollectibleType.PAPA_FLY]: "Turret follower", // 430
    [isaac_typescript_definitions_1.CollectibleType.MULTIDIMENSIONAL_BABY]: "ydduB Buddy", // 431
    [isaac_typescript_definitions_1.CollectibleType.GLITTER_BOMBS]: "Prize bombs", // 432
    [isaac_typescript_definitions_1.CollectibleType.MY_SHADOW]: "Me! And my shaaaadow!", // 433
    [isaac_typescript_definitions_1.CollectibleType.JAR_OF_FLIES]: "Bug catcher", // 434
    [isaac_typescript_definitions_1.CollectibleType.LIL_LOKI]: "4-way buddy!", // 435
    [isaac_typescript_definitions_1.CollectibleType.MILK]: "Don't cry over it...", // 436
    [isaac_typescript_definitions_1.CollectibleType.D7]: "Roll again", // 437
    [isaac_typescript_definitions_1.CollectibleType.BINKY]: "Tears up", // 438
    [isaac_typescript_definitions_1.CollectibleType.MOMS_BOX]: "What's inside?", // 439
    [isaac_typescript_definitions_1.CollectibleType.KIDNEY_STONE]: "Matt's kidney stone", // 440
    [isaac_typescript_definitions_1.CollectibleType.MEGA_BLAST]: "Laser breath", // 441
    [isaac_typescript_definitions_1.CollectibleType.DARK_PRINCES_CROWN]: "Loss is power", // 442
    [isaac_typescript_definitions_1.CollectibleType.APPLE]: "Trick or treat?", // 443
    [isaac_typescript_definitions_1.CollectibleType.LEAD_PENCIL]: "He's a bleeder!", // 444
    [isaac_typescript_definitions_1.CollectibleType.DOG_TOOTH]: "Bark at the moon!", // 445
    [isaac_typescript_definitions_1.CollectibleType.DEAD_TOOTH]: "Toxic breath", // 446
    [isaac_typescript_definitions_1.CollectibleType.LINGER_BEAN]: "Crying makes me toot", // 447
    [isaac_typescript_definitions_1.CollectibleType.SHARD_OF_GLASS]: "Blood and guts!", // 448
    [isaac_typescript_definitions_1.CollectibleType.METAL_PLATE]: "It itches...", // 449
    [isaac_typescript_definitions_1.CollectibleType.EYE_OF_GREED]: "Gold tears!", // 450
    [isaac_typescript_definitions_1.CollectibleType.TAROT_CLOTH]: "I see the future", // 451
    [isaac_typescript_definitions_1.CollectibleType.VARICOSE_VEINS]: "I'm leaking...", // 452
    [isaac_typescript_definitions_1.CollectibleType.COMPOUND_FRACTURE]: "Bone tears!", // 453
    [isaac_typescript_definitions_1.CollectibleType.POLYDACTYLY]: "Hold me!", // 454
    [isaac_typescript_definitions_1.CollectibleType.DADS_LOST_COIN]: "I remember this...", // 455
    [isaac_typescript_definitions_1.CollectibleType.MIDNIGHT_SNACK]: "HP up", // 456
    [isaac_typescript_definitions_1.CollectibleType.CONE_HEAD]: "Hard headed!", // 457
    [isaac_typescript_definitions_1.CollectibleType.BELLY_BUTTON]: "What's in there?", // 458
    [isaac_typescript_definitions_1.CollectibleType.SINUS_INFECTION]: "Booger tears!", // 459
    [isaac_typescript_definitions_1.CollectibleType.GLAUCOMA]: "Blind tears!", // 460
    [isaac_typescript_definitions_1.CollectibleType.PARASITOID]: "Egg tears!", // 461
    [isaac_typescript_definitions_1.CollectibleType.EYE_OF_BELIAL]: "Possessed tears!", // 462
    [isaac_typescript_definitions_1.CollectibleType.SULFURIC_ACID]: "Acid tears!", // 463
    [isaac_typescript_definitions_1.CollectibleType.GLYPH_OF_BALANCE]: "A gift from above", // 464
    [isaac_typescript_definitions_1.CollectibleType.ANALOG_STICK]: "360 tears!", // 465
    [isaac_typescript_definitions_1.CollectibleType.CONTAGION]: "Outbreak!", // 466
    [isaac_typescript_definitions_1.CollectibleType.FINGER]: "Watch where you point that!", // 467
    [isaac_typescript_definitions_1.CollectibleType.SHADE]: "It follows", // 468
    [isaac_typescript_definitions_1.CollectibleType.DEPRESSION]: ":(", // 469
    [isaac_typescript_definitions_1.CollectibleType.HUSHY]: "Lil hush!", // 470
    [isaac_typescript_definitions_1.CollectibleType.LIL_MONSTRO]: "Ain't he cute?", // 471
    [isaac_typescript_definitions_1.CollectibleType.KING_BABY]: "Hail to the king baby", // 472
    [isaac_typescript_definitions_1.CollectibleType.BIG_CHUBBY]: "Chub chub", // 473
    [isaac_typescript_definitions_1.CollectibleType.BROKEN_GLASS_CANNON]: "You broke it!", // 474
    [isaac_typescript_definitions_1.CollectibleType.PLAN_C]: "My last resort", // 475
    [isaac_typescript_definitions_1.CollectibleType.D1]: "What will it be?", // 476
    [isaac_typescript_definitions_1.CollectibleType.VOID]: "Consume", // 477
    [isaac_typescript_definitions_1.CollectibleType.PAUSE]: "Stop!", // 478
    [isaac_typescript_definitions_1.CollectibleType.SMELTER]: "Trinket melter!", // 479
    [isaac_typescript_definitions_1.CollectibleType.COMPOST]: "Gain more friends!", // 480
    [isaac_typescript_definitions_1.CollectibleType.DATAMINER]: "109", // 481
    [isaac_typescript_definitions_1.CollectibleType.CLICKER]: "Change", // 482
    [isaac_typescript_definitions_1.CollectibleType.MAMA_MEGA]: "BOOOOOOOOOM!", // 483
    [isaac_typescript_definitions_1.CollectibleType.WAIT_WHAT]: "I can't believe it's not butter bean!", // 484
    [isaac_typescript_definitions_1.CollectibleType.CROOKED_PENNY]: "50/50", // 485
    [isaac_typescript_definitions_1.CollectibleType.DULL_RAZOR]: "I feel numb...", // 486
    [isaac_typescript_definitions_1.CollectibleType.POTATO_PEELER]: "A pound of flesh...", // 487
    [isaac_typescript_definitions_1.CollectibleType.METRONOME]: "Waggles a finger", // 488
    [isaac_typescript_definitions_1.CollectibleType.D_INFINITY]: "Reroll forever", // 489
    [isaac_typescript_definitions_1.CollectibleType.EDENS_SOUL]: "...", // 490
    [isaac_typescript_definitions_1.CollectibleType.ACID_BABY]: "Pills pills pills!", // 491
    [isaac_typescript_definitions_1.CollectibleType.YO_LISTEN]: "Yo listen!", // 492
    [isaac_typescript_definitions_1.CollectibleType.ADRENALINE]: "Panic = power", // 493
    [isaac_typescript_definitions_1.CollectibleType.JACOBS_LADDER]: "Electric tears", // 494
    [isaac_typescript_definitions_1.CollectibleType.GHOST_PEPPER]: "Flame tears", // 495
    [isaac_typescript_definitions_1.CollectibleType.EUTHANASIA]: "Needle shot", // 496
    [isaac_typescript_definitions_1.CollectibleType.CAMO_UNDIES]: "Camo kid", // 497
    [isaac_typescript_definitions_1.CollectibleType.DUALITY]: "You feel very balanced", // 498
    [isaac_typescript_definitions_1.CollectibleType.EUCHARIST]: "Peace be with you", // 499
    [isaac_typescript_definitions_1.CollectibleType.SACK_OF_SACKS]: "Gives sacks", // 500
    [isaac_typescript_definitions_1.CollectibleType.GREEDS_GULLET]: "Money = health!", // 501
    [isaac_typescript_definitions_1.CollectibleType.LARGE_ZIT]: "Creep shots", // 502
    [isaac_typescript_definitions_1.CollectibleType.LITTLE_HORN]: "Big brother is watching", // 503
    [isaac_typescript_definitions_1.CollectibleType.BROWN_NUGGET]: "Friendly fly", // 504
    [isaac_typescript_definitions_1.CollectibleType.POKE_GO]: "Gotta catch em...", // 505
    [isaac_typescript_definitions_1.CollectibleType.BACKSTABBER]: "Watch your back!", // 506
    [isaac_typescript_definitions_1.CollectibleType.SHARP_STRAW]: "More blood!", // 507
    [isaac_typescript_definitions_1.CollectibleType.MOMS_RAZOR]: "It's sharp!", // 508
    [isaac_typescript_definitions_1.CollectibleType.BLOODSHOT_EYE]: "Bloody friend", // 509
    [isaac_typescript_definitions_1.CollectibleType.DELIRIOUS]: "Unleash the power!", // 510
    [isaac_typescript_definitions_1.CollectibleType.ANGRY_FLY]: "He's violent", // 511
    [isaac_typescript_definitions_1.CollectibleType.BLACK_HOLE]: "Nothing can escape", // 512
    [isaac_typescript_definitions_1.CollectibleType.BOZO]: "Party time!", // 513
    [isaac_typescript_definitions_1.CollectibleType.BROKEN_MODEM]: "Lag!", // 514
    [isaac_typescript_definitions_1.CollectibleType.MYSTERY_GIFT]: "Wrapped up nice for you!", // 515
    [isaac_typescript_definitions_1.CollectibleType.SPRINKLER]: "Sprinkles.", // 516
    [isaac_typescript_definitions_1.CollectibleType.FAST_BOMBS]: "Rapid bomb drops", // 517
    [isaac_typescript_definitions_1.CollectibleType.BUDDY_IN_A_BOX]: "What could it be?!", // 518
    [isaac_typescript_definitions_1.CollectibleType.LIL_DELIRIUM]: "Delirious friend", // 519
    [isaac_typescript_definitions_1.CollectibleType.JUMPER_CABLES]: "Bloody recharge", // 520
    [isaac_typescript_definitions_1.CollectibleType.COUPON]: "Allow 6 weeks for delivery", // 521
    [isaac_typescript_definitions_1.CollectibleType.TELEKINESIS]: "Power of the mind", // 522
    [isaac_typescript_definitions_1.CollectibleType.MOVING_BOX]: "Pack and unpack", // 523
    [isaac_typescript_definitions_1.CollectibleType.TECHNOLOGY_ZERO]: "Static tears", // 524
    [isaac_typescript_definitions_1.CollectibleType.LEPROSY]: "You're tearing me apart!", // 525
    [isaac_typescript_definitions_1.CollectibleType.SEVEN_SEALS]: "Lil harbingers!", // 526
    [isaac_typescript_definitions_1.CollectibleType.MR_ME]: "Caaan do!", // 527
    [isaac_typescript_definitions_1.CollectibleType.ANGELIC_PRISM]: "Eclipsed by the moon", // 528
    [isaac_typescript_definitions_1.CollectibleType.POP]: "Eyeball tears", // 529
    [isaac_typescript_definitions_1.CollectibleType.DEATHS_LIST]: "Just hope you're not next...", // 530
    [isaac_typescript_definitions_1.CollectibleType.HAEMOLACRIA]: "I'm seeing red...", // 531
    [isaac_typescript_definitions_1.CollectibleType.LACHRYPHAGY]: "Feed them!", // 532
    [isaac_typescript_definitions_1.CollectibleType.TRISAGION]: "Smite thy enemy", // 533
    [isaac_typescript_definitions_1.CollectibleType.SCHOOLBAG]: "Extra active item room", // 534
    [isaac_typescript_definitions_1.CollectibleType.BLANKET]: "You feel safe", // 535
    [isaac_typescript_definitions_1.CollectibleType.SACRIFICIAL_ALTAR]: "He demands a sacrifice", // 536
    [isaac_typescript_definitions_1.CollectibleType.LIL_SPEWER]: "Puking buddy", // 537
    [isaac_typescript_definitions_1.CollectibleType.MARBLES]: "Choking hazard", // 538
    [isaac_typescript_definitions_1.CollectibleType.MYSTERY_EGG]: "Sacrificial insemination", // 539
    [isaac_typescript_definitions_1.CollectibleType.FLAT_STONE]: "Skipping tears", // 540
    [isaac_typescript_definitions_1.CollectibleType.MARROW]: "HP up?", // 541
    [isaac_typescript_definitions_1.CollectibleType.SLIPPED_RIB]: "Projectile shield", // 542
    [isaac_typescript_definitions_1.CollectibleType.HALLOWED_GROUND]: "Portable sanctuary", // 543
    [isaac_typescript_definitions_1.CollectibleType.POINTY_RIB]: "Stabbing time", // 544
    [isaac_typescript_definitions_1.CollectibleType.BOOK_OF_THE_DEAD]: "Rise from the grave", // 545
    [isaac_typescript_definitions_1.CollectibleType.DADS_RING]: "Father's blessing", // 546
    [isaac_typescript_definitions_1.CollectibleType.DIVORCE_PAPERS]: "Tears up + you feel empty", // 547
    [isaac_typescript_definitions_1.CollectibleType.JAW_BONE]: "Fetch!", // 548
    [isaac_typescript_definitions_1.CollectibleType.BRITTLE_BONES]: "Everything hurts", // 549
    [isaac_typescript_definitions_1.CollectibleType.BROKEN_SHOVEL_1]: "It feels cursed", // 550
    [isaac_typescript_definitions_1.CollectibleType.BROKEN_SHOVEL_2]: "It feels cursed", // 551
    [isaac_typescript_definitions_1.CollectibleType.MOMS_SHOVEL]: "Lost but not forgotten", // 552
    [isaac_typescript_definitions_1.CollectibleType.MUCORMYCOSIS]: "Spore shot", // 553
    [isaac_typescript_definitions_1.CollectibleType.TWO_SPOOKY]: "4me", // 554
    [isaac_typescript_definitions_1.CollectibleType.GOLDEN_RAZOR]: "Pain from gain", // 555
    [isaac_typescript_definitions_1.CollectibleType.SULFUR]: "Temporary demon form", // 556
    [isaac_typescript_definitions_1.CollectibleType.FORTUNE_COOKIE]: "Reusable fortunes", // 557
    [isaac_typescript_definitions_1.CollectibleType.EYE_SORE]: "More eyes", // 558
    [isaac_typescript_definitions_1.CollectibleType.ONE_HUNDRED_TWENTY_VOLT]: "Zap!", // 559
    [isaac_typescript_definitions_1.CollectibleType.IT_HURTS]: "No it doesn't...", // 560
    [isaac_typescript_definitions_1.CollectibleType.ALMOND_MILK]: "DMG down + tears up + you feel nutty", // 561
    [isaac_typescript_definitions_1.CollectibleType.ROCK_BOTTOM]: "It's only up from there", // 562
    [isaac_typescript_definitions_1.CollectibleType.NANCY_BOMBS]: "Random blast +5 bombs", // 563
    [isaac_typescript_definitions_1.CollectibleType.BAR_OF_SOAP]: "Tears + shot speed up", // 564
    [isaac_typescript_definitions_1.CollectibleType.BLOOD_PUPPY]: "What a cute little thing!", // 565
    [isaac_typescript_definitions_1.CollectibleType.DREAM_CATCHER]: "Sweet dreams", // 566
    [isaac_typescript_definitions_1.CollectibleType.PASCHAL_CANDLE]: "Keep the flame burning", // 567
    [isaac_typescript_definitions_1.CollectibleType.DIVINE_INTERVENTION]: "Double tap shield", // 568
    [isaac_typescript_definitions_1.CollectibleType.BLOOD_OATH]: "Bleed me dry", // 569
    [isaac_typescript_definitions_1.CollectibleType.PLAYDOUGH_COOKIE]: "Tasty rainbow", // 570
    [isaac_typescript_definitions_1.CollectibleType.ORPHAN_SOCKS]: "Speed up + your feet feel stronger", // 571
    [isaac_typescript_definitions_1.CollectibleType.EYE_OF_THE_OCCULT]: "DMG up + range up + controlled tears", // 572
    [isaac_typescript_definitions_1.CollectibleType.IMMACULATE_HEART]: "Halo of tears", // 573
    [isaac_typescript_definitions_1.CollectibleType.MONSTRANCE]: "Purifying light", // 574
    [isaac_typescript_definitions_1.CollectibleType.INTRUDER]: "Invasive friend", // 575
    [isaac_typescript_definitions_1.CollectibleType.DIRTY_MIND]: "Filthy friends", // 576
    [isaac_typescript_definitions_1.CollectibleType.DAMOCLES]: "A king's fortune... but at what cost?", // 577
    [isaac_typescript_definitions_1.CollectibleType.FREE_LEMONADE]: "Party time!", // 578
    [isaac_typescript_definitions_1.CollectibleType.SPIRIT_SWORD]: "Divine blade", // 579
    [isaac_typescript_definitions_1.CollectibleType.RED_KEY]: "Explore the other side", // 580
    [isaac_typescript_definitions_1.CollectibleType.PSY_FLY]: "Flamboyant protector", // 581
    [isaac_typescript_definitions_1.CollectibleType.WAVY_CAP]: "Tears up. A mind changing experience!", // 582
    [isaac_typescript_definitions_1.CollectibleType.ROCKET_IN_A_JAR]: "Rocket propulsion +5 bombs", // 583
    [isaac_typescript_definitions_1.CollectibleType.BOOK_OF_VIRTUES]: "Spiritual companionship", // 584
    [isaac_typescript_definitions_1.CollectibleType.ALABASTER_BOX]: "A sacred offering", // 585
    [isaac_typescript_definitions_1.CollectibleType.STAIRWAY]: "May you get what you came for", // 586
    // There is no `CollectibleType` with a value of 587.
    [isaac_typescript_definitions_1.CollectibleType.SOL]: "Radiant victory", // 588
    [isaac_typescript_definitions_1.CollectibleType.LUNA]: "The moon's blessing shines upon you", // 589
    [isaac_typescript_definitions_1.CollectibleType.MERCURIUS]: "Speed up + you feel elusive", // 590
    [isaac_typescript_definitions_1.CollectibleType.VENUS]: "HP up + you feel pretty", // 591
    [isaac_typescript_definitions_1.CollectibleType.TERRA]: "Born to rock", // 592
    [isaac_typescript_definitions_1.CollectibleType.MARS]: "Double tap dash", // 593
    [isaac_typescript_definitions_1.CollectibleType.JUPITER]: "You're a gas giant!", // 594
    [isaac_typescript_definitions_1.CollectibleType.SATURNUS]: "Ring of tears", // 595
    [isaac_typescript_definitions_1.CollectibleType.URANUS]: "Ice tears", // 596
    [isaac_typescript_definitions_1.CollectibleType.NEPTUNUS]: "Open the floodgates", // 597
    [isaac_typescript_definitions_1.CollectibleType.PLUTO]: "Size down", // 598
    [isaac_typescript_definitions_1.CollectibleType.VOODOO_HEAD]: "Extra curse rooms", // 599
    [isaac_typescript_definitions_1.CollectibleType.EYE_DROPS]: "Tears up", // 600
    [isaac_typescript_definitions_1.CollectibleType.ACT_OF_CONTRITION]: "Tears up, you feel forgiven", // 601
    [isaac_typescript_definitions_1.CollectibleType.MEMBER_CARD]: "Exclusive access!", // 602
    [isaac_typescript_definitions_1.CollectibleType.BATTERY_PACK]: "Instant energy!", // 603
    [isaac_typescript_definitions_1.CollectibleType.MOMS_BRACELET]: "Mother's strength", // 604
    [isaac_typescript_definitions_1.CollectibleType.SCOOPER]: "Plop!", // 605
    [isaac_typescript_definitions_1.CollectibleType.OCULAR_RIFT]: "Stare into the abyss", // 606
    [isaac_typescript_definitions_1.CollectibleType.BOILED_BABY]: "Messy friend", // 607
    [isaac_typescript_definitions_1.CollectibleType.FREEZER_BABY]: "Iced iced baby", // 608
    [isaac_typescript_definitions_1.CollectibleType.ETERNAL_D6]: "???", // 609
    [isaac_typescript_definitions_1.CollectibleType.BIRD_CAGE]: "Fat buddy", // 610
    [isaac_typescript_definitions_1.CollectibleType.LARYNX]: "Hear my pain", // 611
    [isaac_typescript_definitions_1.CollectibleType.LOST_SOUL]: "Protect him", // 612
    // There is no `CollectibleType` with a value of 613.
    [isaac_typescript_definitions_1.CollectibleType.BLOOD_BOMBS]: "Bloody blast + HP up", // 614
    [isaac_typescript_definitions_1.CollectibleType.LIL_DUMPY]: "Puffy buddy", // 615
    [isaac_typescript_definitions_1.CollectibleType.BIRDS_EYE]: "It burns", // 616
    [isaac_typescript_definitions_1.CollectibleType.LODESTONE]: "Magnetizing tears", // 617
    [isaac_typescript_definitions_1.CollectibleType.ROTTEN_TOMATO]: "Delicious!", // 618
    [isaac_typescript_definitions_1.CollectibleType.BIRTHRIGHT]: "???", // 619
    // There is no `CollectibleType` with a value of 620.
    [isaac_typescript_definitions_1.CollectibleType.RED_STEW]: "Full HP + temporary DMG up", // 621
    [isaac_typescript_definitions_1.CollectibleType.GENESIS]: "In the beginning", // 622
    [isaac_typescript_definitions_1.CollectibleType.SHARP_KEY]: "Open your enemies", // 623
    [isaac_typescript_definitions_1.CollectibleType.BOOSTER_PACK]: "Collect them all!", // 624
    [isaac_typescript_definitions_1.CollectibleType.MEGA_MUSH]: "I'm a big boy now!", // 625
    [isaac_typescript_definitions_1.CollectibleType.KNIFE_PIECE_1]: "???", // 626
    [isaac_typescript_definitions_1.CollectibleType.KNIFE_PIECE_2]: "???", // 627
    [isaac_typescript_definitions_1.CollectibleType.DEATH_CERTIFICATE]: "Where am I?", // 628
    [isaac_typescript_definitions_1.CollectibleType.BOT_FLY]: "Defense drone", // 629
    // There is no `CollectibleType` with a value of 630.
    [isaac_typescript_definitions_1.CollectibleType.MEAT_CLEAVER]: "Slice but no dice", // 631
    [isaac_typescript_definitions_1.CollectibleType.EVIL_CHARM]: "Luck up + you feel protected", // 632
    [isaac_typescript_definitions_1.CollectibleType.DOGMA]: "Ascended", // 633
    [isaac_typescript_definitions_1.CollectibleType.PURGATORY]: "Help from beyond", // 634
    [isaac_typescript_definitions_1.CollectibleType.STITCHES]: "Bait and switch", // 635
    [isaac_typescript_definitions_1.CollectibleType.R_KEY]: "Time to start over", // 636
    [isaac_typescript_definitions_1.CollectibleType.KNOCKOUT_DROPS]: "They pack a punch!", // 637
    [isaac_typescript_definitions_1.CollectibleType.ERASER]: "Erase thy enemy", // 638
    [isaac_typescript_definitions_1.CollectibleType.YUCK_HEART]: "Gross!", // 639
    [isaac_typescript_definitions_1.CollectibleType.URN_OF_SOULS]: "Unleash their sorrow", // 640
    [isaac_typescript_definitions_1.CollectibleType.AKELDAMA]: "Spill your guts", // 641
    [isaac_typescript_definitions_1.CollectibleType.MAGIC_SKIN]: "All your desires fulfilled", // 642
    [isaac_typescript_definitions_1.CollectibleType.REVELATION]: "Awaken your faith", // 643
    [isaac_typescript_definitions_1.CollectibleType.CONSOLATION_PRIZE]: "+1 to lowest stat", // 644
    [isaac_typescript_definitions_1.CollectibleType.TINYTOMA]: "Itching for revenge", // 645
    [isaac_typescript_definitions_1.CollectibleType.BRIMSTONE_BOMBS]: "Demon blast +5 bombs", // 646
    [isaac_typescript_definitions_1.CollectibleType.FOUR_FIVE_VOLT]: "Beat the juice out of them!", // 647
    // There is no `CollectibleType` with a value of 648.
    [isaac_typescript_definitions_1.CollectibleType.FRUITY_PLUM]: "Bouncy friend", // 649
    [isaac_typescript_definitions_1.CollectibleType.PLUM_FLUTE]: "Play time!", // 650
    [isaac_typescript_definitions_1.CollectibleType.STAR_OF_BETHLEHEM]: "Follow the light", // 651
    [isaac_typescript_definitions_1.CollectibleType.CUBE_BABY]: "Kick it!", // 652
    [isaac_typescript_definitions_1.CollectibleType.VADE_RETRO]: "Begone!", // 653
    [isaac_typescript_definitions_1.CollectibleType.FALSE_PHD]: "Worse pills + evil up", // 654
    [isaac_typescript_definitions_1.CollectibleType.SPIN_TO_WIN]: "Let it rip!", // 655
    [isaac_typescript_definitions_1.CollectibleType.DAMOCLES_PASSIVE]: "A king's fortune... but at what cost?", // 656
    [isaac_typescript_definitions_1.CollectibleType.VASCULITIS]: "Clogged enemies", // 657
    [isaac_typescript_definitions_1.CollectibleType.GIANT_CELL]: "Micro friends", // 658
    [isaac_typescript_definitions_1.CollectibleType.TROPICAMIDE]: "Tear size + range up", // 659
    [isaac_typescript_definitions_1.CollectibleType.CARD_READING]: "A link to your future", // 660
    [isaac_typescript_definitions_1.CollectibleType.QUINTS]: "They lurk inside", // 661
    // There is no `CollectibleType` with a value of 662.
    [isaac_typescript_definitions_1.CollectibleType.TOOTH_AND_NAIL]: "You feel prickly", // 663
    [isaac_typescript_definitions_1.CollectibleType.BINGE_EATER]: "All you can eat", // 664
    [isaac_typescript_definitions_1.CollectibleType.GUPPYS_EYE]: "An eye for secrets", // 665
    // There is no `CollectibleType` with a value of 666.
    [isaac_typescript_definitions_1.CollectibleType.STRAWMAN]: "A helping hand", // 667
    [isaac_typescript_definitions_1.CollectibleType.DADS_NOTE]: "...", // 668
    [isaac_typescript_definitions_1.CollectibleType.SAUSAGE]: "All stats up", // 669
    [isaac_typescript_definitions_1.CollectibleType.OPTIONS]: "There might be options", // 670
    [isaac_typescript_definitions_1.CollectibleType.CANDY_HEART]: "Power of love", // 671
    [isaac_typescript_definitions_1.CollectibleType.POUND_OF_FLESH]: "Blood money", // 672
    [isaac_typescript_definitions_1.CollectibleType.REDEMPTION]: "Deliver me from evil", // 673
    [isaac_typescript_definitions_1.CollectibleType.SPIRIT_SHACKLES]: "Unfinished business", // 674
    [isaac_typescript_definitions_1.CollectibleType.CRACKED_ORB]: "Shards of knowledge", // 675
    [isaac_typescript_definitions_1.CollectibleType.EMPTY_HEART]: "It multiplies", // 676
    [isaac_typescript_definitions_1.CollectibleType.ASTRAL_PROJECTION]: "The true out-of-body experience!", // 677
    [isaac_typescript_definitions_1.CollectibleType.C_SECTION]: "Fetus shots", // 678
    [isaac_typescript_definitions_1.CollectibleType.LIL_ABADDON]: "Abyssal friend", // 679
    [isaac_typescript_definitions_1.CollectibleType.MONTEZUMAS_REVENGE]: "Oh no...", // 680
    [isaac_typescript_definitions_1.CollectibleType.LIL_PORTAL]: "It hungers", // 681
    [isaac_typescript_definitions_1.CollectibleType.WORM_FRIEND]: "Clingy buddy", // 682
    [isaac_typescript_definitions_1.CollectibleType.BONE_SPURS]: "Break your enemies", // 683
    [isaac_typescript_definitions_1.CollectibleType.HUNGRY_SOUL]: "Out for blood", // 684
    [isaac_typescript_definitions_1.CollectibleType.JAR_OF_WISPS]: "Your faith grows", // 685
    [isaac_typescript_definitions_1.CollectibleType.SOUL_LOCKET]: "Power of faith", // 686
    [isaac_typescript_definitions_1.CollectibleType.FRIEND_FINDER]: "Best friends forever!", // 687
    [isaac_typescript_definitions_1.CollectibleType.INNER_CHILD]: "Let him free", // 688
    [isaac_typescript_definitions_1.CollectibleType.GLITCHED_CROWN]: "?????", // 689
    [isaac_typescript_definitions_1.CollectibleType.JELLY_BELLY]: "Bounce away!", // 690
    [isaac_typescript_definitions_1.CollectibleType.SACRED_ORB]: "Destined for greatness", // 691
    [isaac_typescript_definitions_1.CollectibleType.SANGUINE_BOND]: "He awaits your offering", // 692
    [isaac_typescript_definitions_1.CollectibleType.SWARM]: "Infest", // 693
    [isaac_typescript_definitions_1.CollectibleType.HEARTBREAK]: "Eternal sorrow", // 694
    [isaac_typescript_definitions_1.CollectibleType.BLOODY_GUST]: "May your rage bring haste", // 695
    [isaac_typescript_definitions_1.CollectibleType.SALVATION]: "Divine protection", // 696
    [isaac_typescript_definitions_1.CollectibleType.VANISHING_TWIN]: "He wants revenge", // 697
    [isaac_typescript_definitions_1.CollectibleType.TWISTED_PAIR]: "Double trouble!", // 698
    [isaac_typescript_definitions_1.CollectibleType.AZAZELS_RAGE]: "Ancient power", // 699
    [isaac_typescript_definitions_1.CollectibleType.ECHO_CHAMBER]: "I can see see the future future future", // 700
    [isaac_typescript_definitions_1.CollectibleType.ISAACS_TOMB]: "Buried memories", // 701
    [isaac_typescript_definitions_1.CollectibleType.VENGEFUL_SPIRIT]: "Hot blooded", // 702
    [isaac_typescript_definitions_1.CollectibleType.ESAU_JR]: "Lost brother", // 703
    [isaac_typescript_definitions_1.CollectibleType.BERSERK]: "Rip and tear", // 704
    [isaac_typescript_definitions_1.CollectibleType.DARK_ARTS]: "One with the shadows", // 705
    [isaac_typescript_definitions_1.CollectibleType.ABYSS]: "Come forth from the depths", // 706
    [isaac_typescript_definitions_1.CollectibleType.SUPPER]: "HP up", // 707
    [isaac_typescript_definitions_1.CollectibleType.STAPLER]: "DMG up", // 708
    [isaac_typescript_definitions_1.CollectibleType.SUPLEX]: "Angel breaker", // 709
    [isaac_typescript_definitions_1.CollectibleType.BAG_OF_CRAFTING]: "Make your destiny", // 710
    [isaac_typescript_definitions_1.CollectibleType.FLIP]: "Life and death", // 711
    [isaac_typescript_definitions_1.CollectibleType.LEMEGETON]: "Item summoner", // 712
    [isaac_typescript_definitions_1.CollectibleType.SUMPTORIUM]: "Return", // 713
    [isaac_typescript_definitions_1.CollectibleType.RECALL]: "Come back", // 714
    [isaac_typescript_definitions_1.CollectibleType.HOLD]: "Saved for later", // 715
    [isaac_typescript_definitions_1.CollectibleType.KEEPERS_SACK]: "Spending power", // 716
    [isaac_typescript_definitions_1.CollectibleType.KEEPERS_KIN]: "Under a rock", // 717
    // There is no `CollectibleType` with a value of 718.
    [isaac_typescript_definitions_1.CollectibleType.KEEPERS_BOX]: "Portable shop", // 719
    [isaac_typescript_definitions_1.CollectibleType.EVERYTHING_JAR]: "Anything is possible", // 720
    [isaac_typescript_definitions_1.CollectibleType.TMTRAINER]: "Isaac and his mother lived alone in a small house on a hill", // 721
    [isaac_typescript_definitions_1.CollectibleType.ANIMA_SOLA]: "Repent", // 722
    [isaac_typescript_definitions_1.CollectibleType.SPINDOWN_DICE]: "-1", // 723
    [isaac_typescript_definitions_1.CollectibleType.HYPERCOAGULATION]: "Thick blooded", // 724
    [isaac_typescript_definitions_1.CollectibleType.IBS]: "Your stomach rumbles", // 725
    [isaac_typescript_definitions_1.CollectibleType.HEMOPTYSIS]: "Double tap sneeze", // 726
    [isaac_typescript_definitions_1.CollectibleType.GHOST_BOMBS]: "Spooky blast +5 bombs", // 727
    [isaac_typescript_definitions_1.CollectibleType.GELLO]: "Demonic gestation", // 728
    [isaac_typescript_definitions_1.CollectibleType.DECAP_ATTACK]: "Chuck away!", // 729
    [isaac_typescript_definitions_1.CollectibleType.GLASS_EYE]: "DMG + luck up", // 730
    [isaac_typescript_definitions_1.CollectibleType.STYE]: "DMG + range up", // 731
    [isaac_typescript_definitions_1.CollectibleType.MOMS_RING]: "DMG up", // 732
};
