"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.COLLECTIBLE_NAMES = exports.DEFAULT_COLLECTIBLE_NAME = void 0;
const isaac_typescript_definitions_1 = require("isaac-typescript-definitions");
exports.DEFAULT_COLLECTIBLE_NAME = "Unknown";
/**
 * Maps collectible types to the real English names from the "stringtable.sta" file.
 *
 * For a mapping of name to `CollectibleType`, see `COLLECTIBLE_NAME_TO_TYPE_MAP`.
 */
exports.COLLECTIBLE_NAMES = {
    [isaac_typescript_definitions_1.CollectibleType.NULL]: exports.DEFAULT_COLLECTIBLE_NAME, // 0
    [isaac_typescript_definitions_1.CollectibleType.SAD_ONION]: "The Sad Onion", // 1
    [isaac_typescript_definitions_1.CollectibleType.INNER_EYE]: "The Inner Eye", // 2
    [isaac_typescript_definitions_1.CollectibleType.SPOON_BENDER]: "Spoon Bender", // 3
    [isaac_typescript_definitions_1.CollectibleType.CRICKETS_HEAD]: "Cricket's Head", // 4
    [isaac_typescript_definitions_1.CollectibleType.MY_REFLECTION]: "My Reflection", // 5
    [isaac_typescript_definitions_1.CollectibleType.NUMBER_ONE]: "Number One", // 6
    [isaac_typescript_definitions_1.CollectibleType.BLOOD_OF_THE_MARTYR]: "Blood of the Martyr", // 7
    [isaac_typescript_definitions_1.CollectibleType.BROTHER_BOBBY]: "Brother Bobby", // 8
    [isaac_typescript_definitions_1.CollectibleType.SKATOLE]: "Skatole", // 9
    [isaac_typescript_definitions_1.CollectibleType.HALO_OF_FLIES]: "Halo of Flies", // 10
    [isaac_typescript_definitions_1.CollectibleType.ONE_UP]: "1up!", // 11
    [isaac_typescript_definitions_1.CollectibleType.MAGIC_MUSHROOM]: "Magic Mushroom", // 12
    [isaac_typescript_definitions_1.CollectibleType.VIRUS]: "The Virus", // 13
    [isaac_typescript_definitions_1.CollectibleType.ROID_RAGE]: "Roid Rage", // 14
    [isaac_typescript_definitions_1.CollectibleType.HEART]: "<3", // 15
    [isaac_typescript_definitions_1.CollectibleType.RAW_LIVER]: "Raw Liver", // 16
    [isaac_typescript_definitions_1.CollectibleType.SKELETON_KEY]: "Skeleton Key", // 17
    [isaac_typescript_definitions_1.CollectibleType.DOLLAR]: "A Dollar", // 18
    [isaac_typescript_definitions_1.CollectibleType.BOOM]: "Boom!", // 19
    [isaac_typescript_definitions_1.CollectibleType.TRANSCENDENCE]: "Transcendence", // 20
    [isaac_typescript_definitions_1.CollectibleType.COMPASS]: "The Compass", // 21
    [isaac_typescript_definitions_1.CollectibleType.LUNCH]: "Lunch", // 22
    [isaac_typescript_definitions_1.CollectibleType.DINNER]: "Dinner", // 23
    [isaac_typescript_definitions_1.CollectibleType.DESSERT]: "Dessert", // 24
    [isaac_typescript_definitions_1.CollectibleType.BREAKFAST]: "Breakfast", // 25
    [isaac_typescript_definitions_1.CollectibleType.ROTTEN_MEAT]: "Rotten Meat", // 26
    [isaac_typescript_definitions_1.CollectibleType.WOODEN_SPOON]: "Wooden Spoon", // 27
    [isaac_typescript_definitions_1.CollectibleType.BELT]: "The Belt", // 28
    [isaac_typescript_definitions_1.CollectibleType.MOMS_UNDERWEAR]: "Mom's Underwear", // 29
    [isaac_typescript_definitions_1.CollectibleType.MOMS_HEELS]: "Mom's Heels", // 30
    [isaac_typescript_definitions_1.CollectibleType.MOMS_LIPSTICK]: "Mom's Lipstick", // 31
    [isaac_typescript_definitions_1.CollectibleType.WIRE_COAT_HANGER]: "Wire Coat Hanger", // 32
    [isaac_typescript_definitions_1.CollectibleType.BIBLE]: "The Bible", // 33
    [isaac_typescript_definitions_1.CollectibleType.BOOK_OF_BELIAL]: "The Book of Belial", // 34
    [isaac_typescript_definitions_1.CollectibleType.NECRONOMICON]: "The Necronomicon", // 35
    [isaac_typescript_definitions_1.CollectibleType.POOP]: "The Poop", // 36
    [isaac_typescript_definitions_1.CollectibleType.MR_BOOM]: "Mr. Boom", // 37
    [isaac_typescript_definitions_1.CollectibleType.TAMMYS_HEAD]: "Tammy's Head", // 38
    [isaac_typescript_definitions_1.CollectibleType.MOMS_BRA]: "Mom's Bra", // 39
    [isaac_typescript_definitions_1.CollectibleType.KAMIKAZE]: "Kamikaze!", // 40
    [isaac_typescript_definitions_1.CollectibleType.MOMS_PAD]: "Mom's Pad", // 41
    [isaac_typescript_definitions_1.CollectibleType.BOBS_ROTTEN_HEAD]: "Bob's Rotten Head", // 42
    // There is no `CollectibleType` with a value of 43.
    [isaac_typescript_definitions_1.CollectibleType.TELEPORT]: "Teleport!", // 44
    [isaac_typescript_definitions_1.CollectibleType.YUM_HEART]: "Yum Heart", // 45
    [isaac_typescript_definitions_1.CollectibleType.LUCKY_FOOT]: "Lucky Foot", // 46
    [isaac_typescript_definitions_1.CollectibleType.DOCTORS_REMOTE]: "Doctor's Remote", // 47
    [isaac_typescript_definitions_1.CollectibleType.CUPIDS_ARROW]: "Cupid's Arrow", // 48
    [isaac_typescript_definitions_1.CollectibleType.SHOOP_DA_WHOOP]: "Shoop da Whoop!", // 49
    [isaac_typescript_definitions_1.CollectibleType.STEVEN]: "Steven", // 50
    [isaac_typescript_definitions_1.CollectibleType.PENTAGRAM]: "Pentagram", // 51
    [isaac_typescript_definitions_1.CollectibleType.DR_FETUS]: "Dr. Fetus", // 52
    [isaac_typescript_definitions_1.CollectibleType.MAGNETO]: "Magneto", // 53
    [isaac_typescript_definitions_1.CollectibleType.TREASURE_MAP]: "Treasure Map", // 54
    [isaac_typescript_definitions_1.CollectibleType.MOMS_EYE]: "Mom's Eye", // 55
    [isaac_typescript_definitions_1.CollectibleType.LEMON_MISHAP]: "Lemon Mishap", // 56
    [isaac_typescript_definitions_1.CollectibleType.DISTANT_ADMIRATION]: "Distant Admiration", // 57
    [isaac_typescript_definitions_1.CollectibleType.BOOK_OF_SHADOWS]: "Book of Shadows", // 58
    [isaac_typescript_definitions_1.CollectibleType.BOOK_OF_BELIAL_BIRTHRIGHT]: "The Book of Belial", // 59
    [isaac_typescript_definitions_1.CollectibleType.LADDER]: "The Ladder", // 60
    // There is no `CollectibleType` with a value of 61.
    [isaac_typescript_definitions_1.CollectibleType.CHARM_OF_THE_VAMPIRE]: "Charm of the Vampire", // 62
    [isaac_typescript_definitions_1.CollectibleType.BATTERY]: "The Battery", // 63
    [isaac_typescript_definitions_1.CollectibleType.STEAM_SALE]: "Steam Sale", // 64
    [isaac_typescript_definitions_1.CollectibleType.ANARCHIST_COOKBOOK]: "Anarchist Cookbook", // 65
    [isaac_typescript_definitions_1.CollectibleType.HOURGLASS]: "The Hourglass", // 66
    [isaac_typescript_definitions_1.CollectibleType.SISTER_MAGGY]: "Sister Maggy", // 67
    [isaac_typescript_definitions_1.CollectibleType.TECHNOLOGY]: "Technology", // 68
    [isaac_typescript_definitions_1.CollectibleType.CHOCOLATE_MILK]: "Chocolate Milk", // 69
    [isaac_typescript_definitions_1.CollectibleType.GROWTH_HORMONES]: "Growth Hormones", // 70
    [isaac_typescript_definitions_1.CollectibleType.MINI_MUSH]: "Mini Mush", // 71
    [isaac_typescript_definitions_1.CollectibleType.ROSARY]: "Rosary", // 72
    [isaac_typescript_definitions_1.CollectibleType.CUBE_OF_MEAT]: "Cube of Meat", // 73
    [isaac_typescript_definitions_1.CollectibleType.QUARTER]: "A Quarter", // 74
    [isaac_typescript_definitions_1.CollectibleType.PHD]: "PHD", // 75
    [isaac_typescript_definitions_1.CollectibleType.XRAY_VISION]: "X-Ray Vision", // 76
    [isaac_typescript_definitions_1.CollectibleType.MY_LITTLE_UNICORN]: "My Little Unicorn", // 77
    [isaac_typescript_definitions_1.CollectibleType.BOOK_OF_REVELATIONS]: "Book of Revelations", // 78
    [isaac_typescript_definitions_1.CollectibleType.MARK]: "The Mark", // 79
    [isaac_typescript_definitions_1.CollectibleType.PACT]: "The Pact", // 80
    [isaac_typescript_definitions_1.CollectibleType.DEAD_CAT]: "Dead Cat", // 81
    [isaac_typescript_definitions_1.CollectibleType.LORD_OF_THE_PIT]: "Lord of the Pit", // 82
    [isaac_typescript_definitions_1.CollectibleType.NAIL]: "The Nail", // 83
    [isaac_typescript_definitions_1.CollectibleType.WE_NEED_TO_GO_DEEPER]: "We Need To Go Deeper!", // 84
    [isaac_typescript_definitions_1.CollectibleType.DECK_OF_CARDS]: "Deck of Cards", // 85
    [isaac_typescript_definitions_1.CollectibleType.MONSTROS_TOOTH]: "Monstro's Tooth", // 86
    [isaac_typescript_definitions_1.CollectibleType.LOKIS_HORNS]: "Loki's Horns", // 87
    [isaac_typescript_definitions_1.CollectibleType.LITTLE_CHUBBY]: "Little Chubby", // 88
    [isaac_typescript_definitions_1.CollectibleType.SPIDER_BITE]: "Spider Bite", // 89
    [isaac_typescript_definitions_1.CollectibleType.SMALL_ROCK]: "The Small Rock", // 90
    [isaac_typescript_definitions_1.CollectibleType.SPELUNKER_HAT]: "Spelunker Hat", // 91
    [isaac_typescript_definitions_1.CollectibleType.SUPER_BANDAGE]: "Super Bandage", // 92
    [isaac_typescript_definitions_1.CollectibleType.GAMEKID]: "The Gamekid", // 93
    [isaac_typescript_definitions_1.CollectibleType.SACK_OF_PENNIES]: "Sack of Pennies", // 94
    [isaac_typescript_definitions_1.CollectibleType.ROBO_BABY]: "Robo-Baby", // 95
    [isaac_typescript_definitions_1.CollectibleType.LITTLE_CHAD]: "Little C.H.A.D.", // 96
    [isaac_typescript_definitions_1.CollectibleType.BOOK_OF_SIN]: "The Book of Sin", // 97
    [isaac_typescript_definitions_1.CollectibleType.RELIC]: "The Relic", // 98
    [isaac_typescript_definitions_1.CollectibleType.LITTLE_GISH]: "Little Gish", // 99
    [isaac_typescript_definitions_1.CollectibleType.LITTLE_STEVEN]: "Little Steven", // 100
    [isaac_typescript_definitions_1.CollectibleType.HALO]: "The Halo", // 101
    [isaac_typescript_definitions_1.CollectibleType.MOMS_BOTTLE_OF_PILLS]: "Mom's Bottle of Pills", // 102
    [isaac_typescript_definitions_1.CollectibleType.COMMON_COLD]: "The Common Cold", // 103
    [isaac_typescript_definitions_1.CollectibleType.PARASITE]: "The Parasite", // 104
    [isaac_typescript_definitions_1.CollectibleType.D6]: "The D6", // 105
    [isaac_typescript_definitions_1.CollectibleType.MR_MEGA]: "Mr. Mega", // 106
    [isaac_typescript_definitions_1.CollectibleType.PINKING_SHEARS]: "The Pinking Shears", // 107
    [isaac_typescript_definitions_1.CollectibleType.WAFER]: "The Wafer", // 108
    [isaac_typescript_definitions_1.CollectibleType.MONEY_EQUALS_POWER]: "Money = Power", // 109
    [isaac_typescript_definitions_1.CollectibleType.MOMS_CONTACTS]: "Mom's Contacts", // 110
    [isaac_typescript_definitions_1.CollectibleType.BEAN]: "The Bean", // 111
    [isaac_typescript_definitions_1.CollectibleType.GUARDIAN_ANGEL]: "Guardian Angel", // 112
    [isaac_typescript_definitions_1.CollectibleType.DEMON_BABY]: "Demon Baby", // 113
    [isaac_typescript_definitions_1.CollectibleType.MOMS_KNIFE]: "Mom's Knife", // 114
    [isaac_typescript_definitions_1.CollectibleType.OUIJA_BOARD]: "Ouija Board", // 115
    [isaac_typescript_definitions_1.CollectibleType.NINE_VOLT]: "9 Volt", // 116
    [isaac_typescript_definitions_1.CollectibleType.DEAD_BIRD]: "Dead Bird", // 117
    [isaac_typescript_definitions_1.CollectibleType.BRIMSTONE]: "Brimstone", // 118
    [isaac_typescript_definitions_1.CollectibleType.BLOOD_BAG]: "Blood Bag", // 119
    [isaac_typescript_definitions_1.CollectibleType.ODD_MUSHROOM_THIN]: "Odd Mushroom", // 120
    [isaac_typescript_definitions_1.CollectibleType.ODD_MUSHROOM_LARGE]: "Odd Mushroom", // 121
    [isaac_typescript_definitions_1.CollectibleType.WHORE_OF_BABYLON]: "Whore of Babylon", // 122
    [isaac_typescript_definitions_1.CollectibleType.MONSTER_MANUAL]: "Monster Manual", // 123
    [isaac_typescript_definitions_1.CollectibleType.DEAD_SEA_SCROLLS]: "Dead Sea Scrolls", // 124
    [isaac_typescript_definitions_1.CollectibleType.BOBBY_BOMB]: "Bobby-Bomb", // 125
    [isaac_typescript_definitions_1.CollectibleType.RAZOR_BLADE]: "Razor Blade", // 126
    [isaac_typescript_definitions_1.CollectibleType.FORGET_ME_NOW]: "Forget Me Now", // 127
    [isaac_typescript_definitions_1.CollectibleType.FOREVER_ALONE]: "Forever Alone", // 128
    [isaac_typescript_definitions_1.CollectibleType.BUCKET_OF_LARD]: "Bucket of Lard", // 129
    [isaac_typescript_definitions_1.CollectibleType.PONY]: "A Pony", // 130
    [isaac_typescript_definitions_1.CollectibleType.BOMB_BAG]: "Bomb Bag", // 131
    [isaac_typescript_definitions_1.CollectibleType.LUMP_OF_COAL]: "A Lump of Coal", // 132
    [isaac_typescript_definitions_1.CollectibleType.GUPPYS_PAW]: "Guppy's Paw", // 133
    [isaac_typescript_definitions_1.CollectibleType.GUPPYS_TAIL]: "Guppy's Tail", // 134
    [isaac_typescript_definitions_1.CollectibleType.IV_BAG]: "IV Bag", // 135
    [isaac_typescript_definitions_1.CollectibleType.BEST_FRIEND]: "Best Friend", // 136
    [isaac_typescript_definitions_1.CollectibleType.REMOTE_DETONATOR]: "Remote Detonator", // 137
    [isaac_typescript_definitions_1.CollectibleType.STIGMATA]: "Stigmata", // 138
    [isaac_typescript_definitions_1.CollectibleType.MOMS_PURSE]: "Mom's Purse", // 139
    [isaac_typescript_definitions_1.CollectibleType.BOBS_CURSE]: "Bob's Curse", // 140
    [isaac_typescript_definitions_1.CollectibleType.PAGEANT_BOY]: "Pageant Boy", // 141
    [isaac_typescript_definitions_1.CollectibleType.SCAPULAR]: "Scapular", // 142
    [isaac_typescript_definitions_1.CollectibleType.SPEED_BALL]: "Speed Ball", // 143
    [isaac_typescript_definitions_1.CollectibleType.BUM_FRIEND]: "Bum Friend", // 144
    [isaac_typescript_definitions_1.CollectibleType.GUPPYS_HEAD]: "Guppy's Head", // 145
    [isaac_typescript_definitions_1.CollectibleType.PRAYER_CARD]: "Prayer Card", // 146
    [isaac_typescript_definitions_1.CollectibleType.NOTCHED_AXE]: "Notched Axe", // 147
    [isaac_typescript_definitions_1.CollectibleType.INFESTATION]: "Infestation", // 148
    [isaac_typescript_definitions_1.CollectibleType.IPECAC]: "Ipecac", // 149
    [isaac_typescript_definitions_1.CollectibleType.TOUGH_LOVE]: "Tough Love", // 150
    [isaac_typescript_definitions_1.CollectibleType.MULLIGAN]: "The Mulligan", // 151
    [isaac_typescript_definitions_1.CollectibleType.TECHNOLOGY_2]: "Technology 2", // 152
    [isaac_typescript_definitions_1.CollectibleType.MUTANT_SPIDER]: "Mutant Spider", // 153
    [isaac_typescript_definitions_1.CollectibleType.CHEMICAL_PEEL]: "Chemical Peel", // 154
    [isaac_typescript_definitions_1.CollectibleType.PEEPER]: "The Peeper", // 155
    [isaac_typescript_definitions_1.CollectibleType.HABIT]: "Habit", // 156
    [isaac_typescript_definitions_1.CollectibleType.BLOODY_LUST]: "Bloody Lust", // 157
    [isaac_typescript_definitions_1.CollectibleType.CRYSTAL_BALL]: "Crystal Ball", // 158
    [isaac_typescript_definitions_1.CollectibleType.SPIRIT_OF_THE_NIGHT]: "Spirit of the Night", // 159
    [isaac_typescript_definitions_1.CollectibleType.CRACK_THE_SKY]: "Crack the Sky", // 160
    [isaac_typescript_definitions_1.CollectibleType.ANKH]: "Ankh", // 161
    [isaac_typescript_definitions_1.CollectibleType.CELTIC_CROSS]: "Celtic Cross", // 162
    [isaac_typescript_definitions_1.CollectibleType.GHOST_BABY]: "Ghost Baby", // 163
    [isaac_typescript_definitions_1.CollectibleType.CANDLE]: "The Candle", // 164
    [isaac_typescript_definitions_1.CollectibleType.CAT_O_NINE_TAILS]: "Cat-o-nine-tails", // 165
    [isaac_typescript_definitions_1.CollectibleType.D20]: "D20", // 166
    [isaac_typescript_definitions_1.CollectibleType.HARLEQUIN_BABY]: "Harlequin Baby", // 167
    [isaac_typescript_definitions_1.CollectibleType.EPIC_FETUS]: "Epic Fetus", // 168
    [isaac_typescript_definitions_1.CollectibleType.POLYPHEMUS]: "Polyphemus", // 169
    [isaac_typescript_definitions_1.CollectibleType.DADDY_LONGLEGS]: "Daddy Longlegs", // 170
    [isaac_typescript_definitions_1.CollectibleType.SPIDER_BUTT]: "Spider Butt", // 171
    [isaac_typescript_definitions_1.CollectibleType.SACRIFICIAL_DAGGER]: "Sacrificial Dagger", // 172
    [isaac_typescript_definitions_1.CollectibleType.MITRE]: "Mitre", // 173
    [isaac_typescript_definitions_1.CollectibleType.RAINBOW_BABY]: "Rainbow Baby", // 174
    [isaac_typescript_definitions_1.CollectibleType.DADS_KEY]: "Dad's Key", // 175
    [isaac_typescript_definitions_1.CollectibleType.STEM_CELLS]: "Stem Cells", // 176
    [isaac_typescript_definitions_1.CollectibleType.PORTABLE_SLOT]: "Portable Slot", // 177
    [isaac_typescript_definitions_1.CollectibleType.HOLY_WATER]: "Holy Water", // 178
    [isaac_typescript_definitions_1.CollectibleType.FATE]: "Fate", // 179
    [isaac_typescript_definitions_1.CollectibleType.BLACK_BEAN]: "The Black Bean", // 180
    [isaac_typescript_definitions_1.CollectibleType.WHITE_PONY]: "White Pony", // 181
    [isaac_typescript_definitions_1.CollectibleType.SACRED_HEART]: "Sacred Heart", // 182
    [isaac_typescript_definitions_1.CollectibleType.TOOTH_PICKS]: "Tooth Picks", // 183
    [isaac_typescript_definitions_1.CollectibleType.HOLY_GRAIL]: "Holy Grail", // 184
    [isaac_typescript_definitions_1.CollectibleType.DEAD_DOVE]: "Dead Dove", // 185
    [isaac_typescript_definitions_1.CollectibleType.BLOOD_RIGHTS]: "Blood Rights", // 186
    [isaac_typescript_definitions_1.CollectibleType.GUPPYS_HAIRBALL]: "Guppy's Hairball", // 187
    [isaac_typescript_definitions_1.CollectibleType.ABEL]: "Abel", // 188
    [isaac_typescript_definitions_1.CollectibleType.SMB_SUPER_FAN]: "SMB Super Fan", // 189
    [isaac_typescript_definitions_1.CollectibleType.PYRO]: "Pyro", // 190
    [isaac_typescript_definitions_1.CollectibleType.THREE_DOLLAR_BILL]: "3 Dollar Bill", // 191
    [isaac_typescript_definitions_1.CollectibleType.TELEPATHY_BOOK]: "Telepathy For Dummies", // 192
    [isaac_typescript_definitions_1.CollectibleType.MEAT]: "MEAT!", // 193
    [isaac_typescript_definitions_1.CollectibleType.MAGIC_8_BALL]: "Magic 8 Ball", // 194
    [isaac_typescript_definitions_1.CollectibleType.MOMS_COIN_PURSE]: "Mom's Coin Purse", // 195
    [isaac_typescript_definitions_1.CollectibleType.SQUEEZY]: "Squeezy", // 196
    [isaac_typescript_definitions_1.CollectibleType.JESUS_JUICE]: "Jesus Juice", // 197
    [isaac_typescript_definitions_1.CollectibleType.BOX]: "Box", // 198
    [isaac_typescript_definitions_1.CollectibleType.MOMS_KEY]: "Mom's Key", // 199
    [isaac_typescript_definitions_1.CollectibleType.MOMS_EYESHADOW]: "Mom's Eyeshadow", // 200
    [isaac_typescript_definitions_1.CollectibleType.IRON_BAR]: "Iron Bar", // 201
    [isaac_typescript_definitions_1.CollectibleType.MIDAS_TOUCH]: "Midas' Touch", // 202
    [isaac_typescript_definitions_1.CollectibleType.HUMBLEING_BUNDLE]: "Humbleing Bundle", // 203
    [isaac_typescript_definitions_1.CollectibleType.FANNY_PACK]: "Fanny Pack", // 204
    [isaac_typescript_definitions_1.CollectibleType.SHARP_PLUG]: "Sharp Plug", // 205
    [isaac_typescript_definitions_1.CollectibleType.GUILLOTINE]: "Guillotine", // 206
    [isaac_typescript_definitions_1.CollectibleType.BALL_OF_BANDAGES]: "Ball of Bandages", // 207
    [isaac_typescript_definitions_1.CollectibleType.CHAMPION_BELT]: "Champion Belt", // 208
    [isaac_typescript_definitions_1.CollectibleType.BUTT_BOMBS]: "Butt Bombs", // 209
    [isaac_typescript_definitions_1.CollectibleType.GNAWED_LEAF]: "Gnawed Leaf", // 210
    [isaac_typescript_definitions_1.CollectibleType.SPIDERBABY]: "Spiderbaby", // 211
    [isaac_typescript_definitions_1.CollectibleType.GUPPYS_COLLAR]: "Guppy's Collar", // 212
    [isaac_typescript_definitions_1.CollectibleType.LOST_CONTACT]: "Lost Contact", // 213
    [isaac_typescript_definitions_1.CollectibleType.ANEMIC]: "Anemic", // 214
    [isaac_typescript_definitions_1.CollectibleType.GOAT_HEAD]: "Goat Head", // 215
    [isaac_typescript_definitions_1.CollectibleType.CEREMONIAL_ROBES]: "Ceremonial Robes", // 216
    [isaac_typescript_definitions_1.CollectibleType.MOMS_WIG]: "Mom's Wig", // 217
    [isaac_typescript_definitions_1.CollectibleType.PLACENTA]: "Placenta", // 218
    [isaac_typescript_definitions_1.CollectibleType.OLD_BANDAGE]: "Old Bandage", // 219
    [isaac_typescript_definitions_1.CollectibleType.SAD_BOMBS]: "Sad Bombs", // 220
    [isaac_typescript_definitions_1.CollectibleType.RUBBER_CEMENT]: "Rubber Cement", // 221
    [isaac_typescript_definitions_1.CollectibleType.ANTI_GRAVITY]: "Anti-Gravity", // 222
    [isaac_typescript_definitions_1.CollectibleType.PYROMANIAC]: "Pyromaniac", // 223
    [isaac_typescript_definitions_1.CollectibleType.CRICKETS_BODY]: "Cricket's Body", // 224
    [isaac_typescript_definitions_1.CollectibleType.GIMPY]: "Gimpy", // 225
    [isaac_typescript_definitions_1.CollectibleType.BLACK_LOTUS]: "Black Lotus", // 226
    [isaac_typescript_definitions_1.CollectibleType.PIGGY_BANK]: "Piggy Bank", // 227
    [isaac_typescript_definitions_1.CollectibleType.MOMS_PERFUME]: "Mom's Perfume", // 228
    [isaac_typescript_definitions_1.CollectibleType.MONSTROS_LUNG]: "Monstro's Lung", // 229
    [isaac_typescript_definitions_1.CollectibleType.ABADDON]: "Abaddon", // 230
    [isaac_typescript_definitions_1.CollectibleType.BALL_OF_TAR]: "Ball of Tar", // 231
    [isaac_typescript_definitions_1.CollectibleType.STOP_WATCH]: "Stop Watch", // 232
    [isaac_typescript_definitions_1.CollectibleType.TINY_PLANET]: "Tiny Planet", // 233
    [isaac_typescript_definitions_1.CollectibleType.INFESTATION_2]: "Infestation 2", // 234
    // There is no `CollectibleType` with a value of 235.
    [isaac_typescript_definitions_1.CollectibleType.E_COLI]: "E. Coli", // 236
    [isaac_typescript_definitions_1.CollectibleType.DEATHS_TOUCH]: "Death's Touch", // 237
    [isaac_typescript_definitions_1.CollectibleType.KEY_PIECE_1]: "Key Piece 1", // 238
    [isaac_typescript_definitions_1.CollectibleType.KEY_PIECE_2]: "Key Piece 2", // 239
    [isaac_typescript_definitions_1.CollectibleType.EXPERIMENTAL_TREATMENT]: "Experimental Treatment", // 240
    [isaac_typescript_definitions_1.CollectibleType.CONTRACT_FROM_BELOW]: "Contract from Below", // 241
    [isaac_typescript_definitions_1.CollectibleType.INFAMY]: "Infamy", // 242
    [isaac_typescript_definitions_1.CollectibleType.TRINITY_SHIELD]: "Trinity Shield", // 243
    [isaac_typescript_definitions_1.CollectibleType.TECH_5]: "Tech.5", // 244
    [isaac_typescript_definitions_1.CollectibleType.TWENTY_TWENTY]: "20/20", // 245
    [isaac_typescript_definitions_1.CollectibleType.BLUE_MAP]: "Blue Map", // 246
    [isaac_typescript_definitions_1.CollectibleType.BFFS]: "BFFS!", // 247
    [isaac_typescript_definitions_1.CollectibleType.HIVE_MIND]: "Hive Mind", // 248
    [isaac_typescript_definitions_1.CollectibleType.THERES_OPTIONS]: "There's Options", // 249
    [isaac_typescript_definitions_1.CollectibleType.BOGO_BOMBS]: "BOGO Bombs", // 250
    [isaac_typescript_definitions_1.CollectibleType.STARTER_DECK]: "Starter Deck", // 251
    [isaac_typescript_definitions_1.CollectibleType.LITTLE_BAGGY]: "Little Baggy", // 252
    [isaac_typescript_definitions_1.CollectibleType.MAGIC_SCAB]: "Magic Scab", // 253
    [isaac_typescript_definitions_1.CollectibleType.BLOOD_CLOT]: "Blood Clot", // 254
    [isaac_typescript_definitions_1.CollectibleType.SCREW]: "Screw", // 255
    [isaac_typescript_definitions_1.CollectibleType.HOT_BOMBS]: "Hot Bombs", // 256
    [isaac_typescript_definitions_1.CollectibleType.FIRE_MIND]: "Fire Mind", // 257
    [isaac_typescript_definitions_1.CollectibleType.MISSING_NO]: "Missing No.", // 258
    [isaac_typescript_definitions_1.CollectibleType.DARK_MATTER]: "Dark Matter", // 259
    [isaac_typescript_definitions_1.CollectibleType.BLACK_CANDLE]: "Black Candle", // 260
    [isaac_typescript_definitions_1.CollectibleType.PROPTOSIS]: "Proptosis", // 261
    [isaac_typescript_definitions_1.CollectibleType.MISSING_PAGE_2]: "Missing Page 2", // 262
    [isaac_typescript_definitions_1.CollectibleType.CLEAR_RUNE]: "Clear Rune", // 263
    [isaac_typescript_definitions_1.CollectibleType.SMART_FLY]: "Smart Fly", // 264
    [isaac_typescript_definitions_1.CollectibleType.DRY_BABY]: "Dry Baby", // 265
    [isaac_typescript_definitions_1.CollectibleType.JUICY_SACK]: "Juicy Sack", // 266
    [isaac_typescript_definitions_1.CollectibleType.ROBO_BABY_2]: "Robo-Baby 2.0", // 267
    [isaac_typescript_definitions_1.CollectibleType.ROTTEN_BABY]: "Rotten Baby", // 268
    [isaac_typescript_definitions_1.CollectibleType.HEADLESS_BABY]: "Headless Baby", // 269
    [isaac_typescript_definitions_1.CollectibleType.LEECH]: "Leech", // 270
    [isaac_typescript_definitions_1.CollectibleType.MYSTERY_SACK]: "Mystery Sack", // 271
    [isaac_typescript_definitions_1.CollectibleType.BBF]: "BBF", // 272
    [isaac_typescript_definitions_1.CollectibleType.BOBS_BRAIN]: "Bob's Brain", // 273
    [isaac_typescript_definitions_1.CollectibleType.BEST_BUD]: "Best Bud", // 274
    [isaac_typescript_definitions_1.CollectibleType.LIL_BRIMSTONE]: "Lil Brimstone", // 275
    [isaac_typescript_definitions_1.CollectibleType.ISAACS_HEART]: "Isaac's Heart", // 276
    [isaac_typescript_definitions_1.CollectibleType.LIL_HAUNT]: "Lil Haunt", // 277
    [isaac_typescript_definitions_1.CollectibleType.DARK_BUM]: "Dark Bum", // 278
    [isaac_typescript_definitions_1.CollectibleType.BIG_FAN]: "Big Fan", // 279
    [isaac_typescript_definitions_1.CollectibleType.SISSY_LONGLEGS]: "Sissy Longlegs", // 280
    [isaac_typescript_definitions_1.CollectibleType.PUNCHING_BAG]: "Punching Bag", // 281
    [isaac_typescript_definitions_1.CollectibleType.HOW_TO_JUMP]: "How to Jump", // 282
    [isaac_typescript_definitions_1.CollectibleType.D100]: "D100", // 283
    [isaac_typescript_definitions_1.CollectibleType.D4]: "D4", // 284
    [isaac_typescript_definitions_1.CollectibleType.D10]: "D10", // 285
    [isaac_typescript_definitions_1.CollectibleType.BLANK_CARD]: "Blank Card", // 286
    [isaac_typescript_definitions_1.CollectibleType.BOOK_OF_SECRETS]: "Book of Secrets", // 287
    [isaac_typescript_definitions_1.CollectibleType.BOX_OF_SPIDERS]: "Box of Spiders", // 288
    [isaac_typescript_definitions_1.CollectibleType.RED_CANDLE]: "Red Candle", // 289
    [isaac_typescript_definitions_1.CollectibleType.JAR]: "The Jar", // 290
    [isaac_typescript_definitions_1.CollectibleType.FLUSH]: "Flush!", // 291
    [isaac_typescript_definitions_1.CollectibleType.SATANIC_BIBLE]: "Satanic Bible", // 292
    [isaac_typescript_definitions_1.CollectibleType.HEAD_OF_KRAMPUS]: "Head of Krampus", // 293
    [isaac_typescript_definitions_1.CollectibleType.BUTTER_BEAN]: "Butter Bean", // 294
    [isaac_typescript_definitions_1.CollectibleType.MAGIC_FINGERS]: "Magic Fingers", // 295
    [isaac_typescript_definitions_1.CollectibleType.CONVERTER]: "Converter", // 296
    [isaac_typescript_definitions_1.CollectibleType.BLUE_BOX]: "Pandora's Box", // 297
    [isaac_typescript_definitions_1.CollectibleType.UNICORN_STUMP]: "Unicorn Stump", // 298
    [isaac_typescript_definitions_1.CollectibleType.TAURUS]: "Taurus", // 299
    [isaac_typescript_definitions_1.CollectibleType.ARIES]: "Aries", // 300
    [isaac_typescript_definitions_1.CollectibleType.CANCER]: "Cancer", // 301
    [isaac_typescript_definitions_1.CollectibleType.LEO]: "Leo", // 302
    [isaac_typescript_definitions_1.CollectibleType.VIRGO]: "Virgo", // 303
    [isaac_typescript_definitions_1.CollectibleType.LIBRA]: "Libra", // 304
    [isaac_typescript_definitions_1.CollectibleType.SCORPIO]: "Scorpio", // 305
    [isaac_typescript_definitions_1.CollectibleType.SAGITTARIUS]: "Sagittarius", // 306
    [isaac_typescript_definitions_1.CollectibleType.CAPRICORN]: "Capricorn", // 307
    [isaac_typescript_definitions_1.CollectibleType.AQUARIUS]: "Aquarius", // 308
    [isaac_typescript_definitions_1.CollectibleType.PISCES]: "Pisces", // 309
    [isaac_typescript_definitions_1.CollectibleType.EVES_MASCARA]: "Eve's Mascara", // 310
    [isaac_typescript_definitions_1.CollectibleType.JUDAS_SHADOW]: "Judas' Shadow", // 311
    [isaac_typescript_definitions_1.CollectibleType.MAGGYS_BOW]: "Maggy's Bow", // 312
    [isaac_typescript_definitions_1.CollectibleType.HOLY_MANTLE]: "Holy Mantle", // 313
    [isaac_typescript_definitions_1.CollectibleType.THUNDER_THIGHS]: "Thunder Thighs", // 314
    [isaac_typescript_definitions_1.CollectibleType.STRANGE_ATTRACTOR]: "Strange Attractor", // 315
    [isaac_typescript_definitions_1.CollectibleType.CURSED_EYE]: "Cursed Eye", // 316
    [isaac_typescript_definitions_1.CollectibleType.MYSTERIOUS_LIQUID]: "Mysterious Liquid", // 317
    [isaac_typescript_definitions_1.CollectibleType.GEMINI]: "Gemini", // 318
    [isaac_typescript_definitions_1.CollectibleType.CAINS_OTHER_EYE]: "Cain's Other Eye", // 319
    [isaac_typescript_definitions_1.CollectibleType.BLUE_BABYS_ONLY_FRIEND]: "???'s Only Friend", // 320
    [isaac_typescript_definitions_1.CollectibleType.SAMSONS_CHAINS]: "Samson's Chains", // 321
    [isaac_typescript_definitions_1.CollectibleType.MONGO_BABY]: "Mongo Baby", // 322
    [isaac_typescript_definitions_1.CollectibleType.ISAACS_TEARS]: "Isaac's Tears", // 323
    [isaac_typescript_definitions_1.CollectibleType.UNDEFINED]: "Undefined", // 324
    [isaac_typescript_definitions_1.CollectibleType.SCISSORS]: "Scissors", // 325
    [isaac_typescript_definitions_1.CollectibleType.BREATH_OF_LIFE]: "Breath of Life", // 326
    [isaac_typescript_definitions_1.CollectibleType.POLAROID]: "The Polaroid", // 327
    [isaac_typescript_definitions_1.CollectibleType.NEGATIVE]: "The Negative", // 328
    [isaac_typescript_definitions_1.CollectibleType.LUDOVICO_TECHNIQUE]: "The Ludovico Technique", // 329
    [isaac_typescript_definitions_1.CollectibleType.SOY_MILK]: "Soy Milk", // 330
    [isaac_typescript_definitions_1.CollectibleType.GODHEAD]: "Godhead", // 331
    [isaac_typescript_definitions_1.CollectibleType.LAZARUS_RAGS]: "Lazarus' Rags", // 332
    [isaac_typescript_definitions_1.CollectibleType.MIND]: "The Mind", // 333
    [isaac_typescript_definitions_1.CollectibleType.BODY]: "The Body", // 334
    [isaac_typescript_definitions_1.CollectibleType.SOUL]: "The Soul", // 335
    [isaac_typescript_definitions_1.CollectibleType.DEAD_ONION]: "Dead Onion", // 336
    [isaac_typescript_definitions_1.CollectibleType.BROKEN_WATCH]: "Broken Watch", // 337
    [isaac_typescript_definitions_1.CollectibleType.BOOMERANG]: "The Boomerang", // 338
    [isaac_typescript_definitions_1.CollectibleType.SAFETY_PIN]: "Safety Pin", // 339
    [isaac_typescript_definitions_1.CollectibleType.CAFFEINE_PILL]: "Caffeine Pill", // 340
    [isaac_typescript_definitions_1.CollectibleType.TORN_PHOTO]: "Torn Photo", // 341
    [isaac_typescript_definitions_1.CollectibleType.BLUE_CAP]: "Blue Cap", // 342
    [isaac_typescript_definitions_1.CollectibleType.LATCH_KEY]: "Latch Key", // 343
    [isaac_typescript_definitions_1.CollectibleType.MATCH_BOOK]: "Match Book", // 344
    [isaac_typescript_definitions_1.CollectibleType.SYNTHOIL]: "Synthoil", // 345
    [isaac_typescript_definitions_1.CollectibleType.SNACK]: "A Snack", // 346
    [isaac_typescript_definitions_1.CollectibleType.DIPLOPIA]: "Diplopia", // 347
    [isaac_typescript_definitions_1.CollectibleType.PLACEBO]: "Placebo", // 348
    [isaac_typescript_definitions_1.CollectibleType.WOODEN_NICKEL]: "Wooden Nickel", // 349
    [isaac_typescript_definitions_1.CollectibleType.TOXIC_SHOCK]: "Toxic Shock", // 350
    [isaac_typescript_definitions_1.CollectibleType.MEGA_BEAN]: "Mega Bean", // 351
    [isaac_typescript_definitions_1.CollectibleType.GLASS_CANNON]: "Glass Cannon", // 352
    [isaac_typescript_definitions_1.CollectibleType.BOMBER_BOY]: "Bomber Boy", // 353
    [isaac_typescript_definitions_1.CollectibleType.CRACK_JACKS]: "Crack Jacks", // 354
    [isaac_typescript_definitions_1.CollectibleType.MOMS_PEARLS]: "Mom's Pearls", // 355
    [isaac_typescript_definitions_1.CollectibleType.CAR_BATTERY]: "Car Battery", // 356
    [isaac_typescript_definitions_1.CollectibleType.BOX_OF_FRIENDS]: "Box of Friends", // 357
    [isaac_typescript_definitions_1.CollectibleType.WIZ]: "The Wiz", // 358
    [isaac_typescript_definitions_1.CollectibleType.EIGHT_INCH_NAILS]: "8 Inch Nails", // 359
    [isaac_typescript_definitions_1.CollectibleType.INCUBUS]: "Incubus", // 360
    [isaac_typescript_definitions_1.CollectibleType.FATES_REWARD]: "Fate's Reward", // 361
    [isaac_typescript_definitions_1.CollectibleType.LIL_CHEST]: "Lil Chest", // 362
    [isaac_typescript_definitions_1.CollectibleType.SWORN_PROTECTOR]: "Sworn Protector", // 363
    [isaac_typescript_definitions_1.CollectibleType.FRIEND_ZONE]: "Friend Zone", // 364
    [isaac_typescript_definitions_1.CollectibleType.LOST_FLY]: "Lost Fly", // 365
    [isaac_typescript_definitions_1.CollectibleType.SCATTER_BOMBS]: "Scatter Bombs", // 366
    [isaac_typescript_definitions_1.CollectibleType.STICKY_BOMBS]: "Sticky Bombs", // 367
    [isaac_typescript_definitions_1.CollectibleType.EPIPHORA]: "Epiphora", // 368
    [isaac_typescript_definitions_1.CollectibleType.CONTINUUM]: "Continuum", // 369
    [isaac_typescript_definitions_1.CollectibleType.MR_DOLLY]: "Mr. Dolly", // 370
    [isaac_typescript_definitions_1.CollectibleType.CURSE_OF_THE_TOWER]: "Curse of the Tower", // 371
    [isaac_typescript_definitions_1.CollectibleType.CHARGED_BABY]: "Charged Baby", // 372
    [isaac_typescript_definitions_1.CollectibleType.DEAD_EYE]: "Dead Eye", // 373
    [isaac_typescript_definitions_1.CollectibleType.HOLY_LIGHT]: "Holy Light", // 374
    [isaac_typescript_definitions_1.CollectibleType.HOST_HAT]: "Host Hat", // 375
    [isaac_typescript_definitions_1.CollectibleType.RESTOCK]: "Restock", // 376
    [isaac_typescript_definitions_1.CollectibleType.BURSTING_SACK]: "Bursting Sack", // 377
    [isaac_typescript_definitions_1.CollectibleType.NUMBER_TWO]: "Number Two", // 378
    [isaac_typescript_definitions_1.CollectibleType.PUPULA_DUPLEX]: "Pupula Duplex", // 379
    [isaac_typescript_definitions_1.CollectibleType.PAY_TO_PLAY]: "Pay To Play", // 380
    [isaac_typescript_definitions_1.CollectibleType.EDENS_BLESSING]: "Eden's Blessing", // 381
    [isaac_typescript_definitions_1.CollectibleType.FRIEND_BALL]: "Friendly Ball", // 382
    [isaac_typescript_definitions_1.CollectibleType.TEAR_DETONATOR]: "Tear Detonator", // 383
    [isaac_typescript_definitions_1.CollectibleType.LIL_GURDY]: "Lil Gurdy", // 384
    [isaac_typescript_definitions_1.CollectibleType.BUMBO]: "Bumbo", // 385
    [isaac_typescript_definitions_1.CollectibleType.D12]: "D12", // 386
    [isaac_typescript_definitions_1.CollectibleType.CENSER]: "Censer", // 387
    [isaac_typescript_definitions_1.CollectibleType.KEY_BUM]: "Key Bum", // 388
    [isaac_typescript_definitions_1.CollectibleType.RUNE_BAG]: "Rune Bag", // 389
    [isaac_typescript_definitions_1.CollectibleType.SERAPHIM]: "Seraphim", // 390
    [isaac_typescript_definitions_1.CollectibleType.BETRAYAL]: "Betrayal", // 391
    [isaac_typescript_definitions_1.CollectibleType.ZODIAC]: "Zodiac", // 392
    [isaac_typescript_definitions_1.CollectibleType.SERPENTS_KISS]: "Serpent's Kiss", // 393
    [isaac_typescript_definitions_1.CollectibleType.MARKED]: "Marked", // 394
    [isaac_typescript_definitions_1.CollectibleType.TECH_X]: "Tech X", // 395
    [isaac_typescript_definitions_1.CollectibleType.VENTRICLE_RAZOR]: "Ventricle Razor", // 396
    [isaac_typescript_definitions_1.CollectibleType.TRACTOR_BEAM]: "Tractor Beam", // 397
    [isaac_typescript_definitions_1.CollectibleType.GODS_FLESH]: "God's Flesh", // 398
    [isaac_typescript_definitions_1.CollectibleType.MAW_OF_THE_VOID]: "Maw of the Void", // 399
    [isaac_typescript_definitions_1.CollectibleType.SPEAR_OF_DESTINY]: "Spear of Destiny", // 400
    [isaac_typescript_definitions_1.CollectibleType.EXPLOSIVO]: "Explosivo", // 401
    [isaac_typescript_definitions_1.CollectibleType.CHAOS]: "Chaos", // 402
    [isaac_typescript_definitions_1.CollectibleType.SPIDER_MOD]: "Spider Mod", // 403
    [isaac_typescript_definitions_1.CollectibleType.FARTING_BABY]: "Farting Baby", // 404
    [isaac_typescript_definitions_1.CollectibleType.GB_BUG]: "GB Bug", // 405
    [isaac_typescript_definitions_1.CollectibleType.D8]: "D8", // 406
    [isaac_typescript_definitions_1.CollectibleType.PURITY]: "Purity", // 407
    [isaac_typescript_definitions_1.CollectibleType.ATHAME]: "Athame", // 408
    [isaac_typescript_definitions_1.CollectibleType.EMPTY_VESSEL]: "Empty Vessel", // 409
    [isaac_typescript_definitions_1.CollectibleType.EVIL_EYE]: "Evil Eye", // 410
    [isaac_typescript_definitions_1.CollectibleType.LUSTY_BLOOD]: "Lusty Blood", // 411
    [isaac_typescript_definitions_1.CollectibleType.CAMBION_CONCEPTION]: "Cambion Conception", // 412
    [isaac_typescript_definitions_1.CollectibleType.IMMACULATE_CONCEPTION]: "Immaculate Conception", // 413
    [isaac_typescript_definitions_1.CollectibleType.MORE_OPTIONS]: "More Options", // 414
    [isaac_typescript_definitions_1.CollectibleType.CROWN_OF_LIGHT]: "Crown of Light", // 415
    [isaac_typescript_definitions_1.CollectibleType.DEEP_POCKETS]: "Deep Pockets", // 416
    [isaac_typescript_definitions_1.CollectibleType.SUCCUBUS]: "Succubus", // 417
    [isaac_typescript_definitions_1.CollectibleType.FRUIT_CAKE]: "Fruit Cake", // 418
    [isaac_typescript_definitions_1.CollectibleType.TELEPORT_2]: "Teleport 2.0", // 419
    [isaac_typescript_definitions_1.CollectibleType.BLACK_POWDER]: "Black Powder", // 420
    [isaac_typescript_definitions_1.CollectibleType.KIDNEY_BEAN]: "Kidney Bean", // 421
    [isaac_typescript_definitions_1.CollectibleType.GLOWING_HOUR_GLASS]: "Glowing Hourglass", // 422
    [isaac_typescript_definitions_1.CollectibleType.CIRCLE_OF_PROTECTION]: "Circle of Protection", // 423
    [isaac_typescript_definitions_1.CollectibleType.SACK_HEAD]: "Sack Head", // 424
    [isaac_typescript_definitions_1.CollectibleType.NIGHT_LIGHT]: "Night Light", // 425
    [isaac_typescript_definitions_1.CollectibleType.OBSESSED_FAN]: "Obsessed Fan", // 426
    [isaac_typescript_definitions_1.CollectibleType.MINE_CRAFTER]: "Mine Crafter", // 427
    [isaac_typescript_definitions_1.CollectibleType.PJS]: "PJs", // 428
    [isaac_typescript_definitions_1.CollectibleType.HEAD_OF_THE_KEEPER]: "Head of the Keeper", // 429
    [isaac_typescript_definitions_1.CollectibleType.PAPA_FLY]: "Papa Fly", // 430
    [isaac_typescript_definitions_1.CollectibleType.MULTIDIMENSIONAL_BABY]: "Multidimensional Baby", // 431
    [isaac_typescript_definitions_1.CollectibleType.GLITTER_BOMBS]: "Glitter Bombs", // 432
    [isaac_typescript_definitions_1.CollectibleType.MY_SHADOW]: "My Shadow", // 433
    [isaac_typescript_definitions_1.CollectibleType.JAR_OF_FLIES]: "Jar of Flies", // 434
    [isaac_typescript_definitions_1.CollectibleType.LIL_LOKI]: "Lil Loki", // 435
    [isaac_typescript_definitions_1.CollectibleType.MILK]: "Milk!", // 436
    [isaac_typescript_definitions_1.CollectibleType.D7]: "D7", // 437
    [isaac_typescript_definitions_1.CollectibleType.BINKY]: "Binky", // 438
    [isaac_typescript_definitions_1.CollectibleType.MOMS_BOX]: "Mom's Box", // 439
    [isaac_typescript_definitions_1.CollectibleType.KIDNEY_STONE]: "Kidney Stone", // 440
    [isaac_typescript_definitions_1.CollectibleType.MEGA_BLAST]: "Mega Blast", // 441
    [isaac_typescript_definitions_1.CollectibleType.DARK_PRINCES_CROWN]: "Dark Prince's Crown", // 442
    [isaac_typescript_definitions_1.CollectibleType.APPLE]: "Apple!", // 443
    [isaac_typescript_definitions_1.CollectibleType.LEAD_PENCIL]: "Lead Pencil", // 444
    [isaac_typescript_definitions_1.CollectibleType.DOG_TOOTH]: "Dog Tooth", // 445
    [isaac_typescript_definitions_1.CollectibleType.DEAD_TOOTH]: "Dead Tooth", // 446
    [isaac_typescript_definitions_1.CollectibleType.LINGER_BEAN]: "Linger Bean", // 447
    [isaac_typescript_definitions_1.CollectibleType.SHARD_OF_GLASS]: "Shard of Glass", // 448
    [isaac_typescript_definitions_1.CollectibleType.METAL_PLATE]: "Metal Plate", // 449
    [isaac_typescript_definitions_1.CollectibleType.EYE_OF_GREED]: "Eye of Greed", // 450
    [isaac_typescript_definitions_1.CollectibleType.TAROT_CLOTH]: "Tarot Cloth", // 451
    [isaac_typescript_definitions_1.CollectibleType.VARICOSE_VEINS]: "Varicose Veins", // 452
    [isaac_typescript_definitions_1.CollectibleType.COMPOUND_FRACTURE]: "Compound Fracture", // 453
    [isaac_typescript_definitions_1.CollectibleType.POLYDACTYLY]: "Polydactyly", // 454
    [isaac_typescript_definitions_1.CollectibleType.DADS_LOST_COIN]: "Dad's Lost Coin", // 455
    [isaac_typescript_definitions_1.CollectibleType.MIDNIGHT_SNACK]: "Midnight Snack", // 456
    [isaac_typescript_definitions_1.CollectibleType.CONE_HEAD]: "Cone Head", // 457
    [isaac_typescript_definitions_1.CollectibleType.BELLY_BUTTON]: "Belly Button", // 458
    [isaac_typescript_definitions_1.CollectibleType.SINUS_INFECTION]: "Sinus Infection", // 459
    [isaac_typescript_definitions_1.CollectibleType.GLAUCOMA]: "Glaucoma", // 460
    [isaac_typescript_definitions_1.CollectibleType.PARASITOID]: "Parasitoid", // 461
    [isaac_typescript_definitions_1.CollectibleType.EYE_OF_BELIAL]: "Eye of Belial", // 462
    [isaac_typescript_definitions_1.CollectibleType.SULFURIC_ACID]: "Sulfuric Acid", // 463
    [isaac_typescript_definitions_1.CollectibleType.GLYPH_OF_BALANCE]: "Glyph of Balance", // 464
    [isaac_typescript_definitions_1.CollectibleType.ANALOG_STICK]: "Analog Stick", // 465
    [isaac_typescript_definitions_1.CollectibleType.CONTAGION]: "Contagion", // 466
    [isaac_typescript_definitions_1.CollectibleType.FINGER]: "Finger!", // 467
    [isaac_typescript_definitions_1.CollectibleType.SHADE]: "Shade", // 468
    [isaac_typescript_definitions_1.CollectibleType.DEPRESSION]: "Depression", // 469
    [isaac_typescript_definitions_1.CollectibleType.HUSHY]: "Hushy", // 470
    [isaac_typescript_definitions_1.CollectibleType.LIL_MONSTRO]: "Lil Monstro", // 471
    [isaac_typescript_definitions_1.CollectibleType.KING_BABY]: "King Baby", // 472
    [isaac_typescript_definitions_1.CollectibleType.BIG_CHUBBY]: "Big Chubby", // 473
    [isaac_typescript_definitions_1.CollectibleType.BROKEN_GLASS_CANNON]: "Broken Glass Cannon", // 474
    [isaac_typescript_definitions_1.CollectibleType.PLAN_C]: "Plan C", // 475
    [isaac_typescript_definitions_1.CollectibleType.D1]: "D1", // 476
    [isaac_typescript_definitions_1.CollectibleType.VOID]: "Void", // 477
    [isaac_typescript_definitions_1.CollectibleType.PAUSE]: "Pause", // 478
    [isaac_typescript_definitions_1.CollectibleType.SMELTER]: "Smelter", // 479
    [isaac_typescript_definitions_1.CollectibleType.COMPOST]: "Compost", // 480
    [isaac_typescript_definitions_1.CollectibleType.DATAMINER]: "Dataminer", // 481
    [isaac_typescript_definitions_1.CollectibleType.CLICKER]: "Clicker", // 482
    [isaac_typescript_definitions_1.CollectibleType.MAMA_MEGA]: "Mama Mega!", // 483
    [isaac_typescript_definitions_1.CollectibleType.WAIT_WHAT]: "Wait What?", // 484
    [isaac_typescript_definitions_1.CollectibleType.CROOKED_PENNY]: "Crooked Penny", // 485
    [isaac_typescript_definitions_1.CollectibleType.DULL_RAZOR]: "Dull Razor", // 486
    [isaac_typescript_definitions_1.CollectibleType.POTATO_PEELER]: "Potato Peeler", // 487
    [isaac_typescript_definitions_1.CollectibleType.METRONOME]: "Metronome", // 488
    [isaac_typescript_definitions_1.CollectibleType.D_INFINITY]: "D infinity", // 489
    [isaac_typescript_definitions_1.CollectibleType.EDENS_SOUL]: "Eden's Soul", // 490
    [isaac_typescript_definitions_1.CollectibleType.ACID_BABY]: "Acid Baby", // 491
    [isaac_typescript_definitions_1.CollectibleType.YO_LISTEN]: "YO LISTEN!", // 492
    [isaac_typescript_definitions_1.CollectibleType.ADRENALINE]: "Adrenaline", // 493
    [isaac_typescript_definitions_1.CollectibleType.JACOBS_LADDER]: "Jacob's Ladder", // 494
    [isaac_typescript_definitions_1.CollectibleType.GHOST_PEPPER]: "Ghost Pepper", // 495
    [isaac_typescript_definitions_1.CollectibleType.EUTHANASIA]: "Euthanasia", // 496
    [isaac_typescript_definitions_1.CollectibleType.CAMO_UNDIES]: "Camo Undies", // 497
    [isaac_typescript_definitions_1.CollectibleType.DUALITY]: "Duality", // 498
    [isaac_typescript_definitions_1.CollectibleType.EUCHARIST]: "Eucharist", // 499
    [isaac_typescript_definitions_1.CollectibleType.SACK_OF_SACKS]: "Sack of Sacks", // 500
    [isaac_typescript_definitions_1.CollectibleType.GREEDS_GULLET]: "Greed's Gullet", // 501
    [isaac_typescript_definitions_1.CollectibleType.LARGE_ZIT]: "Large Zit", // 502
    [isaac_typescript_definitions_1.CollectibleType.LITTLE_HORN]: "Little Horn", // 503
    [isaac_typescript_definitions_1.CollectibleType.BROWN_NUGGET]: "Brown Nugget", // 504
    [isaac_typescript_definitions_1.CollectibleType.POKE_GO]: "Poke Go", // 505
    [isaac_typescript_definitions_1.CollectibleType.BACKSTABBER]: "Backstabber", // 506
    [isaac_typescript_definitions_1.CollectibleType.SHARP_STRAW]: "Sharp Straw", // 507
    [isaac_typescript_definitions_1.CollectibleType.MOMS_RAZOR]: "Mom's Razor", // 508
    [isaac_typescript_definitions_1.CollectibleType.BLOODSHOT_EYE]: "Bloodshot Eye", // 509
    [isaac_typescript_definitions_1.CollectibleType.DELIRIOUS]: "Delirious", // 510
    [isaac_typescript_definitions_1.CollectibleType.ANGRY_FLY]: "Angry Fly", // 511
    [isaac_typescript_definitions_1.CollectibleType.BLACK_HOLE]: "Black Hole", // 512
    [isaac_typescript_definitions_1.CollectibleType.BOZO]: "Bozo", // 513
    [isaac_typescript_definitions_1.CollectibleType.BROKEN_MODEM]: "Broken Modem", // 514
    [isaac_typescript_definitions_1.CollectibleType.MYSTERY_GIFT]: "Mystery Gift", // 515
    [isaac_typescript_definitions_1.CollectibleType.SPRINKLER]: "Sprinkler", // 516
    [isaac_typescript_definitions_1.CollectibleType.FAST_BOMBS]: "Fast Bombs", // 517
    [isaac_typescript_definitions_1.CollectibleType.BUDDY_IN_A_BOX]: "Buddy in a Box", // 518
    [isaac_typescript_definitions_1.CollectibleType.LIL_DELIRIUM]: "Lil Delirium", // 519
    [isaac_typescript_definitions_1.CollectibleType.JUMPER_CABLES]: "Jumper Cables", // 520
    [isaac_typescript_definitions_1.CollectibleType.COUPON]: "Coupon", // 521
    [isaac_typescript_definitions_1.CollectibleType.TELEKINESIS]: "Telekinesis", // 522
    [isaac_typescript_definitions_1.CollectibleType.MOVING_BOX]: "Moving Box", // 523
    [isaac_typescript_definitions_1.CollectibleType.TECHNOLOGY_ZERO]: "Technology Zero", // 524
    [isaac_typescript_definitions_1.CollectibleType.LEPROSY]: "Leprosy", // 525
    [isaac_typescript_definitions_1.CollectibleType.SEVEN_SEALS]: "7 Seals", // 526
    [isaac_typescript_definitions_1.CollectibleType.MR_ME]: "Mr. ME!", // 527
    [isaac_typescript_definitions_1.CollectibleType.ANGELIC_PRISM]: "Angelic Prism", // 528
    [isaac_typescript_definitions_1.CollectibleType.POP]: "Pop!", // 529
    [isaac_typescript_definitions_1.CollectibleType.DEATHS_LIST]: "Death's List", // 530
    [isaac_typescript_definitions_1.CollectibleType.HAEMOLACRIA]: "Haemolacria", // 531
    [isaac_typescript_definitions_1.CollectibleType.LACHRYPHAGY]: "Lachryphagy", // 532
    [isaac_typescript_definitions_1.CollectibleType.TRISAGION]: "Trisagion", // 533
    [isaac_typescript_definitions_1.CollectibleType.SCHOOLBAG]: "Schoolbag", // 534
    [isaac_typescript_definitions_1.CollectibleType.BLANKET]: "Blanket", // 535
    [isaac_typescript_definitions_1.CollectibleType.SACRIFICIAL_ALTAR]: "Sacrificial Altar", // 536
    [isaac_typescript_definitions_1.CollectibleType.LIL_SPEWER]: "Lil Spewer", // 537
    [isaac_typescript_definitions_1.CollectibleType.MARBLES]: "Marbles", // 538
    [isaac_typescript_definitions_1.CollectibleType.MYSTERY_EGG]: "Mystery Egg", // 539
    [isaac_typescript_definitions_1.CollectibleType.FLAT_STONE]: "Flat Stone", // 540
    [isaac_typescript_definitions_1.CollectibleType.MARROW]: "Marrow", // 541
    [isaac_typescript_definitions_1.CollectibleType.SLIPPED_RIB]: "Slipped Rib", // 542
    [isaac_typescript_definitions_1.CollectibleType.HALLOWED_GROUND]: "Hallowed Ground", // 543
    [isaac_typescript_definitions_1.CollectibleType.POINTY_RIB]: "Pointy Rib", // 544
    [isaac_typescript_definitions_1.CollectibleType.BOOK_OF_THE_DEAD]: "Book of the Dead", // 545
    [isaac_typescript_definitions_1.CollectibleType.DADS_RING]: "Dad's Ring", // 546
    [isaac_typescript_definitions_1.CollectibleType.DIVORCE_PAPERS]: "Divorce Papers", // 547
    [isaac_typescript_definitions_1.CollectibleType.JAW_BONE]: "Jaw Bone", // 548
    [isaac_typescript_definitions_1.CollectibleType.BRITTLE_BONES]: "Brittle Bones", // 549
    [isaac_typescript_definitions_1.CollectibleType.BROKEN_SHOVEL_1]: "Broken Shovel", // 550
    [isaac_typescript_definitions_1.CollectibleType.BROKEN_SHOVEL_2]: "Broken Shovel", // 551
    [isaac_typescript_definitions_1.CollectibleType.MOMS_SHOVEL]: "Mom's Shovel", // 552
    [isaac_typescript_definitions_1.CollectibleType.MUCORMYCOSIS]: "Mucormycosis", // 553
    [isaac_typescript_definitions_1.CollectibleType.TWO_SPOOKY]: "2Spooky", // 554
    [isaac_typescript_definitions_1.CollectibleType.GOLDEN_RAZOR]: "Golden Razor", // 555
    [isaac_typescript_definitions_1.CollectibleType.SULFUR]: "Sulfur", // 556
    [isaac_typescript_definitions_1.CollectibleType.FORTUNE_COOKIE]: "Fortune Cookie", // 557
    [isaac_typescript_definitions_1.CollectibleType.EYE_SORE]: "Eye Sore", // 558
    [isaac_typescript_definitions_1.CollectibleType.ONE_HUNDRED_TWENTY_VOLT]: "120 Volt", // 559
    [isaac_typescript_definitions_1.CollectibleType.IT_HURTS]: "It Hurts", // 560
    [isaac_typescript_definitions_1.CollectibleType.ALMOND_MILK]: "Almond Milk", // 561
    [isaac_typescript_definitions_1.CollectibleType.ROCK_BOTTOM]: "Rock Bottom", // 562
    [isaac_typescript_definitions_1.CollectibleType.NANCY_BOMBS]: "Nancy Bombs", // 563
    [isaac_typescript_definitions_1.CollectibleType.BAR_OF_SOAP]: "A Bar of Soap", // 564
    [isaac_typescript_definitions_1.CollectibleType.BLOOD_PUPPY]: "Blood Puppy", // 565
    [isaac_typescript_definitions_1.CollectibleType.DREAM_CATCHER]: "Dream Catcher", // 566
    [isaac_typescript_definitions_1.CollectibleType.PASCHAL_CANDLE]: "Paschal Candle", // 567
    [isaac_typescript_definitions_1.CollectibleType.DIVINE_INTERVENTION]: "Divine Intervention", // 568
    [isaac_typescript_definitions_1.CollectibleType.BLOOD_OATH]: "Blood Oath", // 569
    [isaac_typescript_definitions_1.CollectibleType.PLAYDOUGH_COOKIE]: "Playdough Cookie", // 570
    [isaac_typescript_definitions_1.CollectibleType.ORPHAN_SOCKS]: "Orphan Socks", // 571
    [isaac_typescript_definitions_1.CollectibleType.EYE_OF_THE_OCCULT]: "Eye of the Occult", // 572
    [isaac_typescript_definitions_1.CollectibleType.IMMACULATE_HEART]: "Immaculate Heart", // 573
    [isaac_typescript_definitions_1.CollectibleType.MONSTRANCE]: "Monstrance", // 574
    [isaac_typescript_definitions_1.CollectibleType.INTRUDER]: "The Intruder", // 575
    [isaac_typescript_definitions_1.CollectibleType.DIRTY_MIND]: "Dirty Mind", // 576
    [isaac_typescript_definitions_1.CollectibleType.DAMOCLES]: "Damocles", // 577
    [isaac_typescript_definitions_1.CollectibleType.FREE_LEMONADE]: "Free Lemonade", // 578
    [isaac_typescript_definitions_1.CollectibleType.SPIRIT_SWORD]: "Spirit Sword", // 579
    [isaac_typescript_definitions_1.CollectibleType.RED_KEY]: "Red Key", // 580
    [isaac_typescript_definitions_1.CollectibleType.PSY_FLY]: "Psy Fly", // 581
    [isaac_typescript_definitions_1.CollectibleType.WAVY_CAP]: "Wavy Cap", // 582
    [isaac_typescript_definitions_1.CollectibleType.ROCKET_IN_A_JAR]: "Rocket in a Jar", // 583
    [isaac_typescript_definitions_1.CollectibleType.BOOK_OF_VIRTUES]: "Book of Virtues", // 584
    [isaac_typescript_definitions_1.CollectibleType.ALABASTER_BOX]: "Alabaster Box", // 585
    [isaac_typescript_definitions_1.CollectibleType.STAIRWAY]: "The Stairway", // 586
    // There is no `CollectibleType` with a value of 587.
    [isaac_typescript_definitions_1.CollectibleType.SOL]: "Sol", // 588
    [isaac_typescript_definitions_1.CollectibleType.LUNA]: "Luna", // 589
    [isaac_typescript_definitions_1.CollectibleType.MERCURIUS]: "Mercurius", // 590
    [isaac_typescript_definitions_1.CollectibleType.VENUS]: "Venus", // 591
    [isaac_typescript_definitions_1.CollectibleType.TERRA]: "Terra", // 592
    [isaac_typescript_definitions_1.CollectibleType.MARS]: "Mars", // 593
    [isaac_typescript_definitions_1.CollectibleType.JUPITER]: "Jupiter", // 594
    [isaac_typescript_definitions_1.CollectibleType.SATURNUS]: "Saturnus", // 595
    [isaac_typescript_definitions_1.CollectibleType.URANUS]: "Uranus", // 596
    [isaac_typescript_definitions_1.CollectibleType.NEPTUNUS]: "Neptunus", // 597
    [isaac_typescript_definitions_1.CollectibleType.PLUTO]: "Pluto", // 598
    [isaac_typescript_definitions_1.CollectibleType.VOODOO_HEAD]: "Voodoo Head", // 599
    [isaac_typescript_definitions_1.CollectibleType.EYE_DROPS]: "Eye Drops", // 600
    [isaac_typescript_definitions_1.CollectibleType.ACT_OF_CONTRITION]: "Act of Contrition", // 601
    [isaac_typescript_definitions_1.CollectibleType.MEMBER_CARD]: "Member Card", // 602
    [isaac_typescript_definitions_1.CollectibleType.BATTERY_PACK]: "Battery Pack", // 603
    [isaac_typescript_definitions_1.CollectibleType.MOMS_BRACELET]: "Mom's Bracelet", // 604
    [isaac_typescript_definitions_1.CollectibleType.SCOOPER]: "The Scooper", // 605
    [isaac_typescript_definitions_1.CollectibleType.OCULAR_RIFT]: "Ocular Rift", // 606
    [isaac_typescript_definitions_1.CollectibleType.BOILED_BABY]: "Boiled Baby", // 607
    [isaac_typescript_definitions_1.CollectibleType.FREEZER_BABY]: "Freezer Baby", // 608
    [isaac_typescript_definitions_1.CollectibleType.ETERNAL_D6]: "Eternal D6", // 609
    [isaac_typescript_definitions_1.CollectibleType.BIRD_CAGE]: "Bird Cage", // 610
    [isaac_typescript_definitions_1.CollectibleType.LARYNX]: "Larynx", // 611
    [isaac_typescript_definitions_1.CollectibleType.LOST_SOUL]: "Lost Soul", // 612
    // There is no `CollectibleType` with a value of 613.
    [isaac_typescript_definitions_1.CollectibleType.BLOOD_BOMBS]: "Blood Bombs", // 614
    [isaac_typescript_definitions_1.CollectibleType.LIL_DUMPY]: "Lil Dumpy", // 615
    [isaac_typescript_definitions_1.CollectibleType.BIRDS_EYE]: "Bird's Eye", // 616
    [isaac_typescript_definitions_1.CollectibleType.LODESTONE]: "Lodestone", // 617
    [isaac_typescript_definitions_1.CollectibleType.ROTTEN_TOMATO]: "Rotten Tomato", // 618
    [isaac_typescript_definitions_1.CollectibleType.BIRTHRIGHT]: "Birthright", // 619
    // There is no `CollectibleType` with a value of 620.
    [isaac_typescript_definitions_1.CollectibleType.RED_STEW]: "Red Stew", // 621
    [isaac_typescript_definitions_1.CollectibleType.GENESIS]: "Genesis", // 622
    [isaac_typescript_definitions_1.CollectibleType.SHARP_KEY]: "Sharp Key", // 623
    [isaac_typescript_definitions_1.CollectibleType.BOOSTER_PACK]: "Booster Pack", // 624
    [isaac_typescript_definitions_1.CollectibleType.MEGA_MUSH]: "Mega Mush", // 625
    [isaac_typescript_definitions_1.CollectibleType.KNIFE_PIECE_1]: "Knife Piece 1", // 626
    [isaac_typescript_definitions_1.CollectibleType.KNIFE_PIECE_2]: "Knife Piece 2", // 627
    [isaac_typescript_definitions_1.CollectibleType.DEATH_CERTIFICATE]: "Death Certificate", // 628
    [isaac_typescript_definitions_1.CollectibleType.BOT_FLY]: "Bot Fly", // 629
    // There is no `CollectibleType` with a value of 630.
    [isaac_typescript_definitions_1.CollectibleType.MEAT_CLEAVER]: "Meat Cleaver", // 631
    [isaac_typescript_definitions_1.CollectibleType.EVIL_CHARM]: "Evil Charm", // 632
    [isaac_typescript_definitions_1.CollectibleType.DOGMA]: "Dogma", // 633
    [isaac_typescript_definitions_1.CollectibleType.PURGATORY]: "Purgatory", // 634
    [isaac_typescript_definitions_1.CollectibleType.STITCHES]: "Stitches", // 635
    [isaac_typescript_definitions_1.CollectibleType.R_KEY]: "R Key", // 636
    [isaac_typescript_definitions_1.CollectibleType.KNOCKOUT_DROPS]: "Knockout Drops", // 637
    [isaac_typescript_definitions_1.CollectibleType.ERASER]: "Eraser", // 638
    [isaac_typescript_definitions_1.CollectibleType.YUCK_HEART]: "Yuck Heart", // 639
    [isaac_typescript_definitions_1.CollectibleType.URN_OF_SOULS]: "Urn of Souls", // 640
    [isaac_typescript_definitions_1.CollectibleType.AKELDAMA]: "Akeldama", // 641
    [isaac_typescript_definitions_1.CollectibleType.MAGIC_SKIN]: "Magic Skin", // 642
    [isaac_typescript_definitions_1.CollectibleType.REVELATION]: "Revelation", // 643
    [isaac_typescript_definitions_1.CollectibleType.CONSOLATION_PRIZE]: "Consolation Prize", // 644
    [isaac_typescript_definitions_1.CollectibleType.TINYTOMA]: "Tinytoma", // 645
    [isaac_typescript_definitions_1.CollectibleType.BRIMSTONE_BOMBS]: "Brimstone Bombs", // 646
    [isaac_typescript_definitions_1.CollectibleType.FOUR_FIVE_VOLT]: "4.5 Volt", // 647
    // There is no `CollectibleType` with a value of 648.
    [isaac_typescript_definitions_1.CollectibleType.FRUITY_PLUM]: "Fruity Plum", // 649
    [isaac_typescript_definitions_1.CollectibleType.PLUM_FLUTE]: "Plum Flute", // 650
    [isaac_typescript_definitions_1.CollectibleType.STAR_OF_BETHLEHEM]: "Star of Bethlehem", // 651
    [isaac_typescript_definitions_1.CollectibleType.CUBE_BABY]: "Cube Baby", // 652
    [isaac_typescript_definitions_1.CollectibleType.VADE_RETRO]: "Vade Retro", // 653
    [isaac_typescript_definitions_1.CollectibleType.FALSE_PHD]: "False PHD", // 654
    [isaac_typescript_definitions_1.CollectibleType.SPIN_TO_WIN]: "Spin to Win", // 655
    [isaac_typescript_definitions_1.CollectibleType.DAMOCLES_PASSIVE]: "Damocles (Passive)", // 656
    [isaac_typescript_definitions_1.CollectibleType.VASCULITIS]: "Vasculitis", // 657
    [isaac_typescript_definitions_1.CollectibleType.GIANT_CELL]: "Giant Cell", // 658
    [isaac_typescript_definitions_1.CollectibleType.TROPICAMIDE]: "Tropicamide", // 659
    [isaac_typescript_definitions_1.CollectibleType.CARD_READING]: "Card Reading", // 660
    [isaac_typescript_definitions_1.CollectibleType.QUINTS]: "Quints", // 661
    // There is no `CollectibleType` with a value of 662.
    [isaac_typescript_definitions_1.CollectibleType.TOOTH_AND_NAIL]: "Tooth and Nail", // 663
    [isaac_typescript_definitions_1.CollectibleType.BINGE_EATER]: "Binge Eater", // 664
    [isaac_typescript_definitions_1.CollectibleType.GUPPYS_EYE]: "Guppy's Eye", // 665
    // There is no `CollectibleType` with a value of 666.
    [isaac_typescript_definitions_1.CollectibleType.STRAWMAN]: "Strawman", // 667
    [isaac_typescript_definitions_1.CollectibleType.DADS_NOTE]: "Dad's Note", // 668
    [isaac_typescript_definitions_1.CollectibleType.SAUSAGE]: "Sausage", // 669
    [isaac_typescript_definitions_1.CollectibleType.OPTIONS]: "Options?", // 670
    [isaac_typescript_definitions_1.CollectibleType.CANDY_HEART]: "Candy Heart", // 671
    [isaac_typescript_definitions_1.CollectibleType.POUND_OF_FLESH]: "A Pound of Flesh", // 672
    [isaac_typescript_definitions_1.CollectibleType.REDEMPTION]: "Redemption", // 673
    [isaac_typescript_definitions_1.CollectibleType.SPIRIT_SHACKLES]: "Spirit Shackles", // 674
    [isaac_typescript_definitions_1.CollectibleType.CRACKED_ORB]: "Cracked Orb", // 675
    [isaac_typescript_definitions_1.CollectibleType.EMPTY_HEART]: "Empty Heart", // 676
    [isaac_typescript_definitions_1.CollectibleType.ASTRAL_PROJECTION]: "Astral Projection", // 677
    [isaac_typescript_definitions_1.CollectibleType.C_SECTION]: "C Section", // 678
    [isaac_typescript_definitions_1.CollectibleType.LIL_ABADDON]: "Lil Abaddon", // 679
    [isaac_typescript_definitions_1.CollectibleType.MONTEZUMAS_REVENGE]: "Montezuma's Revenge", // 680
    [isaac_typescript_definitions_1.CollectibleType.LIL_PORTAL]: "Lil Portal", // 681
    [isaac_typescript_definitions_1.CollectibleType.WORM_FRIEND]: "Worm Friend", // 682
    [isaac_typescript_definitions_1.CollectibleType.BONE_SPURS]: "Bone Spurs", // 683
    [isaac_typescript_definitions_1.CollectibleType.HUNGRY_SOUL]: "Hungry Soul", // 684
    [isaac_typescript_definitions_1.CollectibleType.JAR_OF_WISPS]: "Jar of Wisps", // 685
    [isaac_typescript_definitions_1.CollectibleType.SOUL_LOCKET]: "Soul Locket", // 686
    [isaac_typescript_definitions_1.CollectibleType.FRIEND_FINDER]: "Friend Finder", // 687
    [isaac_typescript_definitions_1.CollectibleType.INNER_CHILD]: "Inner Child", // 688
    [isaac_typescript_definitions_1.CollectibleType.GLITCHED_CROWN]: "Glitched Crown", // 689
    [isaac_typescript_definitions_1.CollectibleType.JELLY_BELLY]: "Belly Jelly", // 690
    [isaac_typescript_definitions_1.CollectibleType.SACRED_ORB]: "Sacred Orb", // 691
    [isaac_typescript_definitions_1.CollectibleType.SANGUINE_BOND]: "Sanguine Bond", // 692
    [isaac_typescript_definitions_1.CollectibleType.SWARM]: "The Swarm", // 693
    [isaac_typescript_definitions_1.CollectibleType.HEARTBREAK]: "Heartbreak", // 694
    [isaac_typescript_definitions_1.CollectibleType.BLOODY_GUST]: "Bloody Gust", // 695
    [isaac_typescript_definitions_1.CollectibleType.SALVATION]: "Salvation", // 696
    [isaac_typescript_definitions_1.CollectibleType.VANISHING_TWIN]: "Vanishing Twin", // 697
    [isaac_typescript_definitions_1.CollectibleType.TWISTED_PAIR]: "Twisted Pair", // 698
    [isaac_typescript_definitions_1.CollectibleType.AZAZELS_RAGE]: "Azazel's Rage", // 699
    [isaac_typescript_definitions_1.CollectibleType.ECHO_CHAMBER]: "Echo Chamber", // 700
    [isaac_typescript_definitions_1.CollectibleType.ISAACS_TOMB]: "Isaac's Tomb", // 701
    [isaac_typescript_definitions_1.CollectibleType.VENGEFUL_SPIRIT]: "Vengeful Spirit", // 702
    [isaac_typescript_definitions_1.CollectibleType.ESAU_JR]: "Esau Jr.", // 703
    [isaac_typescript_definitions_1.CollectibleType.BERSERK]: "Berserk!", // 704
    [isaac_typescript_definitions_1.CollectibleType.DARK_ARTS]: "Dark Arts", // 705
    [isaac_typescript_definitions_1.CollectibleType.ABYSS]: "Abyss", // 706
    [isaac_typescript_definitions_1.CollectibleType.SUPPER]: "Supper", // 707
    [isaac_typescript_definitions_1.CollectibleType.STAPLER]: "Stapler", // 708
    [isaac_typescript_definitions_1.CollectibleType.SUPLEX]: "Suplex!", // 709
    [isaac_typescript_definitions_1.CollectibleType.BAG_OF_CRAFTING]: "Bag of Crafting", // 710
    [isaac_typescript_definitions_1.CollectibleType.FLIP]: "Flip", // 711
    [isaac_typescript_definitions_1.CollectibleType.LEMEGETON]: "Lemegeton", // 712
    [isaac_typescript_definitions_1.CollectibleType.SUMPTORIUM]: "Sumptorium", // 713
    [isaac_typescript_definitions_1.CollectibleType.RECALL]: "Recall", // 714
    [isaac_typescript_definitions_1.CollectibleType.HOLD]: "Hold", // 715
    [isaac_typescript_definitions_1.CollectibleType.KEEPERS_SACK]: "Keeper's Sack", // 716
    [isaac_typescript_definitions_1.CollectibleType.KEEPERS_KIN]: "Keeper's Kin", // 717
    // There is no `CollectibleType` with a value of 718.
    [isaac_typescript_definitions_1.CollectibleType.KEEPERS_BOX]: "Keeper's Box", // 719
    [isaac_typescript_definitions_1.CollectibleType.EVERYTHING_JAR]: "Everything Jar", // 720
    [isaac_typescript_definitions_1.CollectibleType.TMTRAINER]: "TMTRAINER", // 721
    [isaac_typescript_definitions_1.CollectibleType.ANIMA_SOLA]: "Anima Sola", // 722
    [isaac_typescript_definitions_1.CollectibleType.SPINDOWN_DICE]: "Spindown Dice", // 723
    [isaac_typescript_definitions_1.CollectibleType.HYPERCOAGULATION]: "Hypercoagulation", // 724
    [isaac_typescript_definitions_1.CollectibleType.IBS]: "IBS", // 725
    [isaac_typescript_definitions_1.CollectibleType.HEMOPTYSIS]: "Hemoptysis", // 726
    [isaac_typescript_definitions_1.CollectibleType.GHOST_BOMBS]: "Ghost Bombs", // 727
    [isaac_typescript_definitions_1.CollectibleType.GELLO]: "Gello", // 728
    [isaac_typescript_definitions_1.CollectibleType.DECAP_ATTACK]: "Decap Attack", // 729
    [isaac_typescript_definitions_1.CollectibleType.GLASS_EYE]: "Glass Eye", // 730
    [isaac_typescript_definitions_1.CollectibleType.STYE]: "Stye", // 731
    [isaac_typescript_definitions_1.CollectibleType.MOMS_RING]: "Mom's Ring", // 732
};
