"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GRID_ENTITY_TYPE_TO_ANM2_NAME = void 0;
const isaac_typescript_definitions_1 = require("isaac-typescript-definitions");
// cspell:disable
/** These files exist in the "gfx/grid" directory. */
exports.GRID_ENTITY_TYPE_TO_ANM2_NAME = {
    [isaac_typescript_definitions_1.GridEntityType.NULL]: undefined, // 0
    // There are more decoration ANM2 files; see the `getGridEntityANM2Path` function.
    [isaac_typescript_definitions_1.GridEntityType.DECORATION]: "Props_01_Basement.anm2", // 1
    [isaac_typescript_definitions_1.GridEntityType.ROCK]: "grid_rock.anm2", // 2
    [isaac_typescript_definitions_1.GridEntityType.BLOCK]: "grid_rock.anm2", // 3
    [isaac_typescript_definitions_1.GridEntityType.ROCK_TINTED]: "grid_rock.anm2", // 4
    [isaac_typescript_definitions_1.GridEntityType.ROCK_BOMB]: "grid_rock.anm2", // 5
    [isaac_typescript_definitions_1.GridEntityType.ROCK_ALT]: "grid_rock.anm2", // 6
    [isaac_typescript_definitions_1.GridEntityType.PIT]: "grid_pit.anm2", // 7
    [isaac_typescript_definitions_1.GridEntityType.SPIKES]: "grid_spikes.anm2", // 8
    [isaac_typescript_definitions_1.GridEntityType.SPIKES_ON_OFF]: "grid_spikes.anm2", // 9
    [isaac_typescript_definitions_1.GridEntityType.SPIDER_WEB]: "grid_web.anm2", // 10
    [isaac_typescript_definitions_1.GridEntityType.LOCK]: "grid_locks.anm2", // 11
    [isaac_typescript_definitions_1.GridEntityType.TNT]: "grid_tnt.anm2", // 12
    [isaac_typescript_definitions_1.GridEntityType.FIREPLACE]: "grid_fireplace.anm2", // 13
    [isaac_typescript_definitions_1.GridEntityType.POOP]: "grid_poop.anm2", // 14
    [isaac_typescript_definitions_1.GridEntityType.WALL]: undefined, // 15
    [isaac_typescript_definitions_1.GridEntityType.DOOR]: undefined, // 16
    [isaac_typescript_definitions_1.GridEntityType.TRAPDOOR]: "Door_11_TrapDoor.anm2", // 17
    [isaac_typescript_definitions_1.GridEntityType.CRAWL_SPACE]: "door_20_secrettrapdoor.anm2", // 18
    [isaac_typescript_definitions_1.GridEntityType.GRAVITY]: undefined, // 19
    [isaac_typescript_definitions_1.GridEntityType.PRESSURE_PLATE]: "grid_pressureplate.anm2", // 20
    [isaac_typescript_definitions_1.GridEntityType.STATUE]: undefined, // 21
    [isaac_typescript_definitions_1.GridEntityType.ROCK_SUPER_SPECIAL]: "grid_rock.anm2", // 22
    [isaac_typescript_definitions_1.GridEntityType.TELEPORTER]: "grid_teleporter.anm2", // 23
    [isaac_typescript_definitions_1.GridEntityType.PILLAR]: "grid_rock.anm2", // 24
    [isaac_typescript_definitions_1.GridEntityType.ROCK_SPIKED]: "grid_rock.anm2", // 25
    [isaac_typescript_definitions_1.GridEntityType.ROCK_ALT_2]: "grid_rock.anm2", // 26
    [isaac_typescript_definitions_1.GridEntityType.ROCK_GOLD]: "grid_rock.anm2", // 27
};
