"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PILL_EFFECT_CLASSES = exports.DEFAULT_PILL_EFFECT_CLASS = void 0;
const isaac_typescript_definitions_1 = require("isaac-typescript-definitions");
exports.DEFAULT_PILL_EFFECT_CLASS = isaac_typescript_definitions_1.ItemConfigPillEffectClass.MODDED;
exports.PILL_EFFECT_CLASSES = {
    [isaac_typescript_definitions_1.PillEffect.BAD_GAS]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MINOR, // 0
    [isaac_typescript_definitions_1.PillEffect.BAD_TRIP]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MEDIUM, // 1
    [isaac_typescript_definitions_1.PillEffect.BALLS_OF_STEEL]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MEDIUM, // 2
    [isaac_typescript_definitions_1.PillEffect.BOMBS_ARE_KEYS]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MEDIUM, // 3
    [isaac_typescript_definitions_1.PillEffect.EXPLOSIVE_DIARRHEA]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MINOR, // 4
    [isaac_typescript_definitions_1.PillEffect.FULL_HEALTH]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MEDIUM, // 5
    [isaac_typescript_definitions_1.PillEffect.HEALTH_DOWN]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MAJOR, // 6
    [isaac_typescript_definitions_1.PillEffect.HEALTH_UP]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MAJOR, // 7
    [isaac_typescript_definitions_1.PillEffect.I_FOUND_PILLS]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.JOKE, // 8
    [isaac_typescript_definitions_1.PillEffect.PUBERTY]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.JOKE, // 9
    [isaac_typescript_definitions_1.PillEffect.PRETTY_FLY]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MEDIUM, // 10
    [isaac_typescript_definitions_1.PillEffect.RANGE_DOWN]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MAJOR, // 11
    [isaac_typescript_definitions_1.PillEffect.RANGE_UP]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MAJOR, // 12
    [isaac_typescript_definitions_1.PillEffect.SPEED_DOWN]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MAJOR, // 13
    [isaac_typescript_definitions_1.PillEffect.SPEED_UP]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MAJOR, // 14
    [isaac_typescript_definitions_1.PillEffect.TEARS_DOWN]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MAJOR, // 15
    [isaac_typescript_definitions_1.PillEffect.TEARS_UP]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MAJOR, // 16
    [isaac_typescript_definitions_1.PillEffect.LUCK_DOWN]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MAJOR, // 17
    [isaac_typescript_definitions_1.PillEffect.LUCK_UP]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MAJOR, // 18
    [isaac_typescript_definitions_1.PillEffect.TELEPILLS]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MAJOR, // 19
    [isaac_typescript_definitions_1.PillEffect.FORTY_EIGHT_HOUR_ENERGY]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MEDIUM, // 20
    [isaac_typescript_definitions_1.PillEffect.HEMATEMESIS]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MEDIUM, // 21
    [isaac_typescript_definitions_1.PillEffect.PARALYSIS]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MINOR, // 22
    [isaac_typescript_definitions_1.PillEffect.I_CAN_SEE_FOREVER]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MEDIUM, // 23
    [isaac_typescript_definitions_1.PillEffect.PHEROMONES]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MINOR, // 24
    [isaac_typescript_definitions_1.PillEffect.AMNESIA]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MEDIUM, // 25
    [isaac_typescript_definitions_1.PillEffect.LEMON_PARTY]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MINOR, // 26
    [isaac_typescript_definitions_1.PillEffect.R_U_A_WIZARD]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MINOR, // 27
    [isaac_typescript_definitions_1.PillEffect.PERCS]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MINOR, // 28
    [isaac_typescript_definitions_1.PillEffect.ADDICTED]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MINOR, // 29
    [isaac_typescript_definitions_1.PillEffect.RELAX]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.JOKE, // 30
    [isaac_typescript_definitions_1.PillEffect.QUESTION_MARKS]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MINOR, // 31
    [isaac_typescript_definitions_1.PillEffect.ONE_MAKES_YOU_LARGER]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MINOR, // 32
    [isaac_typescript_definitions_1.PillEffect.ONE_MAKES_YOU_SMALL]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MINOR, // 33
    [isaac_typescript_definitions_1.PillEffect.INFESTED_EXCLAMATION]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MINOR, // 34
    [isaac_typescript_definitions_1.PillEffect.INFESTED_QUESTION]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MINOR, // 35
    [isaac_typescript_definitions_1.PillEffect.POWER]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MINOR, // 36
    [isaac_typescript_definitions_1.PillEffect.RETRO_VISION]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MINOR, // 37
    [isaac_typescript_definitions_1.PillEffect.FRIENDS_TILL_THE_END]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MINOR, // 38
    [isaac_typescript_definitions_1.PillEffect.X_LAX]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MINOR, // 39
    [isaac_typescript_definitions_1.PillEffect.SOMETHINGS_WRONG]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.JOKE, // 40
    [isaac_typescript_definitions_1.PillEffect.IM_DROWSY]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MINOR, // 41
    [isaac_typescript_definitions_1.PillEffect.IM_EXCITED]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MINOR, // 42
    [isaac_typescript_definitions_1.PillEffect.GULP]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MEDIUM, // 43
    [isaac_typescript_definitions_1.PillEffect.HORF]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.JOKE, // 44
    [isaac_typescript_definitions_1.PillEffect.FEELS_LIKE_IM_WALKING_ON_SUNSHINE]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MINOR, // 45
    [isaac_typescript_definitions_1.PillEffect.VURP]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MEDIUM, // 46
    [isaac_typescript_definitions_1.PillEffect.SHOT_SPEED_DOWN]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MAJOR, // 47
    [isaac_typescript_definitions_1.PillEffect.SHOT_SPEED_UP]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MAJOR, // 48
    [isaac_typescript_definitions_1.PillEffect.EXPERIMENTAL]: isaac_typescript_definitions_1.ItemConfigPillEffectClass.MAJOR, // 49
};
