"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.STAGE_TO_MUSIC = void 0;
const isaac_typescript_definitions_1 = require("isaac-typescript-definitions");
const BASEMENT_TO_MUSIC = {
    [isaac_typescript_definitions_1.StageType.ORIGINAL]: isaac_typescript_definitions_1.Music.BASEMENT, // 0
    [isaac_typescript_definitions_1.StageType.WRATH_OF_THE_LAMB]: isaac_typescript_definitions_1.Music.CELLAR, // 1
    [isaac_typescript_definitions_1.StageType.AFTERBIRTH]: isaac_typescript_definitions_1.Music.BURNING_BASEMENT, // 2
    [isaac_typescript_definitions_1.StageType.GREED_MODE]: isaac_typescript_definitions_1.Music.BASEMENT, // 3
    [isaac_typescript_definitions_1.StageType.REPENTANCE]: isaac_typescript_definitions_1.Music.DOWNPOUR, // 4
    [isaac_typescript_definitions_1.StageType.REPENTANCE_B]: isaac_typescript_definitions_1.Music.DROSS, // 5
};
const CAVES_TO_MUSIC = {
    [isaac_typescript_definitions_1.StageType.ORIGINAL]: isaac_typescript_definitions_1.Music.CAVES, // 0
    [isaac_typescript_definitions_1.StageType.WRATH_OF_THE_LAMB]: isaac_typescript_definitions_1.Music.CATACOMBS, // 1
    [isaac_typescript_definitions_1.StageType.AFTERBIRTH]: isaac_typescript_definitions_1.Music.FLOODED_CAVES, // 2
    [isaac_typescript_definitions_1.StageType.GREED_MODE]: isaac_typescript_definitions_1.Music.CAVES, // 3
    [isaac_typescript_definitions_1.StageType.REPENTANCE]: isaac_typescript_definitions_1.Music.MINES, // 4
    [isaac_typescript_definitions_1.StageType.REPENTANCE_B]: isaac_typescript_definitions_1.Music.ASHPIT, // 5
};
const DEPTHS_TO_MUSIC = {
    [isaac_typescript_definitions_1.StageType.ORIGINAL]: isaac_typescript_definitions_1.Music.DEPTHS, // 0
    [isaac_typescript_definitions_1.StageType.WRATH_OF_THE_LAMB]: isaac_typescript_definitions_1.Music.NECROPOLIS, // 1
    [isaac_typescript_definitions_1.StageType.AFTERBIRTH]: isaac_typescript_definitions_1.Music.DANK_DEPTHS, // 2
    [isaac_typescript_definitions_1.StageType.GREED_MODE]: isaac_typescript_definitions_1.Music.DEPTHS, // 3
    [isaac_typescript_definitions_1.StageType.REPENTANCE]: isaac_typescript_definitions_1.Music.MAUSOLEUM, // 4
    [isaac_typescript_definitions_1.StageType.REPENTANCE_B]: isaac_typescript_definitions_1.Music.GEHENNA, // 5
};
const WOMB_TO_MUSIC = {
    [isaac_typescript_definitions_1.StageType.ORIGINAL]: isaac_typescript_definitions_1.Music.WOMB, // 0
    [isaac_typescript_definitions_1.StageType.WRATH_OF_THE_LAMB]: isaac_typescript_definitions_1.Music.UTERO, // 1
    [isaac_typescript_definitions_1.StageType.AFTERBIRTH]: isaac_typescript_definitions_1.Music.SCARRED_WOMB, // 2
    [isaac_typescript_definitions_1.StageType.GREED_MODE]: isaac_typescript_definitions_1.Music.WOMB, // 3
    [isaac_typescript_definitions_1.StageType.REPENTANCE]: isaac_typescript_definitions_1.Music.CORPSE, // 4
    [isaac_typescript_definitions_1.StageType.REPENTANCE_B]: isaac_typescript_definitions_1.Music.MORTIS, // 5
};
const BLUE_WOMB_TO_MUSIC = {
    [isaac_typescript_definitions_1.StageType.ORIGINAL]: isaac_typescript_definitions_1.Music.BLUE_WOMB, // 0
    [isaac_typescript_definitions_1.StageType.WRATH_OF_THE_LAMB]: isaac_typescript_definitions_1.Music.BLUE_WOMB, // 1
    [isaac_typescript_definitions_1.StageType.AFTERBIRTH]: isaac_typescript_definitions_1.Music.BLUE_WOMB, // 2
    [isaac_typescript_definitions_1.StageType.GREED_MODE]: isaac_typescript_definitions_1.Music.BLUE_WOMB, // 3
    [isaac_typescript_definitions_1.StageType.REPENTANCE]: isaac_typescript_definitions_1.Music.BLUE_WOMB, // 4
    [isaac_typescript_definitions_1.StageType.REPENTANCE_B]: isaac_typescript_definitions_1.Music.BLUE_WOMB, // 5
};
const SHEOL_CATHEDRAL_TO_MUSIC = {
    [isaac_typescript_definitions_1.StageType.ORIGINAL]: isaac_typescript_definitions_1.Music.SHEOL, // 0
    [isaac_typescript_definitions_1.StageType.WRATH_OF_THE_LAMB]: isaac_typescript_definitions_1.Music.CATHEDRAL, // 1
    [isaac_typescript_definitions_1.StageType.AFTERBIRTH]: isaac_typescript_definitions_1.Music.SHEOL, // 2
    [isaac_typescript_definitions_1.StageType.GREED_MODE]: isaac_typescript_definitions_1.Music.SHEOL, // 3
    [isaac_typescript_definitions_1.StageType.REPENTANCE]: isaac_typescript_definitions_1.Music.SHEOL, // 4
    [isaac_typescript_definitions_1.StageType.REPENTANCE_B]: isaac_typescript_definitions_1.Music.SHEOL, // 5
};
const DARK_ROOM_CHEST_TO_MUSIC = {
    [isaac_typescript_definitions_1.StageType.ORIGINAL]: isaac_typescript_definitions_1.Music.DARK_ROOM, // 0
    [isaac_typescript_definitions_1.StageType.WRATH_OF_THE_LAMB]: isaac_typescript_definitions_1.Music.CHEST, // 1
    [isaac_typescript_definitions_1.StageType.AFTERBIRTH]: isaac_typescript_definitions_1.Music.DARK_ROOM, // 2
    [isaac_typescript_definitions_1.StageType.GREED_MODE]: isaac_typescript_definitions_1.Music.DARK_ROOM, // 3
    [isaac_typescript_definitions_1.StageType.REPENTANCE]: isaac_typescript_definitions_1.Music.DARK_ROOM, // 4
    [isaac_typescript_definitions_1.StageType.REPENTANCE_B]: isaac_typescript_definitions_1.Music.DARK_ROOM, // 5
};
const VOID_TO_MUSIC = {
    [isaac_typescript_definitions_1.StageType.ORIGINAL]: isaac_typescript_definitions_1.Music.VOID, // 0
    [isaac_typescript_definitions_1.StageType.WRATH_OF_THE_LAMB]: isaac_typescript_definitions_1.Music.VOID, // 1
    [isaac_typescript_definitions_1.StageType.AFTERBIRTH]: isaac_typescript_definitions_1.Music.VOID, // 2
    [isaac_typescript_definitions_1.StageType.GREED_MODE]: isaac_typescript_definitions_1.Music.VOID, // 3
    [isaac_typescript_definitions_1.StageType.REPENTANCE]: isaac_typescript_definitions_1.Music.VOID, // 4
    [isaac_typescript_definitions_1.StageType.REPENTANCE_B]: isaac_typescript_definitions_1.Music.VOID, // 5
};
const HOME_TO_MUSIC = {
    [isaac_typescript_definitions_1.StageType.ORIGINAL]: isaac_typescript_definitions_1.Music.ISAACS_HOUSE, // 0
    [isaac_typescript_definitions_1.StageType.WRATH_OF_THE_LAMB]: isaac_typescript_definitions_1.Music.ISAACS_HOUSE, // 1
    [isaac_typescript_definitions_1.StageType.AFTERBIRTH]: isaac_typescript_definitions_1.Music.ISAACS_HOUSE, // 2
    [isaac_typescript_definitions_1.StageType.GREED_MODE]: isaac_typescript_definitions_1.Music.ISAACS_HOUSE, // 3
    [isaac_typescript_definitions_1.StageType.REPENTANCE]: isaac_typescript_definitions_1.Music.ISAACS_HOUSE, // 4
    [isaac_typescript_definitions_1.StageType.REPENTANCE_B]: isaac_typescript_definitions_1.Music.ISAACS_HOUSE, // 5
};
exports.STAGE_TO_MUSIC = {
    [isaac_typescript_definitions_1.LevelStage.BASEMENT_1]: BASEMENT_TO_MUSIC, // 1
    [isaac_typescript_definitions_1.LevelStage.BASEMENT_2]: BASEMENT_TO_MUSIC, // 2
    [isaac_typescript_definitions_1.LevelStage.CAVES_1]: CAVES_TO_MUSIC, // 3
    [isaac_typescript_definitions_1.LevelStage.CAVES_2]: CAVES_TO_MUSIC, // 4
    [isaac_typescript_definitions_1.LevelStage.DEPTHS_1]: DEPTHS_TO_MUSIC, // 5
    [isaac_typescript_definitions_1.LevelStage.DEPTHS_2]: DEPTHS_TO_MUSIC, // 6
    [isaac_typescript_definitions_1.LevelStage.WOMB_1]: WOMB_TO_MUSIC, // 7
    [isaac_typescript_definitions_1.LevelStage.WOMB_2]: WOMB_TO_MUSIC, // 8
    [isaac_typescript_definitions_1.LevelStage.BLUE_WOMB]: BLUE_WOMB_TO_MUSIC, // 9
    [isaac_typescript_definitions_1.LevelStage.SHEOL_CATHEDRAL]: SHEOL_CATHEDRAL_TO_MUSIC, // 10
    [isaac_typescript_definitions_1.LevelStage.DARK_ROOM_CHEST]: DARK_ROOM_CHEST_TO_MUSIC, // 11
    [isaac_typescript_definitions_1.LevelStage.VOID]: VOID_TO_MUSIC, // 12
    [isaac_typescript_definitions_1.LevelStage.HOME]: HOME_TO_MUSIC, // 13
};
