"use strict";
/* cspell:disable */
Object.defineProperty(exports, "__esModule", { value: true });
exports.TRINKET_DESCRIPTIONS = exports.DEFAULT_TRINKET_DESCRIPTION = void 0;
const isaac_typescript_definitions_1 = require("isaac-typescript-definitions");
exports.DEFAULT_TRINKET_DESCRIPTION = "Unknown";
/** Maps trinket types to the real English descriptions from the "stringtable.sta" file. */
exports.TRINKET_DESCRIPTIONS = {
    [isaac_typescript_definitions_1.TrinketType.NULL]: exports.DEFAULT_TRINKET_DESCRIPTION, // 0
    [isaac_typescript_definitions_1.TrinketType.SWALLOWED_PENNY]: "Gulp!", // 1
    [isaac_typescript_definitions_1.TrinketType.PETRIFIED_POOP]: "It feels lucky?", // 2
    [isaac_typescript_definitions_1.TrinketType.AAA_BATTERY]: "Trickle charge", // 3
    [isaac_typescript_definitions_1.TrinketType.BROKEN_REMOTE]: "It's broken", // 4
    [isaac_typescript_definitions_1.TrinketType.PURPLE_HEART]: "Challenge up", // 5
    [isaac_typescript_definitions_1.TrinketType.BROKEN_MAGNET]: "It kinda works", // 6
    [isaac_typescript_definitions_1.TrinketType.ROSARY_BEAD]: "Faith up", // 7
    [isaac_typescript_definitions_1.TrinketType.CARTRIDGE]: "I remember these", // 8
    [isaac_typescript_definitions_1.TrinketType.PULSE_WORM]: "Wub wub!", // 9
    [isaac_typescript_definitions_1.TrinketType.WIGGLE_WORM]: "Wiggle waggle!", // 10
    [isaac_typescript_definitions_1.TrinketType.RING_WORM]: "Woop woop!", // 11
    [isaac_typescript_definitions_1.TrinketType.FLAT_WORM]: "Blub blub!", // 12
    [isaac_typescript_definitions_1.TrinketType.STORE_CREDIT]: "YES!", // 13
    [isaac_typescript_definitions_1.TrinketType.CALLUS]: "Your feet feel stronger", // 14
    [isaac_typescript_definitions_1.TrinketType.LUCKY_ROCK]: "There's something inside it", // 15
    [isaac_typescript_definitions_1.TrinketType.MOMS_TOENAIL]: "???", // 16
    [isaac_typescript_definitions_1.TrinketType.BLACK_LIPSTICK]: "Evil up", // 17
    [isaac_typescript_definitions_1.TrinketType.BIBLE_TRACT]: "Faith up", // 18
    [isaac_typescript_definitions_1.TrinketType.PAPER_CLIP]: "Master of lockpicking", // 19
    [isaac_typescript_definitions_1.TrinketType.MONKEY_PAW]: "Wish granted", // 20
    [isaac_typescript_definitions_1.TrinketType.MYSTERIOUS_PAPER]: "???", // 21
    [isaac_typescript_definitions_1.TrinketType.DAEMONS_TAIL]: "Evil up", // 22
    [isaac_typescript_definitions_1.TrinketType.MISSING_POSTER]: "???", // 23
    [isaac_typescript_definitions_1.TrinketType.BUTT_PENNY]: "Wealth of gas", // 24
    [isaac_typescript_definitions_1.TrinketType.MYSTERIOUS_CANDY]: "Uh-oh!", // 25
    [isaac_typescript_definitions_1.TrinketType.HOOK_WORM]: "Zip zoop!", // 26
    [isaac_typescript_definitions_1.TrinketType.WHIP_WORM]: "Wooosh!", // 27
    [isaac_typescript_definitions_1.TrinketType.BROKEN_ANKH]: "Eternal life?", // 28
    [isaac_typescript_definitions_1.TrinketType.FISH_HEAD]: "It stinks", // 29
    [isaac_typescript_definitions_1.TrinketType.PINKY_EYE]: "Poison shots", // 30
    [isaac_typescript_definitions_1.TrinketType.PUSH_PIN]: "Piercing shots", // 31
    [isaac_typescript_definitions_1.TrinketType.LIBERTY_CAP]: "Touch fuzzy, get dizzy", // 32
    [isaac_typescript_definitions_1.TrinketType.UMBILICAL_CORD]: "Fetal protection", // 33
    [isaac_typescript_definitions_1.TrinketType.CHILDS_HEART]: "It calls out to its brothers", // 34
    [isaac_typescript_definitions_1.TrinketType.CURVED_HORN]: "DMG up", // 35
    [isaac_typescript_definitions_1.TrinketType.RUSTED_KEY]: "It feels lucky?", // 36
    [isaac_typescript_definitions_1.TrinketType.GOAT_HOOF]: "Speed up", // 37
    [isaac_typescript_definitions_1.TrinketType.MOMS_PEARL]: "It emanates purity ", // 38
    [isaac_typescript_definitions_1.TrinketType.CANCER]: "Yay, cancer!", // 39
    [isaac_typescript_definitions_1.TrinketType.RED_PATCH]: "Your rage grows", // 40
    [isaac_typescript_definitions_1.TrinketType.MATCH_STICK]: "Tastes like burning", // 41
    [isaac_typescript_definitions_1.TrinketType.LUCKY_TOE]: "Luck up!", // 42
    [isaac_typescript_definitions_1.TrinketType.CURSED_SKULL]: "Cursed?", // 43
    [isaac_typescript_definitions_1.TrinketType.SAFETY_CAP]: "Don't swallow it", // 44
    [isaac_typescript_definitions_1.TrinketType.ACE_OF_SPADES]: "Luck of the draw", // 45
    [isaac_typescript_definitions_1.TrinketType.ISAACS_FORK]: "Consume thy enemy", // 46
    // There is no `TrinketType` with a value of 47.
    [isaac_typescript_definitions_1.TrinketType.MISSING_PAGE]: "It glows with power", // 48
    [isaac_typescript_definitions_1.TrinketType.BLOODY_PENNY]: "Wealth of health", // 49
    [isaac_typescript_definitions_1.TrinketType.BURNT_PENNY]: "Wealth of chaos", // 50
    [isaac_typescript_definitions_1.TrinketType.FLAT_PENNY]: "Wealth of answers", // 51
    [isaac_typescript_definitions_1.TrinketType.COUNTERFEIT_PENNY]: "Wealth of wealth", // 52
    [isaac_typescript_definitions_1.TrinketType.TICK]: "Well, that's not coming off", // 53
    [isaac_typescript_definitions_1.TrinketType.ISAACS_HEAD]: "Dead friend", // 54
    [isaac_typescript_definitions_1.TrinketType.MAGGYS_FAITH]: "Faith's reward", // 55
    [isaac_typescript_definitions_1.TrinketType.JUDAS_TONGUE]: "Payment received ", // 56
    [isaac_typescript_definitions_1.TrinketType.BLUE_BABYS_SOUL]: "Imaginary friend", // 57
    [isaac_typescript_definitions_1.TrinketType.SAMSONS_LOCK]: "Your rage grows", // 58
    [isaac_typescript_definitions_1.TrinketType.CAINS_EYE]: "May you see your destination", // 59
    [isaac_typescript_definitions_1.TrinketType.EVES_BIRD_FOOT]: "Revenge from beyond", // 60
    [isaac_typescript_definitions_1.TrinketType.LEFT_HAND]: "The left-hand path reaps dark rewards", // 61
    [isaac_typescript_definitions_1.TrinketType.SHINY_ROCK]: "It shines for its brothers", // 62
    [isaac_typescript_definitions_1.TrinketType.SAFETY_SCISSORS]: "Fuse cutter", // 63
    [isaac_typescript_definitions_1.TrinketType.RAINBOW_WORM]: "Bleep bloop blop", // 64
    [isaac_typescript_definitions_1.TrinketType.TAPE_WORM]: "Floooooooooop!", // 65
    [isaac_typescript_definitions_1.TrinketType.LAZY_WORM]: "Pft", // 66
    [isaac_typescript_definitions_1.TrinketType.CRACKED_DICE]: "You feel cursed... kinda.", // 67
    [isaac_typescript_definitions_1.TrinketType.SUPER_MAGNET]: "It pulls", // 68
    [isaac_typescript_definitions_1.TrinketType.FADED_POLAROID]: "You feel faded", // 69
    [isaac_typescript_definitions_1.TrinketType.LOUSE]: "Itchy, tasty...", // 70
    [isaac_typescript_definitions_1.TrinketType.BOBS_BLADDER]: "Creepy bombs", // 71
    [isaac_typescript_definitions_1.TrinketType.WATCH_BATTERY]: "Lil charge", // 72
    [isaac_typescript_definitions_1.TrinketType.BLASTING_CAP]: "Pop! Pop!", // 73
    [isaac_typescript_definitions_1.TrinketType.STUD_FINDER]: "The ground below feels hollow...", // 74
    [isaac_typescript_definitions_1.TrinketType.ERROR]: "Effect not found?", // 75
    [isaac_typescript_definitions_1.TrinketType.POKER_CHIP]: "It's double down time!", // 76
    [isaac_typescript_definitions_1.TrinketType.BLISTER]: "Bounce back!", // 77
    [isaac_typescript_definitions_1.TrinketType.SECOND_HAND]: "Extended stat effect time!", // 78
    [isaac_typescript_definitions_1.TrinketType.ENDLESS_NAMELESS]: "I'm stuck in a loop...", // 79
    [isaac_typescript_definitions_1.TrinketType.BLACK_FEATHER]: "With darkness comes power", // 80
    [isaac_typescript_definitions_1.TrinketType.BLIND_RAGE]: "Blind to damage", // 81
    [isaac_typescript_definitions_1.TrinketType.GOLDEN_HORSE_SHOE]: "Feel lucky?", // 82
    [isaac_typescript_definitions_1.TrinketType.STORE_KEY]: "Stores are open", // 83
    [isaac_typescript_definitions_1.TrinketType.RIB_OF_GREED]: "Feels greedy", // 84
    [isaac_typescript_definitions_1.TrinketType.KARMA]: "Karma up", // 85
    [isaac_typescript_definitions_1.TrinketType.LIL_LARVA]: "The poop is moving...", // 86
    [isaac_typescript_definitions_1.TrinketType.MOMS_LOCKET]: "You feel her love", // 87
    [isaac_typescript_definitions_1.TrinketType.NO]: "Never again!", // 88
    [isaac_typescript_definitions_1.TrinketType.CHILD_LEASH]: "Keep your friends close...", // 89
    [isaac_typescript_definitions_1.TrinketType.BROWN_CAP]: "Fartoom!", // 90
    [isaac_typescript_definitions_1.TrinketType.MECONIUM]: "Eww", // 91
    [isaac_typescript_definitions_1.TrinketType.CRACKED_CROWN]: "Stat booster", // 92
    [isaac_typescript_definitions_1.TrinketType.USED_DIAPER]: "You stink", // 93
    [isaac_typescript_definitions_1.TrinketType.FISH_TAIL]: "It also stinks!", // 94
    [isaac_typescript_definitions_1.TrinketType.BLACK_TOOTH]: "It looks dead", // 95
    [isaac_typescript_definitions_1.TrinketType.OUROBOROS_WORM]: "Foop foop!", // 96
    [isaac_typescript_definitions_1.TrinketType.TONSIL]: "Sick...", // 97
    [isaac_typescript_definitions_1.TrinketType.NOSE_GOBLIN]: "Seems magic...", // 98
    [isaac_typescript_definitions_1.TrinketType.SUPER_BALL]: "Boing!", // 99
    [isaac_typescript_definitions_1.TrinketType.VIBRANT_BULB]: "It needs power", // 100
    [isaac_typescript_definitions_1.TrinketType.DIM_BULB]: "I think it's broken", // 101
    [isaac_typescript_definitions_1.TrinketType.FRAGMENTED_CARD]: "Double moon", // 102
    [isaac_typescript_definitions_1.TrinketType.EQUALITY]: "=", // 103
    [isaac_typescript_definitions_1.TrinketType.WISH_BONE]: "Make a wish", // 104
    [isaac_typescript_definitions_1.TrinketType.BAG_LUNCH]: "I wonder what it is", // 105
    [isaac_typescript_definitions_1.TrinketType.LOST_CORK]: "Uncorked", // 106
    [isaac_typescript_definitions_1.TrinketType.CROW_HEART]: "Drain me", // 107
    [isaac_typescript_definitions_1.TrinketType.WALNUT]: "That's a hard nut to crack!", // 108
    [isaac_typescript_definitions_1.TrinketType.DUCT_TAPE]: "Stuck!", // 109
    [isaac_typescript_definitions_1.TrinketType.SILVER_DOLLAR]: "Feels lucky...", // 110
    [isaac_typescript_definitions_1.TrinketType.BLOODY_CROWN]: "Drips with blood...", // 111
    [isaac_typescript_definitions_1.TrinketType.PAY_TO_WIN]: "...", // 112
    [isaac_typescript_definitions_1.TrinketType.LOCUST_OF_WRATH]: "I bring War", // 113
    [isaac_typescript_definitions_1.TrinketType.LOCUST_OF_PESTILENCE]: "I bring Pestilence", // 114
    [isaac_typescript_definitions_1.TrinketType.LOCUST_OF_FAMINE]: "I bring Famine", // 115
    [isaac_typescript_definitions_1.TrinketType.LOCUST_OF_DEATH]: "I bring Death", // 116
    [isaac_typescript_definitions_1.TrinketType.LOCUST_OF_CONQUEST]: "I bring Conquest", // 117
    [isaac_typescript_definitions_1.TrinketType.BAT_WING]: "They are growing...", // 118
    [isaac_typescript_definitions_1.TrinketType.STEM_CELL]: "Regen!", // 119
    [isaac_typescript_definitions_1.TrinketType.HAIRPIN]: "Danger charge", // 120
    [isaac_typescript_definitions_1.TrinketType.WOODEN_CROSS]: "My faith protects me", // 121
    [isaac_typescript_definitions_1.TrinketType.BUTTER]: "Can't hold it!", // 122
    [isaac_typescript_definitions_1.TrinketType.FILIGREE_FEATHERS]: "Angelic spoils", // 123
    [isaac_typescript_definitions_1.TrinketType.DOOR_STOP]: "Hold the door", // 124
    [isaac_typescript_definitions_1.TrinketType.EXTENSION_CORD]: "Charged friends", // 125
    [isaac_typescript_definitions_1.TrinketType.ROTTEN_PENNY]: "Wealth of flies", // 126
    [isaac_typescript_definitions_1.TrinketType.BABY_BENDER]: "Feed them magic!", // 127
    [isaac_typescript_definitions_1.TrinketType.FINGER_BONE]: "It looks brittle", // 128
    [isaac_typescript_definitions_1.TrinketType.JAW_BREAKER]: "Don't chew on it", // 129
    [isaac_typescript_definitions_1.TrinketType.CHEWED_PEN]: "It's leaking", // 130
    [isaac_typescript_definitions_1.TrinketType.BLESSED_PENNY]: "Wealth of purity", // 131
    [isaac_typescript_definitions_1.TrinketType.BROKEN_SYRINGE]: "Mystery medicine", // 132
    [isaac_typescript_definitions_1.TrinketType.SHORT_FUSE]: "Faster explosions", // 133
    [isaac_typescript_definitions_1.TrinketType.GIGANTE_BEAN]: "Mega farts", // 134
    [isaac_typescript_definitions_1.TrinketType.LIGHTER]: "Watch the world burn", // 135
    [isaac_typescript_definitions_1.TrinketType.BROKEN_PADLOCK]: "Bombs are key", // 136
    [isaac_typescript_definitions_1.TrinketType.MYOSOTIS]: "Forget me not...", // 137
    [isaac_typescript_definitions_1.TrinketType.M]: "t's broken9Reroll your dest       ", // 138
    [isaac_typescript_definitions_1.TrinketType.TEARDROP_CHARM]: "It feels lucky", // 139
    [isaac_typescript_definitions_1.TrinketType.APPLE_OF_SODOM]: "It feels empty", // 140
    [isaac_typescript_definitions_1.TrinketType.FORGOTTEN_LULLABY]: "Sing for your friends", // 141
    [isaac_typescript_definitions_1.TrinketType.BETHS_FAITH]: "My faith protects me", // 142
    [isaac_typescript_definitions_1.TrinketType.OLD_CAPACITOR]: "Voltage starving", // 143
    [isaac_typescript_definitions_1.TrinketType.BRAIN_WORM]: "Ding!", // 144
    [isaac_typescript_definitions_1.TrinketType.PERFECTION]: "Luck way up. Don't lose it!", // 145
    [isaac_typescript_definitions_1.TrinketType.DEVILS_CROWN]: "His special customer", // 146
    [isaac_typescript_definitions_1.TrinketType.CHARGED_PENNY]: "Wealth of power", // 147
    [isaac_typescript_definitions_1.TrinketType.FRIENDSHIP_NECKLACE]: "Gather round", // 148
    [isaac_typescript_definitions_1.TrinketType.PANIC_BUTTON]: "Push in case of emergency", // 149
    [isaac_typescript_definitions_1.TrinketType.BLUE_KEY]: "Look between the rooms", // 150
    [isaac_typescript_definitions_1.TrinketType.FLAT_FILE]: "No more spikes", // 151
    [isaac_typescript_definitions_1.TrinketType.TELESCOPE_LENS]: "Seek the stars", // 152
    [isaac_typescript_definitions_1.TrinketType.MOMS_LOCK]: "A piece of her love", // 153
    [isaac_typescript_definitions_1.TrinketType.DICE_BAG]: "Bonus roll", // 154
    [isaac_typescript_definitions_1.TrinketType.HOLY_CROWN]: "Walk the path of the saint", // 155
    [isaac_typescript_definitions_1.TrinketType.MOTHERS_KISS]: "HP up", // 156
    [isaac_typescript_definitions_1.TrinketType.TORN_CARD]: "Death awaits", // 157
    [isaac_typescript_definitions_1.TrinketType.TORN_POCKET]: "A hole in your pocket", // 158
    [isaac_typescript_definitions_1.TrinketType.GILDED_KEY]: "Less is more", // 159
    [isaac_typescript_definitions_1.TrinketType.LUCKY_SACK]: "Free goodies!", // 160
    [isaac_typescript_definitions_1.TrinketType.WICKED_CROWN]: "Walk the path of the wicked", // 161
    [isaac_typescript_definitions_1.TrinketType.AZAZELS_STUMP]: "Unleash your inner demon", // 162
    [isaac_typescript_definitions_1.TrinketType.DINGLE_BERRY]: "Oops!", // 163
    [isaac_typescript_definitions_1.TrinketType.RING_CAP]: "Twice the bang!", // 164
    [isaac_typescript_definitions_1.TrinketType.NUH_UH]: "Don't want!", // 165
    [isaac_typescript_definitions_1.TrinketType.MODELING_CLAY]: "???", // 166
    [isaac_typescript_definitions_1.TrinketType.POLISHED_BONE]: "Friends from beyond", // 167
    [isaac_typescript_definitions_1.TrinketType.HOLLOW_HEART]: "A brittle blessing", // 168
    [isaac_typescript_definitions_1.TrinketType.KIDS_DRAWING]: "Looks familiar...", // 169
    [isaac_typescript_definitions_1.TrinketType.CRYSTAL_KEY]: "Call to the other side", // 170
    [isaac_typescript_definitions_1.TrinketType.KEEPERS_BARGAIN]: "Money talks", // 171
    [isaac_typescript_definitions_1.TrinketType.CURSED_PENNY]: "Wealth of misery", // 172
    [isaac_typescript_definitions_1.TrinketType.YOUR_SOUL]: "Give it to me", // 173
    [isaac_typescript_definitions_1.TrinketType.NUMBER_MAGNET]: "6", // 174
    [isaac_typescript_definitions_1.TrinketType.STRANGE_KEY]: "What could it open?", // 175
    [isaac_typescript_definitions_1.TrinketType.LIL_CLOT]: "Mini friend", // 176
    [isaac_typescript_definitions_1.TrinketType.TEMPORARY_TATTOO]: "You feel braver", // 177
    [isaac_typescript_definitions_1.TrinketType.SWALLOWED_M80]: "Bang!", // 178
    [isaac_typescript_definitions_1.TrinketType.RC_REMOTE]: "Controllable buddies!", // 179
    [isaac_typescript_definitions_1.TrinketType.FOUND_SOUL]: "Finally!", // 180
    [isaac_typescript_definitions_1.TrinketType.EXPANSION_PACK]: "Fun extras", // 181
    [isaac_typescript_definitions_1.TrinketType.BETHS_ESSENCE]: "Virtue's reward", // 182
    [isaac_typescript_definitions_1.TrinketType.TWINS]: "I'm seeing double...", // 183
    [isaac_typescript_definitions_1.TrinketType.ADOPTION_PAPERS]: "Give them a home", // 184
    [isaac_typescript_definitions_1.TrinketType.CRICKET_LEG]: "Infested", // 185
    [isaac_typescript_definitions_1.TrinketType.APOLLYONS_BEST_FRIEND]: "Attack buddy", // 186
    [isaac_typescript_definitions_1.TrinketType.BROKEN_GLASSES]: "Double vision?", // 187
    [isaac_typescript_definitions_1.TrinketType.ICE_CUBE]: "Stay frosty", // 188
    [isaac_typescript_definitions_1.TrinketType.SIGIL_OF_BAPHOMET]: "Revel in death", // 189
};
