"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TRINKET_NAMES = exports.DEFAULT_TRINKET_NAME = void 0;
const isaac_typescript_definitions_1 = require("isaac-typescript-definitions");
exports.DEFAULT_TRINKET_NAME = "Unknown";
/**
 * Maps trinket types to the real English names from the "stringtable.sta" file.
 *
 * For a mapping of name to `TrinketType`, see `TRINKET_NAME_TO_TYPE_MAP`.
 */
exports.TRINKET_NAMES = {
    [isaac_typescript_definitions_1.TrinketType.NULL]: exports.DEFAULT_TRINKET_NAME, // 0
    [isaac_typescript_definitions_1.TrinketType.SWALLOWED_PENNY]: "Swallowed Penny", // 1
    [isaac_typescript_definitions_1.TrinketType.PETRIFIED_POOP]: "Petrified Poop", // 2
    [isaac_typescript_definitions_1.TrinketType.AAA_BATTERY]: "AAA Battery", // 3
    [isaac_typescript_definitions_1.TrinketType.BROKEN_REMOTE]: "Broken Remote", // 4
    [isaac_typescript_definitions_1.TrinketType.PURPLE_HEART]: "Purple Heart", // 5
    [isaac_typescript_definitions_1.TrinketType.BROKEN_MAGNET]: "Broken Magnet", // 6
    [isaac_typescript_definitions_1.TrinketType.ROSARY_BEAD]: "Rosary Bead", // 7
    [isaac_typescript_definitions_1.TrinketType.CARTRIDGE]: "Cartridge", // 8
    [isaac_typescript_definitions_1.TrinketType.PULSE_WORM]: "Pulse Worm", // 9
    [isaac_typescript_definitions_1.TrinketType.WIGGLE_WORM]: "Wiggle Worm", // 10
    [isaac_typescript_definitions_1.TrinketType.RING_WORM]: "Ring Worm", // 11
    [isaac_typescript_definitions_1.TrinketType.FLAT_WORM]: "Flat Worm", // 12
    [isaac_typescript_definitions_1.TrinketType.STORE_CREDIT]: "Store Credit", // 13
    [isaac_typescript_definitions_1.TrinketType.CALLUS]: "Callus", // 14
    [isaac_typescript_definitions_1.TrinketType.LUCKY_ROCK]: "Lucky Rock", // 15
    [isaac_typescript_definitions_1.TrinketType.MOMS_TOENAIL]: "Mom's Toenail", // 16
    [isaac_typescript_definitions_1.TrinketType.BLACK_LIPSTICK]: "Black Lipstick", // 17
    [isaac_typescript_definitions_1.TrinketType.BIBLE_TRACT]: "Bible Tract", // 18
    [isaac_typescript_definitions_1.TrinketType.PAPER_CLIP]: "Paper Clip", // 19
    [isaac_typescript_definitions_1.TrinketType.MONKEY_PAW]: "Monkey Paw", // 20
    [isaac_typescript_definitions_1.TrinketType.MYSTERIOUS_PAPER]: "Mysterious Paper", // 21
    [isaac_typescript_definitions_1.TrinketType.DAEMONS_TAIL]: "Daemon's Tail", // 22
    [isaac_typescript_definitions_1.TrinketType.MISSING_POSTER]: "Missing Poster", // 23
    [isaac_typescript_definitions_1.TrinketType.BUTT_PENNY]: "Butt Penny", // 24
    [isaac_typescript_definitions_1.TrinketType.MYSTERIOUS_CANDY]: "Mysterious Candy", // 25
    [isaac_typescript_definitions_1.TrinketType.HOOK_WORM]: "Hook Worm", // 26
    [isaac_typescript_definitions_1.TrinketType.WHIP_WORM]: "Whip Worm", // 27
    [isaac_typescript_definitions_1.TrinketType.BROKEN_ANKH]: "Broken Ankh", // 28
    [isaac_typescript_definitions_1.TrinketType.FISH_HEAD]: "Fish Head", // 29
    [isaac_typescript_definitions_1.TrinketType.PINKY_EYE]: "Pinky Eye", // 30
    [isaac_typescript_definitions_1.TrinketType.PUSH_PIN]: "Push Pin", // 31
    [isaac_typescript_definitions_1.TrinketType.LIBERTY_CAP]: "Liberty Cap", // 32
    [isaac_typescript_definitions_1.TrinketType.UMBILICAL_CORD]: "Umbilical Cord", // 33
    [isaac_typescript_definitions_1.TrinketType.CHILDS_HEART]: "Child's Heart", // 34
    [isaac_typescript_definitions_1.TrinketType.CURVED_HORN]: "Curved Horn", // 35
    [isaac_typescript_definitions_1.TrinketType.RUSTED_KEY]: "Rusted Key", // 36
    [isaac_typescript_definitions_1.TrinketType.GOAT_HOOF]: "Goat Hoof", // 37
    [isaac_typescript_definitions_1.TrinketType.MOMS_PEARL]: "Mom's Pearl", // 38
    [isaac_typescript_definitions_1.TrinketType.CANCER]: "Cancer", // 39
    [isaac_typescript_definitions_1.TrinketType.RED_PATCH]: "Red Patch", // 40
    [isaac_typescript_definitions_1.TrinketType.MATCH_STICK]: "Match Stick", // 41
    [isaac_typescript_definitions_1.TrinketType.LUCKY_TOE]: "Lucky Toe", // 42
    [isaac_typescript_definitions_1.TrinketType.CURSED_SKULL]: "Cursed Skull", // 43
    [isaac_typescript_definitions_1.TrinketType.SAFETY_CAP]: "Safety Cap", // 44
    [isaac_typescript_definitions_1.TrinketType.ACE_OF_SPADES]: "Ace of Spades", // 45
    [isaac_typescript_definitions_1.TrinketType.ISAACS_FORK]: "Isaac's Fork", // 46
    // There is no `TrinketType` with a value of 47.
    [isaac_typescript_definitions_1.TrinketType.MISSING_PAGE]: "A Missing Page", // 48
    [isaac_typescript_definitions_1.TrinketType.BLOODY_PENNY]: "Bloody Penny", // 49
    [isaac_typescript_definitions_1.TrinketType.BURNT_PENNY]: "Burnt Penny", // 50
    [isaac_typescript_definitions_1.TrinketType.FLAT_PENNY]: "Flat Penny", // 51
    [isaac_typescript_definitions_1.TrinketType.COUNTERFEIT_PENNY]: "Counterfeit Penny", // 52
    [isaac_typescript_definitions_1.TrinketType.TICK]: "Tick", // 53
    [isaac_typescript_definitions_1.TrinketType.ISAACS_HEAD]: "Isaac's Head", // 54
    [isaac_typescript_definitions_1.TrinketType.MAGGYS_FAITH]: "Maggy's Faith", // 55
    [isaac_typescript_definitions_1.TrinketType.JUDAS_TONGUE]: "Judas' Tongue", // 56
    [isaac_typescript_definitions_1.TrinketType.BLUE_BABYS_SOUL]: "???'s Soul", // 57
    [isaac_typescript_definitions_1.TrinketType.SAMSONS_LOCK]: "Samson's Lock", // 58
    [isaac_typescript_definitions_1.TrinketType.CAINS_EYE]: "Cain's Eye", // 59
    [isaac_typescript_definitions_1.TrinketType.EVES_BIRD_FOOT]: "Eve's Bird Foot", // 60
    [isaac_typescript_definitions_1.TrinketType.LEFT_HAND]: "The Left Hand", // 61
    [isaac_typescript_definitions_1.TrinketType.SHINY_ROCK]: "Shiny Rock", // 62
    [isaac_typescript_definitions_1.TrinketType.SAFETY_SCISSORS]: "Safety Scissors", // 63
    [isaac_typescript_definitions_1.TrinketType.RAINBOW_WORM]: "Rainbow Worm", // 64
    [isaac_typescript_definitions_1.TrinketType.TAPE_WORM]: "Tape Worm", // 65
    [isaac_typescript_definitions_1.TrinketType.LAZY_WORM]: "Lazy Worm", // 66
    [isaac_typescript_definitions_1.TrinketType.CRACKED_DICE]: "Cracked Dice", // 67
    [isaac_typescript_definitions_1.TrinketType.SUPER_MAGNET]: "Super Magnet", // 68
    [isaac_typescript_definitions_1.TrinketType.FADED_POLAROID]: "Faded Polaroid", // 69
    [isaac_typescript_definitions_1.TrinketType.LOUSE]: "Louse", // 70
    [isaac_typescript_definitions_1.TrinketType.BOBS_BLADDER]: "Bob's Bladder", // 71
    [isaac_typescript_definitions_1.TrinketType.WATCH_BATTERY]: "Watch Battery", // 72
    [isaac_typescript_definitions_1.TrinketType.BLASTING_CAP]: "Blasting Cap", // 73
    [isaac_typescript_definitions_1.TrinketType.STUD_FINDER]: "Stud Finder", // 74
    [isaac_typescript_definitions_1.TrinketType.ERROR]: "Error", // 75
    [isaac_typescript_definitions_1.TrinketType.POKER_CHIP]: "Poker Chip", // 76
    [isaac_typescript_definitions_1.TrinketType.BLISTER]: "Blister", // 77
    [isaac_typescript_definitions_1.TrinketType.SECOND_HAND]: "Second Hand", // 78
    [isaac_typescript_definitions_1.TrinketType.ENDLESS_NAMELESS]: "Endless Nameless", // 79
    [isaac_typescript_definitions_1.TrinketType.BLACK_FEATHER]: "Black Feather", // 80
    [isaac_typescript_definitions_1.TrinketType.BLIND_RAGE]: "Blind Rage", // 81
    [isaac_typescript_definitions_1.TrinketType.GOLDEN_HORSE_SHOE]: "Golden Horse Shoe", // 82
    [isaac_typescript_definitions_1.TrinketType.STORE_KEY]: "Store Key", // 83
    [isaac_typescript_definitions_1.TrinketType.RIB_OF_GREED]: "Rib of Greed", // 84
    [isaac_typescript_definitions_1.TrinketType.KARMA]: "Karma", // 85
    [isaac_typescript_definitions_1.TrinketType.LIL_LARVA]: "Lil Larva", // 86
    [isaac_typescript_definitions_1.TrinketType.MOMS_LOCKET]: "Mom's Locket", // 87
    [isaac_typescript_definitions_1.TrinketType.NO]: "NO!", // 88
    [isaac_typescript_definitions_1.TrinketType.CHILD_LEASH]: "Child Leash", // 89
    [isaac_typescript_definitions_1.TrinketType.BROWN_CAP]: "Brown Cap", // 90
    [isaac_typescript_definitions_1.TrinketType.MECONIUM]: "Meconium", // 91
    [isaac_typescript_definitions_1.TrinketType.CRACKED_CROWN]: "Cracked Crown", // 92
    [isaac_typescript_definitions_1.TrinketType.USED_DIAPER]: "Used Diaper", // 93
    [isaac_typescript_definitions_1.TrinketType.FISH_TAIL]: "Fish Tail", // 94
    [isaac_typescript_definitions_1.TrinketType.BLACK_TOOTH]: "Black Tooth", // 95
    [isaac_typescript_definitions_1.TrinketType.OUROBOROS_WORM]: "Ouroboros Worm", // 96
    [isaac_typescript_definitions_1.TrinketType.TONSIL]: "Tonsil", // 97
    [isaac_typescript_definitions_1.TrinketType.NOSE_GOBLIN]: "Nose Goblin", // 98
    [isaac_typescript_definitions_1.TrinketType.SUPER_BALL]: "Super Ball", // 99
    [isaac_typescript_definitions_1.TrinketType.VIBRANT_BULB]: "Vibrant Bulb", // 100
    [isaac_typescript_definitions_1.TrinketType.DIM_BULB]: "Dim Bulb", // 101
    [isaac_typescript_definitions_1.TrinketType.FRAGMENTED_CARD]: "Fragmented Card", // 102
    [isaac_typescript_definitions_1.TrinketType.EQUALITY]: "Equality!", // 103
    [isaac_typescript_definitions_1.TrinketType.WISH_BONE]: "Wish Bone", // 104
    [isaac_typescript_definitions_1.TrinketType.BAG_LUNCH]: "Bag Lunch", // 105
    [isaac_typescript_definitions_1.TrinketType.LOST_CORK]: "Lost Cork", // 106
    [isaac_typescript_definitions_1.TrinketType.CROW_HEART]: "Crow Heart", // 107
    [isaac_typescript_definitions_1.TrinketType.WALNUT]: "Walnut", // 108
    [isaac_typescript_definitions_1.TrinketType.DUCT_TAPE]: "Duct Tape", // 109
    [isaac_typescript_definitions_1.TrinketType.SILVER_DOLLAR]: "Silver Dollar", // 110
    [isaac_typescript_definitions_1.TrinketType.BLOODY_CROWN]: "Bloody Crown", // 111
    [isaac_typescript_definitions_1.TrinketType.PAY_TO_WIN]: "Pay To Win", // 112
    [isaac_typescript_definitions_1.TrinketType.LOCUST_OF_WRATH]: "Locust of War", // 113
    [isaac_typescript_definitions_1.TrinketType.LOCUST_OF_PESTILENCE]: "Locust of Pestilence", // 114
    [isaac_typescript_definitions_1.TrinketType.LOCUST_OF_FAMINE]: "Locust of Famine", // 115
    [isaac_typescript_definitions_1.TrinketType.LOCUST_OF_DEATH]: "Locust of Death", // 116
    [isaac_typescript_definitions_1.TrinketType.LOCUST_OF_CONQUEST]: "Locust of Conquest", // 117
    [isaac_typescript_definitions_1.TrinketType.BAT_WING]: "Bat Wing", // 118
    [isaac_typescript_definitions_1.TrinketType.STEM_CELL]: "Stem Cell", // 119
    [isaac_typescript_definitions_1.TrinketType.HAIRPIN]: "Hairpin", // 120
    [isaac_typescript_definitions_1.TrinketType.WOODEN_CROSS]: "Wooden Cross", // 121
    [isaac_typescript_definitions_1.TrinketType.BUTTER]: "Butter!", // 122
    [isaac_typescript_definitions_1.TrinketType.FILIGREE_FEATHERS]: "Filigree Feather", // 123
    [isaac_typescript_definitions_1.TrinketType.DOOR_STOP]: "Door Stop", // 124
    [isaac_typescript_definitions_1.TrinketType.EXTENSION_CORD]: "Extension Cord", // 125
    [isaac_typescript_definitions_1.TrinketType.ROTTEN_PENNY]: "Rotten Penny", // 126
    [isaac_typescript_definitions_1.TrinketType.BABY_BENDER]: "Baby-Bender", // 127
    [isaac_typescript_definitions_1.TrinketType.FINGER_BONE]: "Finger Bone", // 128
    [isaac_typescript_definitions_1.TrinketType.JAW_BREAKER]: "Jawbreaker", // 129
    [isaac_typescript_definitions_1.TrinketType.CHEWED_PEN]: "Chewed Pen", // 130
    [isaac_typescript_definitions_1.TrinketType.BLESSED_PENNY]: "Blessed Penny", // 131
    [isaac_typescript_definitions_1.TrinketType.BROKEN_SYRINGE]: "Broken Syringe", // 132
    [isaac_typescript_definitions_1.TrinketType.SHORT_FUSE]: "Short Fuse", // 133
    [isaac_typescript_definitions_1.TrinketType.GIGANTE_BEAN]: "Gigante Bean", // 134
    [isaac_typescript_definitions_1.TrinketType.LIGHTER]: "A Lighter", // 135
    [isaac_typescript_definitions_1.TrinketType.BROKEN_PADLOCK]: "Broken Padlock", // 136
    [isaac_typescript_definitions_1.TrinketType.MYOSOTIS]: "Myosotis", // 137
    [isaac_typescript_definitions_1.TrinketType.M]: " 'M", // 138
    [isaac_typescript_definitions_1.TrinketType.TEARDROP_CHARM]: "Teardrop Charm", // 139
    [isaac_typescript_definitions_1.TrinketType.APPLE_OF_SODOM]: "Apple of Sodom", // 140
    [isaac_typescript_definitions_1.TrinketType.FORGOTTEN_LULLABY]: "Forgotten Lullaby", // 141
    [isaac_typescript_definitions_1.TrinketType.BETHS_FAITH]: "Beth's Faith", // 142
    [isaac_typescript_definitions_1.TrinketType.OLD_CAPACITOR]: "Old Capacitor", // 143
    [isaac_typescript_definitions_1.TrinketType.BRAIN_WORM]: "Brain Worm", // 144
    [isaac_typescript_definitions_1.TrinketType.PERFECTION]: "Perfection", // 145
    [isaac_typescript_definitions_1.TrinketType.DEVILS_CROWN]: "Devil's Crown", // 146
    [isaac_typescript_definitions_1.TrinketType.CHARGED_PENNY]: "Charged Penny", // 147
    [isaac_typescript_definitions_1.TrinketType.FRIENDSHIP_NECKLACE]: "Friendship Necklace", // 148
    [isaac_typescript_definitions_1.TrinketType.PANIC_BUTTON]: "Panic Button", // 149
    [isaac_typescript_definitions_1.TrinketType.BLUE_KEY]: "Blue Key", // 150
    [isaac_typescript_definitions_1.TrinketType.FLAT_FILE]: "Flat File", // 151
    [isaac_typescript_definitions_1.TrinketType.TELESCOPE_LENS]: "Telescope Lens", // 152
    [isaac_typescript_definitions_1.TrinketType.MOMS_LOCK]: "Mom's Lock", // 153
    [isaac_typescript_definitions_1.TrinketType.DICE_BAG]: "Dice Bag", // 154
    [isaac_typescript_definitions_1.TrinketType.HOLY_CROWN]: "Holy Crown", // 155
    [isaac_typescript_definitions_1.TrinketType.MOTHERS_KISS]: "Mother's Kiss", // 156
    [isaac_typescript_definitions_1.TrinketType.TORN_CARD]: "Torn Card", // 157
    [isaac_typescript_definitions_1.TrinketType.TORN_POCKET]: "Torn Pocket", // 158
    [isaac_typescript_definitions_1.TrinketType.GILDED_KEY]: "Gilded Key", // 159
    [isaac_typescript_definitions_1.TrinketType.LUCKY_SACK]: "Lucky Sack", // 160
    [isaac_typescript_definitions_1.TrinketType.WICKED_CROWN]: "Wicked Crown", // 161
    [isaac_typescript_definitions_1.TrinketType.AZAZELS_STUMP]: "Azazel's Stump", // 162
    [isaac_typescript_definitions_1.TrinketType.DINGLE_BERRY]: "Dingle Berry", // 163
    [isaac_typescript_definitions_1.TrinketType.RING_CAP]: "Ring Cap", // 164
    [isaac_typescript_definitions_1.TrinketType.NUH_UH]: "Nuh Uh!", // 165
    [isaac_typescript_definitions_1.TrinketType.MODELING_CLAY]: "Modeling Clay", // 166
    [isaac_typescript_definitions_1.TrinketType.POLISHED_BONE]: "Polished Bone", // 167
    [isaac_typescript_definitions_1.TrinketType.HOLLOW_HEART]: "Hollow Heart", // 168
    [isaac_typescript_definitions_1.TrinketType.KIDS_DRAWING]: "Kid's Drawing", // 169
    [isaac_typescript_definitions_1.TrinketType.CRYSTAL_KEY]: "Crystal Key", // 170
    [isaac_typescript_definitions_1.TrinketType.KEEPERS_BARGAIN]: "Keeper's Bargain", // 171
    [isaac_typescript_definitions_1.TrinketType.CURSED_PENNY]: "Cursed Penny", // 172
    [isaac_typescript_definitions_1.TrinketType.YOUR_SOUL]: "Your Soul", // 173
    [isaac_typescript_definitions_1.TrinketType.NUMBER_MAGNET]: "Number Magnet", // 174
    [isaac_typescript_definitions_1.TrinketType.STRANGE_KEY]: "Strange Key", // 175
    [isaac_typescript_definitions_1.TrinketType.LIL_CLOT]: "Lil Clot", // 176
    [isaac_typescript_definitions_1.TrinketType.TEMPORARY_TATTOO]: "Temporary Tattoo", // 177
    [isaac_typescript_definitions_1.TrinketType.SWALLOWED_M80]: "Swallowed M80", // 178
    [isaac_typescript_definitions_1.TrinketType.RC_REMOTE]: "RC Remote", // 179
    [isaac_typescript_definitions_1.TrinketType.FOUND_SOUL]: "Found Soul", // 180
    [isaac_typescript_definitions_1.TrinketType.EXPANSION_PACK]: "Expansion Pack", // 181
    [isaac_typescript_definitions_1.TrinketType.BETHS_ESSENCE]: "Beth's Essence", // 182
    [isaac_typescript_definitions_1.TrinketType.TWINS]: "The Twins", // 183
    [isaac_typescript_definitions_1.TrinketType.ADOPTION_PAPERS]: "Adoption Papers", // 184
    [isaac_typescript_definitions_1.TrinketType.CRICKET_LEG]: "Cricket Leg", // 185
    [isaac_typescript_definitions_1.TrinketType.APOLLYONS_BEST_FRIEND]: "Apollyon's Best Friend", // 186
    [isaac_typescript_definitions_1.TrinketType.BROKEN_GLASSES]: "Broken Glasses", // 187
    [isaac_typescript_definitions_1.TrinketType.ICE_CUBE]: "Ice Cube", // 188
    [isaac_typescript_definitions_1.TrinketType.SIGIL_OF_BAPHOMET]: "Sigil of Baphomet", // 189
};
