"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VERSUS_SCREEN_DIRT_SPOT_COLORS = void 0;
const isaac_typescript_definitions_1 = require("isaac-typescript-definitions");
const readOnly_1 = require("../functions/readOnly");
const BASEMENT_COLOR = (0, readOnly_1.newReadonlyColor)(201 / 255, 114 / 255, 96 / 255);
const CAVES_COLOR = (0, readOnly_1.newReadonlyColor)(167 / 255, 111 / 255, 75 / 255);
const DEPTHS_COLOR = (0, readOnly_1.newReadonlyColor)(70 / 255, 70 / 255, 72 / 255);
const WOMB_COLOR = (0, readOnly_1.newReadonlyColor)(241 / 255, 28 / 255, 28 / 255);
const SHEOL_COLOR = (0, readOnly_1.newReadonlyColor)(60 / 255, 54 / 255, 54 / 255);
/** We arbitrarily specify a default color equal to that of Basement. */
const DEFAULT_COLOR = BASEMENT_COLOR;
/** These values are taken from StageAPI. */
exports.VERSUS_SCREEN_DIRT_SPOT_COLORS = {
    [isaac_typescript_definitions_1.StageID.SPECIAL_ROOMS]: DEFAULT_COLOR, // 0
    [isaac_typescript_definitions_1.StageID.BASEMENT]: BASEMENT_COLOR, // 1
    [isaac_typescript_definitions_1.StageID.CELLAR]: (0, readOnly_1.newReadonlyColor)(229 / 255, 157 / 255, 111 / 255), // 2
    [isaac_typescript_definitions_1.StageID.BURNING_BASEMENT]: (0, readOnly_1.newReadonlyColor)(252 / 255, 108 / 255, 90 / 255), // 3
    [isaac_typescript_definitions_1.StageID.CAVES]: CAVES_COLOR, // 4
    [isaac_typescript_definitions_1.StageID.CATACOMBS]: (0, readOnly_1.newReadonlyColor)(135 / 255, 90 / 255, 80 / 255), // 5
    [isaac_typescript_definitions_1.StageID.FLOODED_CAVES]: (0, readOnly_1.newReadonlyColor)(111 / 255, 147 / 255, 180 / 255), // 6
    [isaac_typescript_definitions_1.StageID.DEPTHS]: DEPTHS_COLOR, // 7
    [isaac_typescript_definitions_1.StageID.NECROPOLIS]: (0, readOnly_1.newReadonlyColor)(88 / 255, 67 / 255, 54 / 255), // 8
    [isaac_typescript_definitions_1.StageID.DANK_DEPTHS]: DEPTHS_COLOR, // 9
    [isaac_typescript_definitions_1.StageID.WOMB]: WOMB_COLOR, // 10
    [isaac_typescript_definitions_1.StageID.UTERO]: (0, readOnly_1.newReadonlyColor)(199 / 255, 60 / 255, 48 / 255), // 11
    [isaac_typescript_definitions_1.StageID.SCARRED_WOMB]: (0, readOnly_1.newReadonlyColor)(247 / 255, 152 / 255, 88 / 255), // 12
    [isaac_typescript_definitions_1.StageID.BLUE_WOMB]: (0, readOnly_1.newReadonlyColor)(157 / 255, 209 / 255, 255 / 255), // 13
    [isaac_typescript_definitions_1.StageID.SHEOL]: SHEOL_COLOR, // 14
    [isaac_typescript_definitions_1.StageID.CATHEDRAL]: (0, readOnly_1.newReadonlyColor)(44 / 255, 100 / 255, 111 / 255), // 15
    [isaac_typescript_definitions_1.StageID.DARK_ROOM]: (0, readOnly_1.newReadonlyColor)(80 / 255, 38 / 255, 20 / 255), // 16
    [isaac_typescript_definitions_1.StageID.CHEST]: (0, readOnly_1.newReadonlyColor)(175 / 255, 108 / 255, 72 / 255), // 17
    [isaac_typescript_definitions_1.StageID.SHOP]: DEFAULT_COLOR, // 24
    [isaac_typescript_definitions_1.StageID.ULTRA_GREED]: DEFAULT_COLOR, // 25
    [isaac_typescript_definitions_1.StageID.VOID]: (0, readOnly_1.newReadonlyColor)(70 / 255, 5 / 255, 5 / 255), // 26
    [isaac_typescript_definitions_1.StageID.DOWNPOUR]: (0, readOnly_1.newReadonlyColor)(149 / 255, 157 / 255, 167 / 255), // 27
    [isaac_typescript_definitions_1.StageID.DROSS]: (0, readOnly_1.newReadonlyColor)(179 / 255, 179 / 255, 143 / 255), // 28
    [isaac_typescript_definitions_1.StageID.MINES]: (0, readOnly_1.newReadonlyColor)(93 / 255, 85 / 255, 72 / 255), // 29
    [isaac_typescript_definitions_1.StageID.ASHPIT]: (0, readOnly_1.newReadonlyColor)(106 / 255, 102 / 255, 94 / 255), // 30
    [isaac_typescript_definitions_1.StageID.MAUSOLEUM]: (0, readOnly_1.newReadonlyColor)(70 / 255, 59 / 255, 72 / 255), // 31
    [isaac_typescript_definitions_1.StageID.GEHENNA]: (0, readOnly_1.newReadonlyColor)(59 / 255, 41 / 255, 41 / 255), // 32
    [isaac_typescript_definitions_1.StageID.CORPSE]: (0, readOnly_1.newReadonlyColor)(124 / 255, 134 / 255, 111 / 255), // 33
    [isaac_typescript_definitions_1.StageID.MORTIS]: (0, readOnly_1.newReadonlyColor)(124 / 255, 134 / 255, 111 / 255), // 34
    [isaac_typescript_definitions_1.StageID.HOME]: DEFAULT_COLOR, // 35
    [isaac_typescript_definitions_1.StageID.BACKWARDS]: DEFAULT_COLOR, // 36
};
